label aka_route:
    
    $ renpy.block_rollback ()
    $ aka_pt += 1

    if day2 == "Aka":
        am "I look at the ceiling."
        am "That's right."
        am "I haven't gone crazy."
        am "She really asked me to marry her yesterday."
        am "And today I'll enter the lion's den."
        am "Well... I can just hope that everything turns out well!"
    else:
        am "No important plans for today..."
        am "Well... you could say."
        am "I have a weird feeling that I am overlooking something."
    am "And so I stretch and get up."
    
    scene living with dissolve
    
    am "I have breakfast."
    am "It isn't clever to underrate the preparations on a day like this."
    am "I wonder about what to wear."
    if day2 == "Aka":
        am "And in the end I decide on a kimono worn on special occasions."
        am "I just have to get out of the house unseen."
    else:
        am "I decide on some forest wear."
        am "It's important to be well prepared."

    scene trava with dissolve
    $ renpy.music.play("aud/Appalachian Bird Calls of Camel's Hump State Park (Vermont, USA).ogg", fadein = 3.0)
    
    am "I change and walk out of the house."
    am "My parents are still asleep and I won't wake them up."
    am "I look around."
    if day2 == "Aka":
        am "I walk to the train stop, I can remember that there is a path leading to Aka's house from there."
        
        scene zastavka with dissolve
        
        am "I get there in about half an hour."
        am "And after some looking around I find and take it."
    else:
        am "Yesterday and the day before I chose the northern path and so today I decide on the opposite direction."
        
        scene zastavka with dissolve
        
        am "I take the path leading to the south and after about twenty minutes I arrive at a train stop."
        am "Hmmm, where to now?"
        am "I do some looking around and find two paths leading away."
        am "I decide to take the one on this side of the rails."
        am "There is one behind the rails as well, but I decide on this one."
        am "And so I start walking along it in a slow tempo."
        
    scene ldetail with dissolve
    
    am "The forest here is a little different compared to the forest in the places I have been to yesterday and the day before."
    am "But it's still pretty similar."
    am "Maybe it's a little... wetter."
    am "After a moment I come to a stream."
    
    $ renpy.music.play("sfx/water05.mp3", fadein = 3.0, channel = 6)
    
    am "I stop on a footbridge and look into it for some time."
    if day2 == "Aka":
        am "I wonder how mad I have gone."
        
    scene listy with dissolve
    
    stop music channel 6
    
    am "But then I walk on."
    am "I walk for quite a long time, another half an hour after the footbridge."
    if not day2 == "Aka":
        
        scene brana with dissolve
        
        am "But in the end I come to the gate of some house."
        am "I wonder for a moment whether these are the ruins of a house that's supposed to be somewhere around here..."
        am "But another path leads to those."
        am "It's probably the house that I saw yesterday when I got lost."
        am "Its rooftiles are more brown than red."
        am "The sun probably played tricks on me yesterday."
        am "I wonder what now..."
        am "After a moment of discussing it with myself, I decide and ring the bell."
        am "Silence..."
    else:
        
        scene brana with dissolve
        
        am "But in the end I come to Aka's house."
        am "For a few minutes I just walk around aimlessly."
        am "But then I collect the courage to ring the bell."
        am "It's silent for a long time."
    am "Then I hear a clapping of sandals which gets steadily louder..."
    if day2 == "Aka":
        
        show a watching with dissolve
        
        am "And then Aka appears."
        if aka2 == "decline":
            
            show a serious with dissolve
            
            am "She looks surprised for a moment."
            am "She probably didn't expect me here anymore."
        else:
            
            show a smile with dissolve
            
            am "She smiles and waves at me while she walks to the gate."
        am `"I..." I start when she's near enough.`
        a '"Shhhh," she tells me.'
        a `"You don't have to say anything. I am glad you have come."`
        am "She closes the gate, takes my hand and leads me into the house."
    else:
        am "And then... Aka appears."
        
        show a serious with dissolve
        
        am "She looks surprised."
        am "But if I am honest, so am I... she lives here?"
        am "She comes to the gate and opens it for me."
        am '"I hope I am not disturbing, I just..." I start.'
        
        show a smile with dissolve
        
        a `"It's okay, you're here right on time," she smiles.`
        am "I freeze in the middle of the sentence."
        am "Right on time?"
        am "Right on time for what?"
        am "Could it be... a cannibal feast?"
        am "I hope I won't be the main dish!"
        am "But I let Aka lead me into the house."
        
    stop music fadeout 1.0
    
    scene dum2
    show a serious
    with dissolve
    
    am "We go inside and I take my shoes off."
    if day2 == "Aka":
        am "Aka finally notices my not-so-usual clothes."
        am "It seems to have caught her attention, but she doesn't say anything."
    am "I put my shoes aside."
    
    hide a with dissolve
    
    am "Aka runs off somewhere and so I patiently wait in the entrance room."
    am "Its interior is decorated in a simple and effective style."
    am "Honestly, I had been expecting something more pompous."
    am "Aka sure takes her time."
    am "I wait for a little longer, and then I take a seat on the edge of a nearby step."
    am "Five minutes... ten..."
    am "I get up."
    am '"Aka?" I call into the house.'
    am "No reply."
    am "Hmmm... where is everyone?"
    am `"I'm coming in," I call to no-one in particular and walk inside.`
    am "I peek into the door through which Aka disappeared."
    
    scene dum3
    
    am "There's a room there, probably a living room, but it's empty."
    am "I walk through it to a kitchen, then a corridor..."
    am "But it's the same emptiness everywhere."
    am '"Aka?" I call into the silence.'
    am "I walk through the corridor and look around me."
    am "And I notice that one of the doors is slightly opened."
    am "I knock on the door."
    am '"Aka?" I ask again.'
    am "Nothing this time too."
    am "I knock once more, louder, and open the door a little more."
    
    scene akaroom with dissolve
    
    am "I see a girl's room, clean everywhere and it smells of a strange scent."
    am "It seems pretty inappropriate compared to the rest of the house."
    am "It seems that Aka likes her personal space."
    am "Speaking of her, Aka sits on a chair by the desk, her head lying on her hands on the desk."
    
    show a fainted with dissolve
    
    am "She's sleeping."
    am "I walk up to her quietly."
    am "She has some paper under her arms."
    am "I peek at it, my curiosity raised."
    am "And I gasp for air."
    am "It's a typical marriage document."
    am "The wife's half is almost filled in..."
    am "If I were to guess, this is Aka's handwriting."
    am "The truth comes to me with a full crushing force."
    if day2 == "Aka":
        am "I have thought that it was some joke up to now..."
        am "But this looks serious."
    else:
        am "Aka is marrying someone!"
        am "And someone... someone..."
        am `Wait a moment, could've she thought "right on time for the wedding" by that "right on time" before?`
        am "And in that case, who's the groom?"
        am "Unless..."
        am "I have a bad feeling about this."
    a '"Funyaaa~"'
    am "It looks that Aka's waking up."
    am "I think about what to do quickly."
    
    show a blush with dissolve
    
    am "And she opens her eyes."
    am "I smile at her nervously."
    
    show a bscared with dissolve
    
    am "She sits up straight in a flash and blushes."
    a '"You... You have seen it!" she stutters.'
    am '"Oh... that document?" I am taken aback.'
    am "Maybe it's something I shouldn't have seen."
    
    show a frown with dissolve
    
    am "Aka looks at the table."
    
    hide a with dissolve
    
    am "I follow her gaze."
    am "And notice that under the document lie a few more papers."
    a '"Only the document?" she asks me.'
    am "I look back at her."
    
    show a serious with dissolve
    
    am "She wears a serious expression."
    am '"Only the document," I answer her honestly.'
    
    show a bsmile with dissolve
    
    am "She seems to be relieved."
    am "And she blushes."
    
    show a apology with dissolve
    
    a '"S... Sorry that I fell asleep in here," she turns her face away.'
    am "I lay my hand on her hair."
    am `"That's okay," I smile.`
    
    show a serious with dissolve
    
    am "She looks back at me."
    if day2 == "Aka":
        am "It even doesn't surprise me anymore."
        am "And so I just nod."
        if aka2 == "decline":
            am "I don't know why I got angry yesterday anymore."
    else:
        a '"I... can I ask you something?"'
        am "I want to point out that she has already asked..."
        am 'But the only thing I say is: "Why not?"'
        am "And she asks me."
        a '"Would you marry me?"'
        am "Well, there you have it."
        am "A guy moves away, meets a beautiful girl and she asks him to marry her."
        am "Now I can die happy."
        am "Wait, what?"
        am '"Wait, what?"'
        a `"I know that it's a little sudden," she avoids my look, "but... would it be alright with you?"`
        am '"Well... not really... but..." I start.'
        
    show a smile with dissolve
    am "Aka smiles..."
    am "Grabs my hand..."
    am "I have already seen this today."
    am "Déja-vu?"
    am "She takes the topmost paper from the table... the others fly all around..."
    am "...and drags me away."
    am '"Wait, where are we going?" I ask her, while being dragged through the corridor.'
    am "The answer is clear in the very next moment."
    
    scene dum3 with dissolve
    
    am "I sit in the living room on the couch, a conference table in front of me and on it a sheet of paper and a pen."
    
    show a smile with dissolve
    
    am "On the other side of the table Aka."
    am "And she's smiling."
    am "Oh my God."
    am "I have never expected to marry this way."
    am "What will my parents say."
    am "Well, what did you do today?"
    am "Nothing, really, I just got married!"
    am "..."
    
    hide a with dissolve
    
    am "I take a look at the paper."
    am "Almost a half of it is filled in with a nice girl's handwriting."
    am "Aka's whole name, her age - she's seventeen, it seems - where she first met me..."
    if day1 == "Aka":
        am '"He grabbed my hand in the forest and pretended to be a Martian."'
        am "..."
    else:
        am '"We met on the steps of our house and I swept them for him."'
        am "..."
    am "The only field that isn't filled in..."
    am '"Why do you love your partner?"'
    am "Even the personal stamp is on there."
    am "Stamp!"
    am "I can't get married, I don't have our family's stamper! Ha!"
    am "I look up victoriously."
    
    show a smile with dissolve
    
    am "Aka holds it in her hand."
    am "My jaw falls to the ground."
    am '"Where... how... when... why...?"'
    am "Aka smiles and puts a finger to her lips."
    
    show a tongue with dissolve
    
    a '"Some things are secret," she whispers.'
    am "I gulp nervously."
    
    show a smile with dissolve
    
    am "I hope that there's something relatively normal behind that and that I am not marrying the only daughter of the local Yakuza boss, and bend back over the marriage document."
    am '"Aka," I say.'
    a '"Hm?"'
    am `"Why haven't you filled in this field?" I ask her and point at the unfilled field.`
    
    show a bsmile with dissolve
    
    am "Aka blushes."
    a `"No way, a girl can't possibly fill that in first," she giggles nervously.`
    am `"But I'd like to know that."`
    
    show a tongue with dissolve
    
    a '"Only after you," Aka insists.'
    
    hide a with dissolve
    
    am "I start writing."
    am "My name, date of birth, where I met Aka..."
    am "My version differs a little."
    if day1 == "Aka":
        am '"I met her while picking mushrooms and scared her so much she fainted."'
        am "..."
    else:
        am `"I met her on the steps by her family's house where she was sweeping in a maid dress."`
        am "..."
    am "I take a look over the paper."
    am "Three fields are left to fill."
    am "I think for a moment."
    am "And then start writing."
    am `"She's silly and she can brighten one's day even though one has to take care of her because she's so naive and thoughtless. And on top of that, she's veeery cute."`
    am "Hmm, that should be enough."
    am "Aka watches me, but I doubt she can read it upside down."
    am "Honestly, my handwriting is awful."
    am "Now, all that's left is to sign it and stamp it."
    am "I raise the pen to sign it... but then I hesitate."
    am "Is the thing I am doing really all right?"
    
    show a smile with dissolve
    
    am "Aka is still watching me..."
    am "Her expression isn't eager, more like... anxious."
    am '"Is something wrong? Have I forgotten anything?" I ask her.'
    
    show a watching with dissolve
    
    am "She looks at me."
    am "She's pale."
    
    show a smile with dissolve
    
    a `"No, no, it looks nice... it's just... it's somewhat exhausting," she smiles wearily.`
    am '"Of course, for what girl is marriage not a big day?" I answer with a smile.'
    
    show a bsmile with dissolve
    
    am "She giggles and leans into the armchair."
    
    show a resting with dissolve
    
    am "She closes her eyes, still smiling."
    
    hide a with dissolve
    
    am "I look at that fateful document once again."
    am "I raise the pen."
    am "And..."
    
    menu prijde_hraci_neco_podezrele:
    
        "...I don't ask her":
            $ aka_pt -= 1
            $ aka3 = "bad"
            jump aka_final_bad
            
        "...I ask her":
            $ aka_pt += 1
            $ aka3 = "good"
            jump aka_final_good
            
            
    label aka_final_bad:
        
        $ renpy.block_rollback ()
        am "And I put the pen down."
        am '"I am sorry," I say.'
        
        show a frightened with dissolve
        
        am "Aka opens her eyes."
        a '"Funyaa~?"'
        am `"I am sorry," I repeat, "I just... can't do this... I am sorry."`
        am "Something inside of me asks what I am apologizing for, but I ignore it."
        
        hide a with dissolve
        
        am "I get up and walk around the table."
        am "I have to walk by Aka's armchair."
        am "Aka, up to that moment frozen with the shock, grabs my sleeve."
        a `"Don't go," she whispers.`
        jump final_aka_dialogue
        
    label aka_final_good:
        
        $ renpy.block_rollback ()
        am "And into the silence in the room I ask."
        
        #Desu ex Machina time!
        
        am '"What is in those papers?"'
        am "I have my eyes set on the document, but I can hear her flinch anyways."
        a '"What? In which papers?" she asks.'
        am '"In those papers on your table."'
        am '"In your room," I answer her.'
        a '"What does that have to do with..."'
        
        show a watching with dissolve
        
        am "I raise my head and Aka falls silent."
        am `"You think I don't find it weird?"`
        am '"A girl that wonders through forests, who asks the first person she meets to marry her?"'
        am '"A girl that falls asleep and faints so easily... and who is so worried about her husband-to-be seeing some papers of her?"'
        am '"Why do you hurry so much?"'
        am '"What is in those papers?"'
        
        show a frown with dissolve
        
        am "She looks away."
        a `"There's nothing in them..." she whispers.`
        am "I get up."
        am `"Then it won't matter if I'll go and take a look at them."`
        am "She's silent."
        am "She doesn't even look at me."
        
        hide a with dissolve
        
        am "I start walking into her room."
        am "When I walk by her armchair, she grabs my sleeve."
        a `"Don't go..." I hear her quiet voice, "...please..."`
        am "I put her hand away tactfully."
        am "And go on."
        am "I am not sure whether I really heard sobbing."
        
        scene akaroom with dissolve
        
        am "I get to her room and collect the scattered papers from the ground."
        am "Even while collecting them, I can already see that they are written in a medical style."
        am "I go throught them a little."
        am "Untill I find, among many latin terms..."
        am '"...she will be admitted for long-term hospitalization because of a serious deterioration of her illness..." I read for myself.'
        am "Illness..."
        am "So it's like this."
        am "I scan over the paper with my eyes."
        am "She should be admitted tomorrow."
        am "So that's why it had to be so fast."
        am "I hear a noise from the door."
        am "I turn around."
        
        show a ssmile with dissolve
        
        am "Aka stands in the doorway."
        am "She looks at the ground."
        am "Her eyes are red and she smiles a little."
        a '"So now... you know it..." she says.'
        a '"I am dying."'
        am "It sounds so inappropriate from her mouth."
        
        show a scry with dissolve
        
        a `"I won't blame you for anything if you leave now," she says and raises her eyes.`
        am "Tears flow out of them."
        jump final_aka_dialogue
    
label final_aka_dialogue:
            
    if aka_pt >= 6:
        $ akaend = "good"
    elif aka_pt >= 3:
        $ akaend = "normal"
    else:
        $ akaend = "bad"
        
    $ renpy.music.play("aud/Touching Moments Five - Circle.ogg", fadein = 3.0)
        
    if aka3 == "good":
        
        am "I put the papers back on the table and walk to her."
        
        show a frown with dissolve
        
        am "She avoids looking at me."
        if akaend == "good":
            
            scene dum3 with dissolve
            
            am "I walk past her and through the door."
            am "I go through the corridor and I can hear how she slid to the ground and started crying."
            am "I walk into the living room and sit into the armchair where she sat before."
            am "It's still warm."
            am "I do what is needed to be done."
            am "I wait."
            am "It isn't exactly a small amount of time, but I am determined to wait for as long as is necessary."
            am "Finally I hear steps in the corridor."
            am "Then in the kitchen."
            am "And then I hear how they stop at the door leading to the living room."
            am "The silence hangs in the air for a moment."
            am "I can hear the clocks ticking."
            a '"Why... w-why..." I hear weakly.'
            am `"I can't walk away from my wedding when it's not finished yet," I say to no-one in particular.`
            am `"And furthermore, I still haven't read why you love me, you know," I raise my hand with the marriage document.`
            am "There's a single unfilled field on it."
            am "I hear Aka come to the armchair."
            am "She takes it out of my hand."
            am "Silence."
            am "I wonder for how long."
            am "If it's this silent once more, I'll start counting its length."
            am "In the end it's too long a silence for my taste and so I stand up and turn around to face Aka."
            
            show a frightened with dissolve
            
            am "She's looking at me and her eyes are wide open."
            
            hide a with dissolve
            
            am "In the very next moment she's by me, hugging me with one hand and beating me into my chest with the other one."
            am "As if she couldn't decide."
            am "But her blows aren't that strong and they slowly stop."
            am "She hugs me with her other hand too and cries."
            am '"Why are you crying?" I ask her, trying to not give away the fact that I am smiling.'
            a `"Because I am happy... can't I?" Aka hiccups.`
            
            show a smile with dissolve
            
            am "She looks up and I can see she's smiling as well."
            am "I kiss her."
            am "Well, what wedding would it be without the newlyweds' kiss anway?"
            jump aka_good_end
            
        elif akaend == "normal":
            am "I pass her by and walk through the door."
            
            scene dum3 with dissolve
            
            am "I walk the corridor and hear her slide onto the floor and sob behind me."
            am "I come into the entrance hall..."
            am "And hesitate a little."
            am "But then I shake my head and put my shoes on."
            
            scene brana with dissolve
            
            am "I open the door and start walking home slowly."
            label normal_aka_end_stop:
                am "I try to forget that sobbing."
                am "Leave it behind me..."
                am "But I am not succesful at all."
                
                scene zastavka with dissolve
                
                am "I come to the train stop and sit on the bench."
                am "I hang my head and look at the ground."
                am "It might be a nice day, but I feel totally exhausted."
                am "I don't even know how, but I fall asleep slowly."
                
                scene black with dissolvelong
                scene zastavka
                show a resting
                with dissolvelong
                
                am "When I wake up, I have a jacket over me."
                am "Aka sleeps on the other side of the bench."
                am "I look at her for a moment, confused."
                am "Then I smile, take the jacket off of my shoulders and cover Aka with it."
                am "Some people never change."
                am "I sit there and wait for her to wake up..."
                jump aka_normal_end
            
        else:
            am "I stop by her."
            am "Stand there for a while."
            
            show a cryquestion with dissolve
            
            am "And after a moment she looks at me."
            am '"I am sorry," I say.'
            am `"I can't stay with someone who keeps such a thing a secret from me..."`
            
            scene dum3 with dissolve
            
            am "I walk past her."
            am "I hear how she slides to the ground and starts crying behind me."
            am "But I can't be convinced by that."
            
            scene dum2 with dissolve
            
            am "I come to the entrance to the house, put my shoes on and leave."
            am "I go straight home."
            am "I don't feel like stopping anywhere."
            
            scene room with dissolve
            
            am "I spend the rest of the day in my room."
            am "The sleep comes with a bitter taste..."
            jump aka_bad_end
            
    else:
        if akaend == "normal":
            am "I take a look at her."
            
            show a cryquestion with dissolve
            
            am "She looks at me and there are tears in her eyes."
            am "I stand there and hesitate."
            am "In the end I stretch my hand to her and put it on her hair."
            am '"Sorry."'
            am '"But I need some time."'
            
            scene dum2 with dissolve
            
            am "I put my hand away and leave."
            am "I look around the room one last time, but Aka is curled up in the armchair and I can't see her."
            am "I have to go, I can't hesitate."
            
            scene brana with dissolve
            
            am "I put my shoes on in the entrance hall and walk out into the warm autumn day."
            jump normal_aka_end_stop
            
        else:
            am "I stop, but I don't look at her."
            am '"You know... I think I am not ready"'
            am "No reply."
            am '"And I think neither are you."'
            am '"I am sorry."'
            am "I free my sleeve from her grasp."
            am "And leave."
            am "I try to not hear her crying."
            am "But it doesn't work."
            
            show brana with dissolve
            
            am "I almost run away from her house."
            
            scene les with dissolve
            
            am "I run, taking the forest path, and blame myself for being too cruel to her."
            am "But on the other hand... it was the truth, right?"
            am "Right...?"
            
            scene zastavka with dissolve
            
            am "I run to the train stop."
            am "I kick the bench angrily."
            am "I would do anything for this anger to leave me."
            am "I persuade myself that the anger is towards her, but I can feel I am lying to myself."
            
            scene trava with dissolve
            
            am "In the end I walk home."
            
            scene room with dissolve
            
            am "The rest of the day I spend in my room."
            am "Sleep doesn't come to me for a long time."
            am "And when it does, it's full of darkness and loneliness."
            jump aka_bad_end            
    
label aka_bad_end:
    
    $ renpy.block_rollback ()
    stop music fadeout 1.0
    
    scene black with dissolvelong
    centered "Aka bad end{fast}" with dissolvelong
    centered "{size=30}Foreigners{/size}{fast}" with dissolvelong
    
    scene black
    with Pause(2)
    centered "Two months later...{fast}" with dissolvelong
    $ renpy.music.play("aud/Touching Moments One - Pulse.ogg", fadein = 3.0)
    ao '"Hey, hey, have you heard?"'
    ao '"No, what is it?"'
    ao '"Aka from the next class died!"'
    am "It's been two days now, but I can still hear this exchange here and there."
    am "I look at the sky."
    
    scene lcervene with dissolve
    
    am "But my view is blocked by the leaves."
    am "The trees on the school yard still haven't fallen off."
    am "It's weird that they could have kept up longer than one girl."
    if aka3 == "bad" and akaend == "bad":
        am "Her illness came to me as a shock."
    am "I went to see her in the hospital once."
    am "But she almost didn't talk at all."
    am "She was looking at the ceiling, at something I didn't see."
    am "She didn't smile once."
    am "That always so active and careful..."
    am "(even when clumsy a little)"
    am "...girl couldn't even be recognized."
    am `I won't hear her "Funyaa~" anymore...`
    am "I close my eyes."
    am "It isn't wise to stay in the past."
    am "I had my chance and I... missed it."
    am "The time will heal these scars in few years."
    am "She will be just a foreigner to me, one that I have met long ago..."
    $ persistent.aka_bad = True
    jump credits

label aka_normal_end:
    
    $ renpy.block_rollback ()
    stop music fadeout 1.0
    
    scene black with dissolvelong
    centered "Aka normal end{fast}" with dissolvelong
    centered "{size=30}Friends{/size}{fast}" with dissolvelong
    
    scene black
    with Pause(2)
    centered "Half a year later...{fast}" with dissolvelong
    $ renpy.music.play("aud/Touching Moments One - Pulse.ogg", fadein = 3.0)
    ao '"Shhh!"'
    am "A sharp point stabs into my back."
    am "I don't let a cry out, though I have to collect all of my strength for that."
    am "I can't let the enemy know."
    am "I carefully look out of my position."
    am "It's all clear."
    am "I look around carefully."
    am '"What is it?" I whisper making almost no noise.'
    a '"The twelth question, how much?"'
    am "Oh, damn!"
    ao '"Aka, Takiguchi!"'
    am "I face towards the front in a split-second."
    am "(Tse, Takiguchi!)"
    ao '"Ten percent down for both of you," the enemy states sweetly.'
    am "Oh, no!"
    am "Well, what can I do now, I will finish it and hope for a miracle."
    am "One thing is clear."
    am "Aka can't whisper."
    
    scene jaro
    show a serious
    with dissolve
    
    am '"Quieter, you must be quieter!"'
    a '"Like this?"'
    am `"No, that's too loud!"`
    am "We sit in the school yard and I teach Aka whisper."
    am "She's still so weak from her stay in the hospital."
    am "And she will have to return there soon, I was told."
    am "Who knows when they'll let her out for more than a week."
    am "And so for now she's enjoying life as much as she can."
    am "I put my hand on Aka's hair."
    am `"Give up, you just can't whisper!"`
    
    show a sad with dissolve
    
    am "She frowns at me."
    am "And continues trying."
    am "She's stubborn - but this trait of hers sometimes pays off."
    a '"Say, Takkun," she whispers.'
    am '"Too loud!"'
    a '"No, I mean... thanks for all this."'
    am "I put the hand which was still on Aka's head away."
    am `"And I tell you for the hundredth time that you don't have to thank me, it's why we are friends!"`
    
    # Friendzoned? :x
    
    show a smile with dissolve
    
    am "She smiles and tries to whisper further."
    
    show a serious with dissolve
    
    a `"You know... I don't mean to give it up," she whispers after a while.`
    am `"Too loud, what is that it that you won't give up?"`
    a '"Whispering... life... you..."'
    a '"One day I will get your signature on that paper, you know?"'
    am '"That was too silent, what was it?"'
    
    show a smile with dissolve
    
    am "Aka smiles."
    a '"I was wondering whether you will come to visit me in the hospital again," she whispers.'
    am "I smile and nod."
    am "It was the perfect whisper."
    $ persistent.aka_normal = True
    jump credits

label aka_good_end:
    
    $ renpy.block_rollback ()
    stop music fadeout 1.0
    
    scene black with dissolvelong
    centered "Aka good end{fast}" with dissolvelong
    centered "{size=30}Funya~{/size}{fast}" with dissolvelong
    
    scene black
    with Pause(2)
    centered "Fifteen years later...{fast}" with dissolvelong
    $ renpy.music.play("aud/Midday Dance.ogg", fadein = 3.0)
    scene cschody with dissolve
    
    $ renpy.sound.play("sfx/wind-chime-2.mp3")
    
    am '"Aka!"'
    am "I straighten and call out."
    am "I look in the direction of the gate."
    am "Pulling out weeds isn't exactly easy."
    am "But I have just a little left."
    am "For a moment it's silent and then I hear the clapping of wooden sandals..."
    
    show ac curious with dissolve
    
    am "And then Aka appears."
    am '"Oh, there you are, could you please go and ask mommy when will lunch be ready?"'
    
    show ac frown with dissolve
    
    am "Aka blows her cheeks up, but then nods."
    am "She turns around and stops on the spot."
    
    show am smile at right with dissolve
    
    am "The other Aka enters."
    a '"Mummy says that lunch is ready and daddy should go eat," she smiles.'
    
    show ac smile with dissolve
    
    a '"Funya~" adds Aka.'
    am "The young one."
    am "She looks remarkably like... Aka."
    am "Though there're also some things resembling her aunties."
    am "And I hope something resembling me as well."
    am "I stretch."
    am '"I will go with you," I smile.'
    am '"How was it at the doctors?" I ask Aka (the older one), when I get to them.'
    a '"He said it looks good and that I should come again in half a year or if it gets worse," she smiles.'
    
    show ac curious with dissolve
    
    a '"Dad, can I go to aunt Midori after lunch?" Aka (the younger one) pulls my sleeve.'
    am `"If you don't break her computer, you can."`
    
    show ac frown with dissolve
    
    a '"But that was her fault!"'
    am "I let that note slip by."
    am "I fear it could be true."
    
    show am victorious at right with dissolve
    
    am "Aka (the older one) knows it well and giggles."
    am "I poke her, take both Akas by their hands and we walk back to the house together."
    
    $ renpy.sound.play("sfx/wind-chime-2.mp3")
    
    Takkunaslow "After all, the home is what makes the family..."
    $ persistent.aka_good = True
    jump credits
