label yukine_edream:
    
    ym "I dream of Yukine."
    
    scene vpadroll with dissolve
    
    ym "We sit on the stone above the waterfall."
    y '"..."'
    ym "She whispers something."
    ym "I lean to her."
    y '"I am scared..."'
    ym "I sit back."
    
    menu yukine_dream_choice:
        
        with dissolve
        "You have to overcome it":
            $ yd = "bad"
            jump ybd
        
        with dissolve
        "I will help you overcome it":
            $ yd = "good"
            $ yukine_pt += 1
            jump ygd
            
    label ybd:
        
        $ renpy.block_rollback ()
        ym '"You have to overcome that fear," I tell her.'
        ym "Yukine looks at me with teary eyes."
        y '"What do you know about it?" she asks sadly.'
        ym "And pushes me."
        ym "It isn't some strong push..."
        ym "But it's enough for me to lose balance."
        
        scene voda3 with dissolve
        
        ym "I fall into the waterfall."
        ym "I see Yukine up there."
        ym "I hope she won't blame herself for this."
        
        scene white with dissolvelong
        
        ym "I wake up with that thought."
        jump konec_snu
        
    label ygd:
        
        $ renpy.block_rollback ()
        ym '"I will help you overcome that fear," I hug her.'
        ym "She looks at me with teary eyes."
        ym "Hugs me back..."
        ym "And starts sobbing uncontrollably."
        ym "I calm her down and so she stops after a while."
        ym "She looks at me again, this time smiling."
        ym "I look her in the eyes."
        
        scene voda2 with dissolve
        
        ym "The depth of the waterfall below us is nothing compared to this depth."
        ym "I feel like falling."
        
        scene white with dissolvelong
        
        ym "I wake up and I realize that I am thinking about a pair of blue eyes."
        jump konec_snu
                
label midori_edream:
    
    mm "I dream of Midori."
    
    scene sraz with dissolve
    
    mm "She sits on the edge of a precipice and the sun shines through her hair."
    mm "I can sense she doesn't know I am here and so I just watch her."
    mm "She sits there for a long time."
    mm "It might be hours, but it might just as well be years, centuries..."
    mm "Then, suddenly, she stands up."
    mm "She stands on the edge of the precipice..."
    mm "...leans over it..."
    
    menu midori_dream_choice:
        
        with dissolve
        "...and jumps":
            $ md = "bad"
            jump mbd
        
        with dissolve
        "...and doesn't jump":
            $ md = "good"
            $ midori_pt += 1
            jump mgd
    
            
    label mbd:
        
        $ renpy.block_rollback ()
        mm "She stops in mid-air for a moment."
        mm "She flows over the emptiness, just like that."
        mm "And then she slowly falls over the edge."
        mm "I hear myself shouting."
        mm "I run to the edge."
        mm "I look over it..."
        mm "...but all I can see is the greenery."
        mm "The greenery of her hair."
        
        scene white with dissolvelong
        
        mm "I wake up with tears in my eyes."        
        jump konec_snu
        
    label mgd:
        
        $ renpy.block_rollback ()
        mm "...and I grab her hand."
        mm "We float over the emptiness for a moment."
        mm "And then we fall back to the grass."
        mm "Midori lies on the top of me and breathes heavily."
        mm "I hug her with both my arms."
        mm "She's silent."
        i '"Thanks," I hear her say in the end.'
        mm "Very quietly."
        
        scene slunce with dissolve
        
        mm "I look at the canopy of the tree above me."
        mm "It's as green as Midori's eyes..."
        mm "I slowly fall asleep with her in my arms..."
        
        scene white with dissolvelong
        
        mm "...and I wake up in my bed."
        mm "The darkness around is shaded green."        
        jump konec_snu
    
label aka_edream:
    
    am "I dream of Aka."
    
    scene white with dissolve
    
    am "I am in a room, a bright white room."
    am "There's a bed by the wall and in it lies Aka."
    am "I look out of the window but there's the same whiteness out there as there is in this room."
    am "I walk to Aka."
    am "She doesn't sleep, she looks at the ceiling."
    am '"Aka?" I call to her.'
    am "She looks at me."
    am "But her movements are painfully slow."
    am "She smiles."
    a '"Would you bring me some... water?" she whispers.'
    am "I notice door which I probably entered by."
    am "I get up and..."
    
    menu aka_dream_choice:
        
        with dissolve
        "...I stay here with Aka":
            $ yd = "good"
            $ aka_pt += 1
            jump agd
        
        with dissolve
        "...I bring Aka some water":
            $ yd = "bad"
            jump abd
    
    label agd:
        
        $ renpy.block_rollback ()
        am "And I get down again."
        am '"Sorry," I whisper and give her a short kiss.'
        
        # Freud would be pleased!
        
        am "She smiles and takes my hand in hers."
        a `"There isn't anything to be sorry for," she whispers.`
        am "She looks pleased."
        am "I pat her hair."
        am "She closes her eyes and I watch her fall asleep."
        am "I bend over her and give her a kiss on the forehead."
        
        # High forehead fetish FTW!
        
        am "Her hair tickle me..."
        am "...and I wake up."
        am "I can smell the scent of her hair in the air."
        jump konec_snu
        
    label abd:
        
        $ renpy.block_rollback ()
        am "I pat her hair."
        am '"I will be right back."'
        am "She smiles at me."
        am "I walk around the bed and come to the door."
        am "But it is locked."
        am "And I don't see any key or latch."
        am "It must be locked from the outside."
        am "I turn back to Aka."
        am "But the room is empty."
        am "I am in a white closed cell."
        am "The door behind me opens."
        am "I turn around..."
        am "...and all of sudden I am awake, woken up by a shock."
        jump konec_snu
    
label midori_dream:
    
    mm "I dream of Midori."
    mm "I stand by the railroad crossing."
    mm "The gates are down and the lights are flashing."
    mm "I hear a train nearing."
    mm "She stands on the other side of the crossing and smiles sadly."
    mm "I want to comfort her."
    mm "Tell her that she doesn't have to be scared."
    mm "But the train hides her."
    mm "It takes forever for it to pass."
    mm "And I start to fear that when it will pass, Midori won't be there."
    
    scene white with dissolvelong
    
    mm "Right before it passes, I close my eyes."
    mm "And I wake up with a shock."
    jump konec_snu
    
label yukine_dream:
    

    if yukine2 == "disappear":
        ym "I dream of that girl by the lake."
    else:
        ym "I dream of Yukine."
    ym "She sits on the stone above the waterfall and looks down."
    ym "I want to go to her but I am on the wrong side of the waterfall."
    ym "I walk around the lake..."
    ym "...but she disappears in the meantime."
    ym "I come to a place where she had been sitting before and sit down."
    ym "I look down."
    ym "I think I can see a piece of bluish cloth on one of the stones under the waterfall."
    
    scene white with dissolvelong
    
    ym "Someone covers my eyes."
    ym "And I wake up..."
    jump konec_snu
    
label aka_dream:
    
    am "I dream of Aka."
    am "I stand in her room."
    am "She lies in a bed and sleeps."
    am "I kneel down to her bed."
    am "She breathes in her sleep regularly."
    am "Her breathing lulls me."
    am "I lay my head on the bed."
    am "And slowly fall asleep."
    am "When I wake up, Aka is gone."
    am "The bed is freshly changed."
    
    scene white with dissolvelong
    
    am "I look around, confused."
    am "And wake up."
    jump konec_snu
    
