﻿#autumn
#Script and programming by Nya-chan Production

#Dekitaaaaaaaaaa!!! \o/

#The game contains 4056 screens of dialogue.
#These screens contain a total of 32395 words,
#for an average of 8.0 words per screen.
#The game contains 25 menus.

init -1 python hide:
    config.developer = False
    config.screen_width = 800
    config.screen_height = 600
    config.window_title = u"autumn"
    config.windows_icon = "gr/inter/ico/Titleico.png"
    
    config.default_fullscreen = False
    config.default_text_cps = 40
    config.thumbnail_height = 120
    config.thumbnail_width = 160
    
    config.main_menu = [
        (u"Start Game", "start", "True"),
        (u"Load Game", _intra_jumps("load_screen", "main_game_transition"), "True"),
        (u"Preferences", _intra_jumps("preferences_screen", "main_game_transition"), "True"),
        (u"Gallery", _intra_jumps("gallery", "main_game_transition"), "True"),
        (u"Quit", ui.jumps("_quit"), "True")
        ]
    
    config.translations = {
        "Skip Mode" : u"We're skipping"
        }

    #########################################

    layout.imagemap_main_menu("sys/Title.jpg", "sys/Title_hover.jpg", [
        (36, 352, 235, 391, "Start Game"),
        (36, 397, 235, 436, "Load Game"),
        (36, 442, 235, 481, "Preferences"),
        (36, 487, 235, 526, "Gallery"),
        (36, 532, 235, 571, "Quit"),
        ])
    
    layout.imagemap_navigation(
        "sys/Navigation_ground.jpg",
        "sys/Navigation_idle.png",
        "sys/Navigation_hover.png",
        "sys/Navigation_selected_idle.png",
        "sys/Navigation_selected_hover.png",
        [
            (52, 50, 251, 89, "Return"),
            (52, 95, 251, 134, "Save Game"),
            (52, 140, 251, 179, "Load Game"),
            (52, 185, 251, 224, "Preferences"),
            (52, 230, 251, 269, "Main Menu"),
            ])

    layout.imagemap_preferences(
        "sys/Preferences_ground.png",
        "sys/Preferences_idle.png",
        "sys/Preferences_hover.png",
        "sys/Preferences_selected_idle.png",
        "sys/Preferences_selected_hover.png",
        [
            (268, 357, 391, 374, "Window"),
            (268, 379, 391, 396, "Fullscreen"),
            (268, 402, 391, 419, "All"),
            (268, 424, 391, 441, "None"),
            (268, 447, 391, 464, "Seen Messages"),
            (268, 469, 391, 486, "All Messages"),
            (268, 537, 391, 576, "Begin Skipping"),
            (268, 514, 391, 531, "Stop Skipping"),
            (268, 492, 391, 509, "Keep Skipping"),
            (629, 537, 752, 576, "Sound Test"),

            (629, 447, 752, 486, "Music Volume"),
            (629, 492, 752, 531, "Sound Volume"),
            (629, 402, 752, 441, "Auto-Forward Time"),
            (629, 357, 752, 396, "Text Speed"),
            ])
    layout.imagemap_load_save(
        "sys/Saveload_ground.png",
        "sys/Saveload_idle.png",
        "sys/Saveload_hover.png",
        "sys/Saveload_selected_idle.png",
        "sys/Saveload_selected_hover.png",
        [
            (52, 543, 175, 582, "previous"),
            (636, 543, 759, 582, "next"),
            (182, 543, 305, 582, "page_auto"),
            (312, 543, 341, 582, "page_1"),
            (348, 543, 377, 582, "page_2"),
            (384, 543, 413, 582, "page_3"),
            (420, 543, 449, 582, "page_4"),
            (456, 543, 485, 582, "page_5"),
            (492, 543, 521, 582, "page_6"),
            (528, 543, 557, 582, "page_7"),
            (564, 543, 593, 582, "page_8"),
            (600, 543, 629, 582, "page_9"),
            (52, 335, 287, 529, "slot_0"),
            (294, 335, 524, 529, "slot_1"),
            (531, 335, 759, 529, "slot_2"),
            ])
    
    style.file_picker_ss_window.xpadding = 0.165
    style.file_picker_ss_window.ypadding = 0.1
    style.file_picker_text_window.xpadding = 0.165
    style.file_picker_text_window.ypadding = 0.85
    style.file_picker_text.color = (0, 0, 0, 82)
    
    layout.button_menu()

    layout.imagemap_yesno_prompt(
        "sys/Prompt_ground.jpg",
        "sys/Prompt_clicked.png",
        "sys/Prompt_hover.png",
        [
            (211, 330, 334, 369, "Yes"),
            (466, 330, 589, 369, "No"),
            ])

    style.yesno_prompt.yalign = 0.25
    
    #########################################
    
    theme.roundrect(
        widget = "#6A7183",
        widget_hover = "#1A2B47",
        widget_text = "#C9C9CB",
        widget_selected = "#E3E3E4",
        disabled = "#ADB9CC",
        disabled_text = "#DFBA14",
        label = "#39435E",
        frame = "#ADB9CC",
        rounded_window = False,
        mm_root = "sys/Title.jpg",
        gm_root = "#F7F7FA",

        )

    #########################################
    
    

    style.default.font = "sys/font/antigoni.ttf"
    
    style.yesno_prompt_text.color = (0, 0, 0, 82)
    style.create('mm_extra', 'mm_root')
    
    style.say_window.background =("gr/inter/defaultbg.png")
    style.say_window.xminimum = 740
    style.say_window.yminimum = 160
    style.say_window.xpos=400
    style.say_window.ypos=160
    style.say_window.left_padding = 60
    style.say_window.top_padding = 15
    style.say_window.right_padding = 70
    style.say_window.bottom_padding = 30
    
    style.create('say_wmidori', 'say_window')
    style.say_wmidori.background = Image("gr/inter/midoribg.png")
    
    style.create('say_waka', 'say_window')
    style.say_waka.background = Image("gr/inter/akabg.png")
    
    style.create('say_wyukine', 'say_window')
    style.say_wyukine.background = Image("gr/inter/yukinebg.png")
    
    style.say_dialogue.size = 20
    style.say_dialogue.xpos = 0
    style.say_dialogue.ypos=420
    style.say_dialogue.drop_shadow = ( 1, 1 )
    
    style.create ('say_who2', 'say_who')
    style.say_who2.color = "#444"
    style.say_who2.drop_shadow_color = "#fff"
    
    style.create ('say_dia2', 'say_dialogue')
    style.say_dia2.color = "#444"
    style.say_dia2.drop_shadow_color = "#fff"
    
    style.menu_choice_button.clear()
    style.menu_choice_button.take(style.button)
    
    style.menu_choice.size = 20
    style.menu_choice.color = "#fff"
    
    style.menu_choice_chosen.size = 20
    style.menu_choice_chosen.color = "#fff"
    style.menu_choice_chosen.drop_shadow = ( 1, 1 )
    
    style.menu_choice_button.background = "sys/Baton.png"
    style.menu_choice_button.xminimum = int(config.screen_width * 0.75)
    style.menu_choice_button.xmaximum = int(config.screen_width * 0.75)
    style.menu_choice_button.focus_mask = True
    style.menu_choice_button.hover_sound = "sfx/buttonA.wav"
    style.menu_choice_button.activate_sound = "sfx/buttonA.wav"
    
    #style.imagemap_button.hover_sound = "sfx/buttonA.wav"
    style.imagemap_button.activate_sound = "sfx/buttonA.wav"
    
    style.say_label.bold = False
    
    style.create('say_who', 'say_label')
    style.say_who.size=22
    style.say_who.xpos=0
    style.say_who.ypos=390
    style.say_who.drop_shadow = ( 1, 1 )
    
    style.create('say_slow', 'say_dialogue')
    style.say_slow.slow_cps = 10
    style.say_slow.slow_abortable=False
    
    style.create('say_fill', 'say_slow')
    style.say_fill.background = Solid((0,0,0,0))
    
    #########################################
    
    config.has_sound = True
    config.has_music = True
    config.has_voice = True

    style.button.activate_sound = "sfx/buttonA.wav"
    style.imagemap.activate_sound = "sfx/buttonA.wav"

    # config.enter_sound = "click.wav"
    config.exit_sound = "sfx/buttonA.wav"

    config.sample_sound = "sfx/buttonA.wav"
    #config.fade_music = 3.0

    config.main_menu_music = "aud/Atlantean_Twilight.ogg"

     
    #########################################

    config.help = None
    config.enter_transition = dissolve
    config.exit_transition = dissolve
    config.intra_transition = dissolve
    config.main_game_transition = dissolve
    config.game_main_transition = dissolve
    config.end_splash_transition = None
    config.end_game_transition = dissolve
    config.after_load_transition = dissolve
    
    
    #########################################
    
python early:
    config.save_directory = "Short-1230559940"
    
init:
    
    #Effects list
    $ dissolvelong = Dissolve(2.0)
    
    #Extras
    image gallery = "gr/bg/Gallery_bg.jpg"
    image aunlock = "gr/extras/aunlock.jpg"
    image agood = "gr/extras/agood.jpg"
    image anormal = "gr/extras/anormal.jpg"
    image abad = "gr/extras/abad.jpg"
    image aextra = "gr/extras/aextra.jpg"
    image munlock = "gr/extras/munlock.jpg"
    image mgood = "gr/extras/mgood.jpg"
    image mnormal = "gr/extras/mnormal.jpg"
    image mbad = "gr/extras/mbad.jpg"
    image mextra = "gr/extras/mextra.jpg"
    image yunlock = "gr/extras/yunlock.jpg"
    image ygood = "gr/extras/ygood.jpg"
    image ynormal = "gr/extras/ynormal.jpg"
    image ybad = "gr/extras/ybad.jpg"
    image yextra = "gr/extras/yextra.jpg"
    image bonus = "gr/extras/bonus.jpg"
    image p1 = "gr/extras/podzim1.png"
    image p2 = "gr/extras/podzim2.png"
    image p3 = "gr/extras/podzim3.png"
    image p4 = "gr/extras/podzim4.png"
    image p5 = "gr/extras/podzim5.png"
    image p6 = "gr/extras/podzim6.png"
    image p7 = "gr/extras/podzim7.png"
    image p8 = "gr/extras/podzim8.png"
    
    #Background images
    image logo = "sys/Logo1.png"
    image living = "gr/bg/living.jpg"
    image stones = "gr/bg/Potok_mech.jpg"
    image room = "gr/bg/boy.jpg"
    image bdetail = "gr/bg/Bambus_detail.jpg"
    image blisti = "gr/bg/Bambus_listi.jpg"
    image bhuste = "gr/bg/Bambusy_huste.jpg"
    image bsikme = "gr/bg/Bambusy_sikme.jpg"
    image bam = "gr/bg/Bambusy.jpg"
    image bstare = "gr/bg/Bambusy_stare.jpg"
    image les = "gr/bg/Les.jpg"
    image ldetail = "gr/bg/List_detail.jpg"
    image listy = "gr/bg/Listovi.jpg"
    image sraz = "gr/bg/Pohled_sraz.jpg"
    image stones2 = "gr/bg/Potok_listi.jpg"
    image potok = "gr/bg/Potok.jpg"
    image trava = "gr/bg/Trava.jpg"
    image strom = "gr/bg/Strom.jpg"
    image mech = "gr/bg/Mech.jpg"
    image mstin = "gr/bg/Mech_stin.jpg"
    image vvoda = "gr/bg/Ve_vode.jpg"
    image deluze = "#ff0000"
    image closed = "#111"
    image white = "#fff"
    image zapad = "gr/bg/Zapad_slunce.jpg"
    image kameny = "gr/bg/Kameny_zezhora.jpg"
    image mrak = "gr/bg/Mrak.jpg"
    image mroll1 = "gr/bg/Nebe_mraky_roll.jpg"
    image mroll2 = "gr/bg/Nebe_slunce_roll.jpg"
    image voda1 = "gr/bg/Voda_bublinky.jpg"
    image voda2 = "gr/bg/Voda_modra.jpg"
    image voda3 = "gr/bg/Voda_prechod.jpg"
    image voda4 = "gr/bg/Voda_sum.jpg"
    image vpad = "gr/bg/Vodopad_detail.jpg"
    image vpadroll = "gr/bg/Vodopad.jpg"
    image lcervene = "gr/bg/Cervene_listi.jpg"
    image podrost = "gr/bg/Podrost.jpg"
    image houby = "gr/bg/Houby.jpg"
    image porost = "gr/bg/Porost.jpg"
    image slunce = "gr/bg/Slunce.jpg"
    image lesy = "gr/bg/Lesy.jpg"
    image jezero = "gr/bg/Potok_modry.jpg"
    image schody = "gr/bg/Schody.jpg"
    image brana = "gr/bg/Cerven_brana.jpg"
    image zastavka = "gr/bg/Zelen_dum.jpg"
    image zed = "gr/bg/Cerven_zed.jpg"
    image festival = "gr/bg/Festival.jpg"
    image festival2 = "gr/bg/Festival2.jpg"
    image festival3 = "gr/bg/Festival3.jpg"
    image ohn = "gr/bg/Ohnostroj.jpg"
    image ohn2 = "gr/bg/Ohnostroj2.jpg"
    image ohn3 = "gr/bg/Ohnostroj3.jpg"
    image ohn4 = "gr/bg/Ohnostroj4.jpg"
    image lampiony = "gr/bg/Lampiony.jpg"
    image midori = "gr/bg/Midori.jpg"
    image jaro = "gr/bg/Jaro.jpg"
    image groom = "gr/bg/girl.jpg"
    image lavka = "gr/bg/Lavka.jpg"
    image dum1 = "gr/bg/1.jpg"
    image dum2 = "gr/bg/2.jpg"
    image dum3 = "gr/bg/3.jpg"
    image akaroom = "gr/bg/girl_aka.jpg"
    image jaro = "gr/bg/Jaro.jpg"
    image cschody = "gr/bg/Cerven_schody.jpg"
    
    #Character images
    image m smile = "gr/midori/midori_smile.png"
    image m sad = "gr/midori/midori_sad.png"
    image m tongue = "gr/midori/midori_tongue.png"
    image m blush = "gr/midori/midori_blush.png"
    image m angry = "gr/midori/midori_angry.png"
    image m happy = "gr/midori/midori_happy.png"
    image m curious = "gr/midori/midori_curious.png"
    image m cblush = "gr/midori/midori_curiousblush.png"
    image m confused = "gr/midori/midori_confused.png"
    image m suspicious = "gr/midori/midori_suspicious.png"
    image m surprised = "gr/midori/midori_surprised.png"
    image m coughing = "gr/midori/midori_coughing.png"
    image m thinking = "gr/midori/midori_thinking.png"
    image m serious = "gr/midori/midori_serious.png"
    image m bsmile = "gr/midori/midori_blushsmile.png"
    image m sadsmile = "gr/midori/midori_sadsmile.png"
    image m down = "gr/midori/midori_end1.png"
    image m scry = "gr/midori/midori_cryserious.png"
    image m dead = "gr/midori/midori_dead.png"
    image m morning = "gr/midori/midori_morning.png"
    image m mtongue = "gr/midori/midori_mtongue.png"
    image m msmile = "gr/midori/midori_msmile.png"
    image m cry = "gr/midori/midori_cry.png"
    
    image y smile = "gr/yukine/yukine_smilet.png"
    image y sad = "gr/yukine/yukine_sadt.png"
    image y blush = "gr/yukine/yukine_blusht.png"
    image y angry = "gr/yukine/yukine_angryt.png"
    image y happy = "gr/yukine/yukine_happyt.png"
    image y curious = "gr/yukine/yukine_curioust.png"
    image y cblush = "gr/yukine/yukine_curiousblusht.png"
    image y confused = "gr/yukine/yukine_confusedt.png"
    image y surprised = "gr/yukine/yukine_surprisedt.png"
    image y thinking = "gr/yukine/yukine_thinkingt.png"
    image y serious = "gr/yukine/yukine_serioust.png"
    image y cry = "gr/yukine/yukine_cryt.png"
    image y detail = "gr/yukine/yukine_searching.png"
    image y detail2 = "gr/yukine/yukine_searching_disappointed.png"
    image y watching = "gr/yukine/yukine_wcloudst.png"
    image y cold = "gr/yukine/yukine_coldt.png"
    
    image a smile = "gr/aka/aka_smile1.png"
    image a fcry = "gr/aka/aka_fcry1.png"
    image a scared = "gr/aka/aka_scared1.png"
    image a watching = "gr/aka/aka_watching1.png"
    image a shocked = "gr/aka/aka_shocked1.png"
    image a serious = "gr/aka/aka_serious1.png"
    image a frightened = "gr/aka/aka_frightened1.png"
    image a bscared = "gr/aka/aka_bscared1.png"
    image a fainted = "gr/aka/aka_fainted1.png"
    image a laugh = "gr/aka/aka_laugh1.png"
    image a cry = "gr/aka/aka_cry1.png"
    image a apology = "gr/aka/aka_apology1.png"
    image a tongue = "gr/aka/aka_tongue1.png"
    image a frown = "gr/aka/aka_frown1.png"
    image a cryquestion = "gr/aka/aka_cryquestion1.png"
    image a blush = "gr/aka/aka_blush1.png"
    image a bsmile = "gr/aka/aka_bsmile1.png"
    image a sad = "gr/aka/aka_sad1.png"
    image a resting = "gr/aka/aka_resting.png"
    image a ssmile = "gr/aka/aka_sadsmile.png"
    image a scry = "gr/aka/aka_scry.png"
    
    image am shocked = "gr/aka/am_shocked.png"
    image am shocked2 = "gr/aka/am_shocked2.png"
    image am thinking = "gr/aka/am_thinking.png"
    image am victorious = "gr/aka/am_victorious.png"
    image am smile = "gr/aka/am_smile.png"
    image am confused = "gr/aka/am_confused.png"
    image am confused2 = "gr/aka/am_confused2.png"
    image am question = "gr/aka/am_question.png"
    image am fcry = "gr/aka/am_fcry.png"
    image am fear = "gr/aka/am_fear.png"
    image am cquestion = "gr/aka/aka_cryquestion.png"
    image am cry = "gr/aka/am_cry.png"
    image am sad = "gr/aka/am_sad.png"
    image am asleep = "gr/aka/am_asleep.png"
    
    image yk smile = "gr/yukine/yk_smile.png"
    image yk sad = "gr/yukine/yk_sad.png"
    image yk question = "gr/yukine/yk_question.png"
    image yk tongue = "gr/yukine/yk_tongue.png"
    image yk angry = "gr/yukine/yk_angry.png"
    image yk serious = "gr/yukine/yk_serious.png"
    image yk ncry = "gr/yukine/yk_neutralcry.png"
    image yk csmile = "gr/yukine/yk_crysmile.png"
    image yk crush = "gr/yukine/yk_cryrush.png"
    image yk fear = "gr/yukine/yk_fear.png"
    image yk drown = "gr/yukine/yk_drown.png"
    image yk side = "gr/yukine/yk_side.png"
    image yk scry = "gr/yukine/yk_sidecry.png"
    image yk clook = "gr/yukine/yk_crylook.png"
    image yk slook = "gr/yukine/yk_sidelook.png"
    image yk cry = "gr/yukine/yk_cry.png"

    image ys frown = "gr/yukine/ys_frown.png"
    image ys smile = "gr/yukine/ys_smile.png"
    image ys eating = "gr/yukine/ys_eating.png"
    image ys blush = "gr/yukine/ys_blush.png"
    
    image ac curious = "gr/aka/acka_curious.png"
    image ac frown = "gr/aka/acka_frown.png"
    image ac smile = "gr/aka/acka_smile.png"

    #ctc
    $ defaulticon = Animation("gr/inter/ico/default/1.png", 1, "gr/inter/ico/default/2.png", 0.2, "gr/inter/ico/default/3.png", 0.2, "gr/inter/ico/default/2.png", 0.2)  
    $ defaultpause = Animation("gr/inter/ico/default/1p.png", 1, "gr/inter/ico/default/2p.png", 0.2, "gr/inter/ico/default/3p.png", 0.2, "gr/inter/ico/default/2p.png", 0.2)
    $ akaicon = Animation("gr/inter/ico/aka/1.png", 1, "gr/inter/ico/aka/2.png", 0.2, "gr/inter/ico/aka/3.png", 0.2, "gr/inter/ico/aka/2.png", 0.2)
    $ akapause = Animation("gr/inter/ico/aka/1.png", 1, "gr/inter/ico/aka/2.png", 0.2, "gr/inter/ico/aka/3.png", 0.2, "gr/inter/ico/aka/2.png", 0.2)
    $ midoriicon = Animation("gr/inter/ico/midori/1.png", 1, "gr/inter/ico/midori/2.png", 0.2, "gr/inter/ico/midori/3.png", 0.2, "gr/inter/ico/midori/2.png", 0.2)
    $ midoripause = Animation("gr/inter/ico/midori/1.png", 1, "gr/inter/ico/midori/2.png", 0.2, "gr/inter/ico/midori/3.png", 0.2, "gr/inter/ico/midori/2.png", 0.2)
    $ yukineicon = Animation("gr/inter/ico/yukine/1.png", 1, "gr/inter/ico/yukine/2.png", 0.2, "gr/inter/ico/yukine/3.png", 0.2, "gr/inter/ico/yukine/2.png", 0.2)
    $ yukinepause = Animation("gr/inter/ico/yukine/1.png", 1, "gr/inter/ico/yukine/2.png", 0.2, "gr/inter/ico/yukine/3.png", 0.2, "gr/inter/ico/yukine/2.png", 0.2)
    
    # Character list
    $ o = Character('          ???', style='say_who2', what_style = 'say_dia2', ctc = defaulticon, ctc_pause = defaultpause, ctc_position="nestled")
    $ mo = Character('          ???', style='say_who', window_style="say_wmidori", ctc = midoriicon, ctc_pause = midoripause, ctc_position="nestled")
    $ ao = Character('          ???', style='say_who', window_style="say_waka", ctc = akaicon, ctc_pause = akapause, ctc_position="nestled")
    $ yo = Character('        ???', style='say_who', window_style="say_wyukine", ctc = yukineicon, ctc_pause = yukinepause, ctc_position="nestled")
    $ t = Character('     Takiguchi', style='say_who2', what_style = 'say_dia2', ctc = defaulticon, ctc_pause = defaultpause, ctc_position = "nestled")
    $ m = Character('       Takkun', style='say_who2', what_style = 'say_dia2', ctc = defaulticon, ctc_pause = defaultpause, ctc_position = "nestled")
    $ mm = Character('       Takkun', style='say_who', window_style="say_wmidori", ctc = midoriicon, ctc_pause = midoripause, ctc_position = "nestled")
    $ am = Character('       Takkun', style='say_who', window_style="say_waka", ctc = akaicon, ctc_pause = akapause, ctc_position = "nestled")
    $ ym = Character('       Takkun', style='say_who', window_style="say_wyukine", ctc = yukineicon, ctc_pause = yukinepause, ctc_position = "nestled")
    $ a = Character('          Aka', style='say_who', window_style="say_waka", ctc = akaicon, ctc_pause = akapause, ctc_position = "nestled")
    $ y = Character('        Yukine', style='say_who', window_style="say_wyukine", ctc = yukineicon, ctc_pause = yukinepause, ctc_position = "nestled")
    $ i = Character('        Midori', style='say_who', window_style="say_wmidori", ctc = midoriicon, ctc_pause = midoripause, ctc_position = "nestled")
    $ ma = Character('       Mamka', style='say_who2', what_style = 'say_dia2', ctc = defaulticon, ctc_pause = defaultpause, ctc_position = "nestled")
    $ ta = Character('     Takkun sr.', style='say_who2', what_style = 'say_dia2', ctc = defaulticon, ctc_pause = defaultpause, ctc_position = "nestled")
    
    #Slow text
    $ Takkunmslow = Character('       Takkun',  style= 'say_who', what_style = 'say_slow', window_style="say_wmidori", ctc = midoriicon, ctc_pause = midoripause, ctc_position = "nestled")
    $ Takkunaslow = Character('       Takkun',  style= 'say_who', what_style = 'say_slow', window_style="say_waka", ctc = akaicon, ctc_pause = akapause, ctc_position = "nestled")
    $ Takkunyslow = Character('       Takkun',  style= 'say_who', what_style = 'say_slow', window_style="say_wyukine", ctc = yukineicon, ctc_pause = yukinepause, ctc_position = "nestled")
    
    $ narrator = Character(None, window_style= 'say_fill')
    
label splashscreen:
    
    $ _game_menu_screen = "_return"
    scene black
    with None
    
    $ renpy.movie_cutscene('vid/Astra9.mpg', delay=12, loops=0, stop_music=True)
    
    return
        
label start:
    
    $ extras_button = False

    #Variables - days
    $ midori1 = 0
    $ aka1 = 0
    $ yukine1 = 0
    $ midori2 = 0
    $ aka2 = 0
    $ yukine2 = 0
    $ aka3 = 0
    $ midori3 = 0
    $ yukine3 = 0
    
    #Variables - points
    $ midori_pt = 0
    $ yukine_pt = 0
    $ aka_pt = 0
    
    #Variables - number of meetings
    $ akamet = 0
    $ midorimet = 0
    $ yukinemet = 0
    
    #Variables - dreams after second day
    $ md = 0
    $ ad = 0
    $ yd = 0
    
    #Variables - endings
    $ yukineend = 0
    $ midoriend = 0
    $ akaend = 0
    
    stop music fadeout 2.0
    
    #Na začátek si "neviditelně" zobrazíme všechny extra obrazovky, ať je pak nezapomeneme někde zobrazit.
    
    scene aunlock
    scene agood
    scene anormal
    scene abad
    scene aextra
    scene munlock
    scene mgood
    scene mnormal
    scene mbad
    scene mextra
    scene yunlock
    scene ygood
    scene ynormal
    scene ybad
    scene yextra
    scene bonus
    scene p1
    scene p2
    scene p3
    scene p4
    scene p5
    scene p6
    scene p7
    scene p8
    scene closed
    
    # A jedeme!

    window show
    
    $ renpy.music.play("aud/Friday Morning.ogg", fadein = 3.0)
    
    o "It's morning." with dissolvelong
    o "I still have my eyes closed but somehow I unconciously feel it's morning."
    o "Maybe it's in the air, maybe it's just that feeling, not so much fresh, as simply the feeling of morning."    
    o "How come when you wake up in the middle of the night you know that it's not morning without opening your eyes?"    
    o "Maybe it's something to do with biorhythms or something like that."
    o "I am satisfied with such an answer (at least for now) and open my eyes."    
    
    scene room with dissolve
    
    o "I lay in my bed, in my room, in my... no, in my parent's house."    
    o "It's Friday, early morning... probably."    
    o "I check the clock and I am pleased with my guess."    
    o "It's only 7:30"    
    o "Not that this is especially early, usually I'd already be on my way to school at this time, but..."    
    o "But if I take account of the fact that this is my only room from now on, I have some free time today to check out the surroundings. After all, I only start school on Monday."    
    o '"Sweet free time," I think to myself and stretch.'    
    o "By the way, my name is Takiguchi, 17 years old."        
    t "Not the best name out there, right?"    
    t "Well, most of my friends..."
    t "(now my old friends)"
    t "...called me Takkun anyway."    
    m "Oh, about the move?"    
    m "No, it's not like that, my parents aren't moving because of work often."    
    m "And they are my own parents."
    m "No mysterious source of income..."
    m "This move is rather a change of pace and the possibility to get a smaller house after my two older siblings, brother and sister, left home."    
    m "That's what awaits me in a few years, probably."    
    m "But for now I live with my parents."    
    m "There. That's it."
    m 'With that in mind, I finish my usual morning meditation and look at the ceiling.'    
    m "And I think about my plans for today."    
    m "I could lay at home the whole day."
    m "Mmmm, that doesn't sound very interestingly."
    m "I could be helping my parents with the unpacking and other moving stuff."
    m "If I didn't get the free time yesterday from dad, with him saying that the rest they will do themselves."
    m "I could go and check out my new town."
    m "If..."
    m "If..."
    m "If that town wasn't AN HOUR AWAY BY TRAIN, which stops here ONCE EVERY FOUR HOURS and which left FOURTY FIVE MINUTES BEFORE I WOKE UP!"
    m "I turn around on the bed and bury my face in the pillow."
    
    scene closed
    
    m "WHY?"
    m "Even if I understand the reasons my parents had to move..."
    m "Why TO THE MIDDLE OF NOWHERE?"
    m "There are miles of forest all around!"
    m "I feel like I'm in Canada!"
    m `"Maybe if I went further into the forest, I'd find a bear!" I think aloud.`
    m "I turn back to the ceiling."
    
    scene room with dissolve
    
    m "I am beginning to know it by heart."
    m "And I start singing."
    m "Cause we've got rocks and trees..."
    m '"...and trees and rocks..."'
    m '"...and rocks and trees..."'
    m '"...and trees and rocks..."'
    m '"...and rocks and trees..."'
    m '"...and trees and rocks..."'
    m '"...and..."'
    m '"...WATERRRRRRR!"'
    m "I end my morning singing (Or rather cacophony), kick off the sheets and get out of the bed."
    m "I go to the bathroom, have a quick wash and do other necessary morning things."
    
    # I think about my favourite loli.
    
    m "I go out to the hall and smell a familiar smell in the air."
    m '"Mum must be awake already."'
    
    scene living
    with dissolve
    
    m "My nose leads me to the living room."
    m "And it wasn't wrong."
    m "There's ham and eggs on the table."
    ma '"Enjoy, Takiguchi!" I hear from the kitchen.'
    m "Eww, Takiguchi."
    m '"Good morning," I say towards my mother who is still shuffling around the oven.'
    m "She obviously enjoys cooking."
    ta '"Ahem... to you too," I hear an answer, but not from mum.'
    m "Dad likes to have a breakfast while standing."
    m "Who knows why."
    m '"The second mystery of the day that will be never solved," I say to myself quietly and sit down to breakfast.'
    m "It's delicious."
    m "Well, of course, when it is prepared by someone with years of experience..."
    m "I eat slowly and think about the daily programme."
    m "I'll probably spend morning at home, but..."
    m "It won't hurt to go somewhere in the afternoon."
    m "I look out of the window."
    m "The weather is nice out and it looks like it'll stay that way for the day."
    m '"Weeeeeell," I stretch my arms, get up and take the empty plate to the dishwasher.'
    m "The kitchen is kind of small for three people."
    
    scene room with dissolve
    
    m "Then I go to my room and turn on the computer."
    m "There's nothing better than satellite connection... especially here, in the Land of No-one!"
    m "I check out my favourite discussion servers, a-m-b.org, AquaMoon and vndb.org, but there's not much happening anywhere."
    
    # Couldn't think about any nice alter ego for vndb >_>
    
    m "No wonder, on Friday at eight in the morning."
    m "The bed looks tempting, but I would rather chat to one of my friends from the city I moved out from."
    m "Luckily for me, Keita is already awake and so we spend the rest of the morning thinking about how to make a great new visual novel."
    
    scene black
    with fade
    with Pause(1)
    scene room
    with fade
    
    m "It's afternoon."
    m "I don't really want to leave an incomplete project."
    m '(Keita always shines with ideas - today he thought of a game taking place in a nice kingdom and spanning over few alternative timelines.)'
    m '(Lots of good story, plot devices and most importantly - love.)'
    
    # True story.
    
    m "But the sun behind the windows is way too tempting."
    m "Indian summer is in the air."
    m "And so I apologize to Keita and go out."
    
    scene living with dissolve
    
    scene trava with dissolve
    
    $ renpy.music.play("aud/Appalachian Bird Calls of Camel's Hump State Park (Vermont, USA).ogg", fadein = 3.0)
    
    m "The first thing that I notice outside is the light."
    m "Even though my room has lots of light, this is something completely different."
    m "And besides... the air!"
    m "We really didn't have such air in town..."
    m "I almost stop regretting the distance."
    m "I check my stuff."
    m "Even though it's good weather, it's still autumn."
    
    scene ldetail with dissolve
    
    m "My gear looks alright and so I decide to go into the forest using a nearby path."
    m "The only other path from our house leads to a local train station."
    m "Between our house and the train station is a crossroad from which leads to the ruins of a building, and past that, into the town."
    m "There were two buildings, but one of them was destroyed by fire about fifteen years ago."
    m "And the only reason why the train station hasn't been closed is because the train goes from the town to a larger village."
    m "But even then the train stops on a signal only..."
    m "I wonder how many days in a year I won't get into the school because of snow or trees on the railway."
    m `"It really doesn't have to be that bad," I nod to myself in thoughts.`
    m "And with that..."
    m "...I reach a crossroad."
    m '"Hmmm, where to now?"'
    m "I try to remember something dad told me about the surroundings."
    m "One of these paths should lead to a stream flowing nearby. There is a waterwheel which provides a supplementary source of energy for the house."
    m "And supposedly lots of fish."
    m "Here I could even believe it."
    m "Though knowing dad, he was probably exaggerating."
    m "Seeing ten pikes in a second is so much it's suspicious."
    m "The other way should lead to a nearby hill which has a nice view from the top."
    m "Is something like that even practical?"
    m "The last one is a path for mushroom pickers, I was told."
    m "Which doesn't sound that bad either."
    m "Being raised by my mum, knowledge of mushrooms is one of my assets~"
    m "And she would surely be pleased by some mushrooms for dinner, even if there weren't many."
    m "I could collect more if I had brought a basket with me."
    m "So the only question that remains is..."
    m "Where to now?"
    jump den1
    
label den1:
    
    menu rozcesti:
        
        with dissolve
        "Overgrown path to the stream":
            $ day1 = "Midori"
            $ midori_pt += 1
            $ midorimet = 1
            jump midori
            
        with dissolve
        "Up the hill, to the sky":
            $ day1 = "Yukine"
            $ yukine_pt += 1
            $ yukinemet = 1
            jump yukine
        
        with dissolve
        "Into the depths of the forest, for mushrooms":
            $ day1 = "Aka"
            $ aka_pt += 1
            $ akamet = 1
            jump aka

    label midori:
        
        $ renpy.block_rollback ()
        
        mm "I decide to go to the stream."
        mm "I am interested in both the fish and the waterwheel."
        mm "I wonder how it looks?"
        mm "Dad told me it has supposed output of six megawatthours."
        
        # !!!
        
        mm "But knowing my dad..."
        
        scene strom with dissolve
        
        mm "I am going through the forest following the path."
        mm "It would be bad to get lost in here."
        mm "To start with the path is level, but it slowly changes to a slope and I am going down the hill."
        
        scene bsikme with dissolve
        
        mm "The trees around me are slowly replaced by bamboo growth."
        mm "Unmistakable sign of nearby water."
        mm "But I am going for too long anyway."
        mm "I start to think about how large the losses are due to such long wiring."
        mm "Over nine thousand?"
        mm "Or maybe I am going in circles."
        mm "My mind comes up with all the fearsome alternatives."
        mm "And so I sit on one of the stones covered in moss and eat one of my bread rolls filled with jam."
        mm "My favourite~"
        
        # omnomnom!
        
        mm "While eating I watch the ants in the moss around me."
        mm "I finish eating, pack my things and say goodbye to the ants."
        mm "Cheered up by the food, I go further."
        mm "And after a few moments there is an unmistakeable sound."
        mm "The thing I hear can't be anything else but the stream!"
        mm "Surely it's nothing compared to the massive humming of Niagara falls or the incredible height of Victorian falls..."
        mm "But it can't be anything else."
        mm "There's sparkling blue glimmering through the trees and bamboo."
        
        scene potok with dissolve
        $ renpy.music.play("sfx/river-1.mp3", fadein = 3.0, channel = 6)
        
        mm "And finally I arrive at the stream itself."
        mm "The path starts following the stream here and a little further on there should be that waterwheel."
        mm "But it's still fairly early and so I check the stream."
        mm "The water is cool and considering its size, there are really a lot of fish."
        mm "Unfortunately (or luckily?) there aren't dozens of pike here."
        mm "For a moment I sit by the stream and watch the flow."
        mm "I drink a little... the water is cold, but clear and good."
        mm "And then I decide to walk upstream."
        mm "I have enough time and I want to leave the best for the last."
        
        scene stones2 with dissolve
        
        mm "I am careful, the path ended this way and most of the surroundings are full of large stones covered in moss."
        mm "As I go against the stream, the slope gets steeper and steeper."
        mm "The path is more and more difficult."
        
        show stones with fade
        
        mm "On the other hand, I am rewarded by more interesting waterfalls."
        mm "And by singing."
        mm "..."
        mm "Singing?"
        mm "From the corner of my eye I spot a silhou..."
        
        scene mech with vpunch
        
        mm "BOOM!"
        mm "My body collides with a stone and I collect my breath for a while."
        mm "Dodge maneuvre successful!"
        mm "I find out I am watching the moss on the stone closely."
        mm `"Interesting, I don't known this one, it is different from the others."`
        
        # The difference is in pistils.
        
        mm "The singing stopped."
        mm "It looks I have been spotted."
        mm "Which was probably unavoidable anyway."
        mm "Luckily the defense mechanism worked."
        mm "If you lie on the ground and are looking down, you can't be watching naked girls!"
        mm "(As a gentleman, I won't be mentioning the lower chance of being spotted.)"
        
        scene mstin with dissolve
        
        mo "Tehehe~"
        mm "A shadow falls over the moss I am lying on."
        mm "I am pretending I can't hear or see."
        mm "I will sweetly ignore death to the last moment possible!"
        mm "There's still the possibility of her not having a weapon."
        mm "And if she has that it's sharp."
        mm "I want to die fast."
        mm "Considering the number of stones around I would guess blunt, though."
        mm "I have always wondered about how much such death hurts."
        mm '"The victim was murdered with a blunt weapon."'
        
        # My guess is that 85% of deaths in criminal stories where they specify the death is by blunt weapon.
        
        mm "How vague."
        mo '"Are you ignoring me?"'
        mm "A trap!"
        mm "I realized it is too late and I almost look up."
        mm "My chances dropped to a zero in an instant."
        mm "Firstly that voice was surely girl's..."
        mm "And I recognize girl's ankle from guy's."
        mm "I am dead."
        mm "Sorry, mum, dad, that I spoil your happiness from the new house in this way."
        mo '"Hellooo? This is Houston, calling Apollo 7, are you there?"'
        mm "The girl's voice twitters."
        mm "I watch a centipede winding through the moss."
        mm "There's silence up there."
        mm "But the shadow is not moving."
        mo '"Hmmmmm..."'
        mm "The stream of thoughts is almost touchable."
        mm "I wait for the verdict."
        mm "..."
        mm "... ..."
        mm "... ... ..."
        mm "Ahem... if I wait for it any longer, I'll fall asleep..."
        mo '"Ah!"'
        mm "Salvation!"
        mo '"I am dressed already, you know?"'
        mm "I wonder about what that sentence means."
        mm "Only one thing comes up."
        mm "In the moment I spotted her she was really..."
        mm "I am watching the moss. It's nicely green."
        mm "The moss is watching me. I am nicely red."
        mm "Zero chance I'll look up now."
        mo '"You were peeking on me?" keen voice asks.'
        
        scene stones
        show m smile at right with dissolve
        $ persistent.midori_unlock = True
        stop music fadeout 3.0 channel 6
        $ renpy.music.play("aud/Modern Piano Zeta - Improbable.ogg", fadein = 3.0)
        
        mm "Well, I fell for this trap alright!"
        mm "I am half lying and looking up at the face of a smiling girl, sixteen or seventeen years old, at a guess."
        mm "She is indeed wearing clothes and she watches me like an experimental subject."
        mm "If I recall the things that happened in the last five minutes, it pretty well describes my state."
        mm '"Ah... uhmmm... noooo!" I state.'
        mm "Probably in a totally false tone."
        mm "Even my own mother probably wouldn't believe me now."
        
        show m sad at right with dissolve
        
        mo '"Really?" the girl frowns.'
        mm '"Really, honestly!" I stand my ground desperately, unable to start running away.'
        
        show m smile at right with dissolve
        
        mo '"Well, okay!" the girl smiles and it seems she left the matter be.'
        mm "My life won't probably end up today."
        mm "Thank God!"
        mm "I rather restrain the thoughts about her gullibility."
        mm "I have a good look at the mysterious girl."
        mm "She is wearing a school uniform and she is barefoot."
        mm "She has shortly cut hair and looks like someone who likes to giggle and run around the forest."
        mm "Though, it isn't good to decide from the first impression!"
       
        show m tongue at right with dissolve
        
        mo '"Tehehe!" the girl giggles and falsifies my previous thought.'
        
        show m smile at right with dissolve
        
        i '"My name is Midori, what is your name?" she is looking at me with interest.'
        mm '"Wellll... Tak... Takkun." I say, still little shaky, but with returned interest.'
        i `"Well, now we've introduced to each other..." starts Midori.'`
        mm `I wonder where she'll take the knife from to end: "...I can kill you!"`
        mm "But nothing like that happens."
        i '"...you can tell me how you got here!" she says, still smiling.'
        mm "I wonder whether to fear that smile, but I start realizing it isn't possible."
        mm "It's contagious."
        mm "Probably more than plague and flu combined together."
        mm '"We just moved here, so I went to to check out our waterwheel, but then I turned up at the stream and..." I catch myself answering honest truth.'
        
        show m happy at right with dissolve
        
        i '"Ooooooooh, that house? Of course!"'
        mm "Midori seems to be pleased. Hard to say by what."
        mm '"...and..." I try to finish the sentence.'
        
        show m smile at right with dissolve
        
        i '"I live about mile away this way!" says Midori proudly and waves her hand in the direction of... one of the nearby bamboo stalks.'
        mm `"...and..." I don't give up.`
        i `"And today I thought to myself that the autumn isn't that cold yet and that I could go for a swim even though the water is still kind of cold!" Midori gets excited.`
        mm "I realize I am in a serious danger of being silenced forever."
        mm '"...and..."'
        
        show m tongue at right with dissolve
        
        i `"It's always so lonely here, you know? Nobody ever comes here and in the house where you live there used to be some old couple, grandpa wouldn't even get here, tehehe!" she giggles.`
        mm '"..."'
        mm "I give up."
        mm "I have met a master..."
        mm "I don't have a chance to speak unless she lets me..."
        
        show m curious at right with dissolve
        
        i '"And what about you, how do you like it here?"'
        mm "Distantly, I realize I was asked something."
        mm "Not a chance!"
        mm `It's not for nothing that I have been called "Takkun of finished thoughts" in school!`
        
        # Don't ask.
        
        mm '"...and then I spotted you here." I finish briefly while I have the possibility.'
        
        show m blush at right
        
        mm "Reaction time: {w=.5}0,013s!"
        mm "Ladies and gentlemen, a new record!"
        mm "I haven't seen anyone get red this fast in all my life."
        mm "All those 17 years, 8 months and 23 days I have lived for this moment only!"
        mm "And it even looks like I managed to stop that waterfall of words."
        
        show m cblush at right with dissolve
        
        i '"W-w-w-what do you mean?" Midori stutters out at last.'
        mm "It's interesting to see her this nervous."
        mm "One wouldn't expect it after the previous show."
        mm '"What I said?" I extend her suffering.'
        
        show m blush at right with dissolve
        
        mm "It seems Midori can't get any redder."
        
        show m angry at right with dissolve
        
        i '"You... you... youuuuu... pervert!" she gets out, finally.'
        mm "I had been expecting something more original..."
        
        scene stones with fade
        
        mm "In the next moment, the mobility of my body is greatly raised in positive way towards the mass of water behind me."
        mm "Simply said, I fly back into the water."
        mm "I must say that I find this original."        
        
        scene vvoda with dissolve
        $ renpy.sound.play("sfx/42142__duckboy80__SplashEdit.wav")
        
        mm "SPLASH"
        mm "That was my body trying to stand the impact against the water."
        mm "CRACK"
        mm "That was Mr. Stone greeting my head."
        mm "Hey there, Mr. Stone."
        
        # Mr. Stone has a wife and three children. The youngest one, Pebble, is 24 years old.
        
        mm "Glglglglgllll"
        mm "My consciousness conceals with bluish green."
        mm "And it was so nice day."
        mm "I already thought I wouldn't die."
        
        stop music fadeout 2.0
        scene black with dissolvelong
        
        mm "Am I in heaven?" with dissolvelong
        mo '"...ku..."'
        mm '"Saint Peter, is that you?"'
        mo '"..kkun!..."'
        
        scene closed with dissolve
        $ renpy.music.play("sfx/river-1.mp3", fadein = 5.0, channel = 6)
        
        mm `"I can't enter heaven? I know, I have sinned, watching naked girls in a stream..."`
        mo '"Takk... what?"'
        mm "It's interesting how fast can one regain full consciousness."
        mm "Especially in the moment he blabbers something really inappropriate."
        
        # blabbler!
        
        scene stones
        show m cblush with dissolve
        stop music fadeout 3.0 channel 6
        $ renpy.music.play("aud/Modern Piano Zeta - Improbable.ogg", fadein = 3.0)
        
        mm '"Ahhhhh, hi!"'
        mm "My clothes are completely soaked."
        mm "Midori's as well."
        mm "I have a feeling that she's just dragged me out of the stream."
        mm "Where she had thrown me before."
        mm "Total score: {w=.5}0."
        
        show m blush with dissolve
        
        mm "I think that now I have about a hundredth of second before Midori reacts..."
        
        menu midori_day1:
            
            with dissolve
            "Throw her in the water before she recovers and run away":
                $ midori1 = "water"
                $ midori_pt += 1
                jump water
                
            with dissolve
            "Divert her attention with interestiíng talk... and run away":
                $ midori1 = "talk"
                jump midori_talk
                
            with dissolve
            "Let herself beat me because I deserve it":
                $ midori1 = "beating"
                $ midori_pt -= 1
                jump beating
        
        label beating:
            
            $ renpy.block_rollback ()
            scene stones with fade
            $ renpy.sound.play("sfx/42142__duckboy80__SplashEdit.wav")
             
            mm "Oh hey, Mr. Stone!"
            mm "Long time no see!"
            mm "Oh yes, I know that You are pleased to see me as well..."
            
            scene vvoda with dissolve
            
            mm "..."
            mm "... ..."
            mm "And then only darkness..."
             
            stop music fadeout 2.0
            scene black with dissolvelong
            scene potok with dissolvelong
             
            mm "I regained my senses after few miles in water." with dissolvelong
            mm "...probably."
            
            scene strom with dissolve
            stop music fadeout 2.0 channel 6
            $ renpy.music.play("aud/Appalachian Bird Calls of Camel's Hump State Park (Vermont, USA).ogg", fadein = 3.0)
            
            mm "Before I got home, the clothes dried off..."
            mm "(This year's autumn is strangely warm.)"
            
            scene trava with dissolve
            
            mm "...but all the things I took with me were gone or not usable anymore, except the bag itself."
            
            scene living with dissolve
            stop music fadeout 1.0
            
            mm "I got home dead beaten and hungry."
            
            scene room
           
            mm "Time to get some sleep. Maybe the weekend will be better."
            mm "Meeting that dryad must have been devil's act."
            mm "(Midori, hm?)"
            jump konec_dne
        
        label midori_talk:
            
            $ renpy.block_rollback ()
            mm "Ah!"
            
            scene mech
            
            mm "I throw myself to the moss covering a nearby stone and start examining it."
            mm "Midori looks confused."
            
            show m confused with dissolve
            
            i '"What... are you doing?"'
            mm '"This is an incredibly rare kind of moss!"'
            
            show m curious with dissolve
            i '"It is? And which one? I always enjoyed in botany in school," Midori comes closer, with a look of interest about her.'
            mm "Damn..."
            mm `"Well... that's... Postodolomicus carbonarum!" I capably improvise.`
            
            # Yes, I just thought it up
            
            show m suspicious with dissolve
            
            i '"I have never heard of something like that," frowns Midori.'
            mm "I decide to go for the last attack."
            mm `"And the thing behind you can be nothing other than the rare subkind Habuluncae!" I give out a triumphant shout and point with my finger.`           
            
            # This as well
            
            show m surprised
            
            i '"Where?" Midori turns around disconcerted.'
            mm "Hah!"
            mm "Precisely what I have been waiting for!"
            
            scene strom
            stop music
            stop music channel 6
            $ renpy.music.play("aud/Appalachian Bird Calls of Camel's Hump State Park (Vermont, USA).ogg", fadein = 3.0)
            
            mm "After just a moment I am already few parsecs away."
            mm "I don't feel like spending the rest of my free day by being silenced and drowning."
            label midori_runaway:
            mm "Though I have to admit that that mysterious girl, Midori, had something about her."
            mm "I mean... who takes a bath in a mountain stream just like that?"
            mm "Besides me."
            mm "And that wasn't voluntarily."
            mm "I notice that even though it's warm..."
            mm "(This year's autumn is surprisingly warm.)"
            mm "My wet clothes stick to my body."
            mm '"Better go home to change clothes," I think about it.'
            mm "It can't be helped."
            mm "I wait for a moment so it isn't so conspicuous."
            mm "(I don't want my parents asking about wet clothes.)"
            
            scene trava with dissolve
            
            mm "And then I go home."
            mm "I come home a little hungry and with bump on my head."
            
            scene living with dissolve
            stop music
            
            mm "It's getting dark, so I have a dinner and go to sleep."
            
            scene room with dissolve
            
            mm "That meeting today was worth it..."
            mm "(Midori, hm?)"
            jump konec_dne
        
        label water:
            
            $ renpy.block_rollback ()
            
            mm "I quickly grab Midori around the waist."
            
            show m blush with dissolve
            
            i '"Hiiii, w..." Midori squeals.'
            
            hide m with dissolve
            
            mm "But she's already falling in the water in that moment."
            mm "I turn around and disappear from the scene of the crime."
            
            scene potok with dissolve
            stop music
            $ renpy.music.play("aud/Appalachian Bird Calls of Camel's Hump State Park (Vermont, USA).ogg", fadein = 3.0)
            
            mm "No witnesses, no tool of murder..."
            mm "Fantomas would be proud!"
            mm "But then I stop..."
            mm "What if she fainted like me?"
            mm "What if... what if..."
            mm "And anyways... she got me out of the water..."
            
            menu midori1_extra:
                
                with dissolve
                "Go back to help Midori":
                    $ midori1 = "extra"
                    jump midori1_good
                
                with dissolve
                "Continue home, the score is even":
                    
                    $ midori_pt -= 1
                    
                    $ renpy.block_rollback ()
                    mm "No, no, there's no reason to go back anymore."
                    mm "Eye for eye, throwing for throwing!"
                    mm "It's even now, next round will happen some other time..."
                    
                    scene strom with dissolve
                    stop music fadeout 2.0 channel 6
                    
                    mm "I continue home, now at ease."
                    jump midori_runaway
                
            label midori1_good:
                
                 $ renpy.block_rollback ()
                 mm "I think about it for a little more, but then I turn around and run and climb the part of the way back."
                 
                 scene stones with dissolve
                 
                 mm "And then the fateful place finally reappears."
                 
                 stop music
                 
                 mm "I catch my breath."
                 
                 scene deluze with Dissolve (0.1)
                 scene stones with Dissolve(0.1)
                 
                 mm "The dead body of Midori lifelessly floats on the water."
                 
                 scene deluze with Dissolve (0.1)
                 scene stones with Dissolve(0.1)
                 
                 mm "Blood and intestines all around."
                 
                 scene deluze with Dissolve (0.1)
                 scene stones with Dissolve(0.1)
                 
                 mm "At least fifty litres!"
                 
                 scene deluze with Dissolve(0.2)
                 scene stones with Dissolve(0.2)
                 
                 mm "There's whistling in my head and it's red before my eyes..."
                 
                 scene deluze with Dissolve(1)
                 mm "...red?"
                 
                 # What did you expect, green delusion? From me?
                 
                 scene stones
                 $ renpy.music.play("sfx/river-1.mp3", fadein = 3.0, channel = 6)
                 
                 mm "Delusions aside..."
                 mm "Midori is alright, luckily."
                 mm "I am suddenly relieved a lot."
                 
                 show m coughing with dissolve
                 $ renpy.music.play("aud/Modern Piano Zeta - Improbable.ogg", fadein = 3.0)
                 
                 mm "She's just getting out of the water and she's still coughing a little."
                 mm "And so I offer her a hand."
                 
                 show m tongue
                 
                 mm "And I am not fast enough to react."
                 mm "This time we are both in water."
                 mm '"Hey... kch... you... what are you doing?" I spit out water.'
                 
                 show m happy with dissolve
                 
                 i '"Hahahahaha!"'
                 mm "Midori is just laughing really loud."
                 
                 show m coughing
                 
                 mm "Little shower in the face quickly calms her."
                 
                 show m happy
                 
                 mm '"Gah! Cough!"'
                 mm "Of course the water is returned to me instantly."
                 mm "The next ten minutes we just play in the water like little kids."
                 
                 scene black
                 with dissolvelong
                 scene zapad
                 with dissolvelong
                 stop music
                 stop music channel 6
                 $ renpy.music.play("aud/MeasuredPaces.ogg", fadein = 3.0)
                 
                 mm `"That wasn't bad..."` with dissolvelong
                 
                 show m thinking with dissolve
                 
                 i '"Hmmm..."'
                 mm "We lie on one of the big stones and we let our clothes dry."
                 mm "Midori has her clothes on."
                 mm "She's probably much shier in some regards than one would expect."
                 
                 # She has not exactly representative bra on today...
                 
                 mm "I at least took my T-shirt off."
                 mm "This year's autumn is nicely warm."
                 mm "We are silent."
                 mm "You could say I don't know what to say, kind of."
                 mm "And so it isn't surprising that the first one to speak is Midori."
                 
                 show m serious with dissolve
                 
                 i '"Thanks..."'
                 mm "I am a little surprised."
                 mm '"Thanks? For what?" I raise my brows.'
                 
                 show m tongue with dissolve
                 
                 i '"For... this everything, I guess," Midori sticks her tongue out at me.'
                 mm "But she is smiling."
                 mm "I smile too."
                 mm "Plague and flu are nothing compared to this."
                 
                 show m serious with dissolve
                 
                 i '"I enjoyed it. So for that thing," she insists.'
                 mm `"I enjoyed it too, so you don't have to!" I contradict her.`
                 
                 show m smile with dissolve
                 
                 mm "Midori smiles and looks back at the sky."
                 i '"If you live here now... does that mean it will be possible to see you more often?" she asks.'
                 mm '"Probably?" I answer with a question, "You live only a mile away through... that bamboo, right?" I wave my hand vaguely.'
                 
                 show m happy with dissolve
                 
                 i `"Well, that's a promise!" Midori giggles and sits up.`
                 
                 show m thinking with dissolve
                 
                 mm "I see her silhouette against the setting sun."
                 mm "Deeply red sun and rich green hair."
                 mm "Even I can smell their strange smell."
                 Takkunmslow "Time stops for a moment..."
                 
                 # Bet this slow typing will piss of two thirds of players at least.
                 
                 show m happy with dissolve
                 
                 mm "And then Midori jumps off the stone and smiles brightly."
                 i `"I'll be running off then!" she waves at me.`
                 
                 hide m with dissolvelong
                 
                 mm "And... disappears in the forest..."
                 mm "I stare absent-mindedly for a while and then I decide to go home."
                 
                 scene strom with dissolve
                 
                 mm "The sun is really low by now and it'll take a while."
                 mm "On the way I dawdle a little and so when I come home it's dark already."
                 
                 scene living with dissolve
                 stop music
                 
                 mm "Luckily it isn't that late and so I get no reprimands."
                 mm "I eat my dinner and go to sleep."
                 
                 scene room with dissolve
                 
                 mm "I can't fall asleep for a good while, though..."
                 mm "I think about today's meeting."
                 mm "I fall asleep thinking about Midori..."
                 jump konec_dne

    label yukine:
        
        $ renpy.block_rollback ()
    
        ym "I go up the hill."
        ym "The path isn't easy but on the other hand there's not that much greenery on it."
        ym "I go quite a long way, but eventually I come to a place where the trees and bushes suddenly end."
        
        scene trava with dissolve
        
        ym "Further on there is only the top of the hill, some two hundred yards away."
        ym "Which is all covered in grass."
        ym "Of course, not like an english lawn."
        
        # Neither with 'juana... :/
        
        ym "There is knee-high, wild, yellowish green autumn grass."
        ym "I go to the top of the hil and enjoy wading through the grass."
        ym "The sun shines on my back and the walking is easy."
        ym "And so I come on the top of the hill."
        ym "On the hill stands a blonde girl in an armour, leaning on a sword and the wind plays with the parts of her clothes that it can play with."
        
        # But you know...
        
        scene black with dissolve
        scene trava with dissolve
        
        ym "I rub my eyes."
        ym "The top of the hill is empty."
        
        scene black with dissolve
        scene trava with dissolve
        
        ym "I rub them again."
        ym "Nothing has changed."
        ym '"It must be the fatigue," I try to convince myself.'
        
        # Spots on sun
        
        ym "I look into the sun."
        ym "The sun is smiling at me brightly."
        ym "I sit in the grass, take out something to eat and enjoy the view."
        ym "The hill is far from being the highest in the country all around, but the view from it is really nice."
        ym "I yawn."
        ym "Could that hallucination before really have been caused by fatigue?"
        
        scene mroll1 with dissolve
        
        ym "I look around the sky."
        ym "There are only a few clouds in the sky and so I decide to nap for a while."
        ym "I hope that the bears will prefer my bread rolls with jam to me."
        
        # They probably would...
        
        ym "I lay down, look up, and the sky and a few straws of grass appear in front of my eyes..."
        ym "I watch the sky and slowly fall asleep..."
        
        stop music fadeout 5.0
        scene black with dissolvelong
        
        yo '"..."'
        ym "My sixth sense tells me it isn't safe to wake up."
        
        scene closed with dissolvelong
        
        ym "Probably because of that, I wake up."
        
        scene mroll1
        show y detail
        with dissolvelong
        $ persistent.yukine_unlock = True
        $ renpy.music.play("aud/Touching Moments Two - Higher.ogg", fadein = 3.0)
        
        ym "I slowly open my eyes."
        ym "The sky has disappeared."
        ym "Well... mostly."
        ym "Instead of it my view is filled by a girl's face."

        # ...but she prefers lifeless bodies to bread rolls with jam.
        
        ym "And that tickling I first thought were straws of grass are her hair."
        yo '"..."'
        ym "Her hair has a light blue colour."
        ym "And she wears glasses."
        ym "Behind the glasses are light blue eyes."
        ym "Not greyish or blended in some way."
        ym "Just deep light blue."
        ym "She doesn't blink."
        ym "While I categorize her like this, she watches me."
        ym "Not even curiously, just... watches."
        ym "In the end I decide to say something."
        ym '"H..."'
        
        show y detail2
        
        yo '"Shhhhh!"'
        ym "The reaction was instant."
        ym "The head looks a little angry now and so I decide to be quiet."
        
        hide y with dissolve
        
        ym "In the end the head disappears, probably content with the amount of information gathered, and her place is taken by the sky again."
        ym "I don't dare to move and so I just stare at the clouds."
        ym "I hear how the girl lies on the ground near me."
        ym "I turn my head in her way."
        
        scene trava
        show y watching
        with dissolve
        
        ym "Over the grass I see that she's looking at the sky."
        ym "She wears a blouse and jean shorts."
        ym "I open my mouth."
        ym '"..."'
        ym "I close it."
        ym "I feel like a carp a little."
        ym 'Looking at her I think of the name "Ice Queen".'
        
        # One of her nicks in class
        
        ym "I turn my gaze back to the clouds."
        
        scene mroll1 with dissolve
        
        yo '"...me..."'
        
        scene trava
        show y watching
        
        ym "Ouch."
        ym "My neck cracked from the speed in which I turned my head back."
        ym "Did she just say something?"
        ym "The girl watches the sky."
        ym "I watch her lips carefully."
        yo '"Name...", she says quietly.'
        ym "This time I heard her."
        ym '"M- my name?" I react a little confused.'
        yo '"Yes," I rather guess she says.'
        ym '"Takkun," I collect my strength to saying that and smiling.'
        ym "The girl doesn't smile."
        
        show y thinking with dissolve
        
        yo '"Takkun? Is that your real name?" the girl frowns again.'
        ym "I start to wonder whether she can smile."
        ym '"Well... my real name is Takiguchi..."'
        ym "I don't say it precisely beaming with joy."
        
        show y watching with dissolve
        
        yo `"You don't like that name?" she says, still neutral as always.`
        ym '"Not much."'
        ym "Even my answers are getting shorter."
        ym "Interesting."
        
        show y cold with dissolve
        
        yo '"Mmmm," grumbles the girl and looks my way.'
        ym "Light blue eyes behind the glasses carefully watch me."
        y '"My name is Yukine," says the girl.'
        ym "Ah?"
        ym "But I wasn't... asking her..."
        ym "But the girl, to my surprise, continues."
        y '"Should I call you Takiguchi?"'
        ym "How to answer that?"
        ym "I think for a while..."
        ym '"You know... rather not..." I say slowly in the end.'
        
        show y serious with dissolve
        
        ym "The girl frowns."
        y `"But I... don't like Takkun." she says in a firm tone.`
        ym "Quietly, but in a firm tone."
        
        show y watching with dissolve
        
        ym "And turns her eyes back to the clouds."
        ym "I look at the sky like her."
        
        scene mroll1 with dissolve
        with Pause(2)
        scene mroll1 at Pan((0, 600), (0, 0), 5.0)
        
        ym "The clouds move slowly in the sky..."
        ym "The sun is already slowly falling to the horizon."
        ym "But it will be light for another two or three hours."
        
        scene closed with dissolve
        
        ym "I close my eyes."
        ym "There is a light breeze on the hill."
        ym "It's peaceful."
        y '"..."'
        ym '"..."'
        y '"..."'
        ym '"..."'
        y '"Okay."'
        ym '"Hm?"'
        ym "Whisper out of nowhere, like before."
        ym "I should get used to it."
        
        scene trava
        show y smile
        with dissolve
        
        ym "I look in her direction."
        ym "And I almost jump with surprise."
        ym "She looks in mine... and she's smiling!"
        ym '"Gah... guh... what is okay?" I ask her, surprised.'
        y '"I will call you Takkun," she says, still smiling.'
        y '"Under one condition," adds.'
        ym '"What condition?" I ask her.'
        
        show y cold with dissolve
        
        y '"You will call me Yukine, no other way" she says in that quiet, firm tone.'
        ym "I don't see a problem with that and so I agree."
        ym "And she watches me for a moment longer..."
        
        show y watching with dissolve
        
        ym "And then looks at the clouds again."
        
        scene mroll1 with dissolve
        
        ym "I look at them as well."
        ym "What did that mean?"
        
        # Pardon him, he's a bit slower.
        
        ym "I watch the clouds and start to feel a little sleepy."
        ym "I wonder what to do about that."
        ym "Intensive exercising kind of isn't possible."
        ym "Maybe if Yukine was sleeping."
        ym "But occasional sound of her clothes shuffling from her direction doesn't make it seem that way..."
        ym "How to start a conversation with such a silent girl?"
        ym "I start to regret that I didn't pay more attention to that in the circle of my friends."
        ym "Though I would probably have learned mainly about new idols."
        
        # Undoubtedly.
        
        ym "I think a little more about what to talk about, but I can't think of any proper topic."
        ym "The only thing we have been talking about so far were the nicknames."
        ym "Well, but why not..."
        
        scene trava
        show y watching
        with dissolve
        
        ym "I take a breath, look her way and..."
                
        menu yukine_day1:
            
            with dissolve
            "...I ask her for her nickname":
                $ yukine1 = "hers"
                $ yukine_pt -= 1
                jump she_leaves
                
            with dissolve
            "...I tell her about my nickname":
                $ yukine1 = "his"
                jump nickname
                
            with dissolve
            ".....":
                $ yukine1 = "silence"
                $ yukine_pt += 1
                jump dots
        
        label she_leaves:
            
            $ renpy.block_rollback ()
            ym '"What is your nick, anyways?" I ask her.'
            
            show y thinking with dissolve
            
            ym "She turns her head towards me."
            ym "And I know something is wrong."
            ym "That I asked something I shouldn't have."
            
            show y cold with dissolve
            
            ym "Yukine sits up and looks down the hill."
            ym "Then she gets up and starts descending."
            ym "I think about running after her..."
            
            hide y with dissolve
            
            ym "But after such reaction it wouldn't be exactly appropriate."
            ym "Anyways, I've ruined this introduction."
            ym "That is as plain as day."
            
            scene ldetail with dissolve
            $ renpy.music.play("aud/Appalachian Bird Calls of Camel's Hump State Park (Vermont, USA).ogg", fadein = 3.0)
            
            ym "I slowly raise myself, take my backpack and go back on the road I took to come here."
            
            scene living with dissolve
            stop music
            
            ym "I come home right for dinner."
            ym "But I don't enjoy it."
            ym "I still see Yukine's expression after my question."
            
            scene room with dissolve
            
            ym "I don't finish my meal, excuse myself and leave for my room."
            ym "My parents look surprised."
            ym "This doesn't usually happen to me."
            ym "..."
            ym "I look at the ceiling and think."
            ym "Why could she get so angry."
            ym "If she got angry."
            ym "This doesn't make sense."
            ym `"She can't be that touchy about her nicknames!" I say in the end, turn on side and...`
            ym "And fall asleep."
            jump konec_dne
            
        label nickname:
            
            $ renpy.block_rollback ()
            ym '"My nickname," I say firmly.'
            
            show y curious with dissolve
            
            ym "Yukine looks at me with an icy look."
            ym `"It's from my school."`
            ym "Yukine doesn't move a muscle."
            ym '"My classmates were calling me that because I asked them to."'
            ym '"And so it has a special meaning for me."'
            ym "I have a feeling she smiled a little."
            ym "Why am I even telling her such things?"
            ym "She barely knows me!"
            
            scene mroll1 with dissolve
            
            ym "I sigh and look back."
            y `"Interesting," I hear and from the noise of grass I know that she's again watching the sky, like me.`
            y `"I don't have any nick I would really want," I hear her say and after that is only silence.`
            ym "This theme is dead."
            ym "And I don't even know how to answer her last note."
            ym "We lie that way about an hour more."
            ym "Then Yukine gets up."
            
            show y serious with dissolve
            
            y '"I have to go," I hear her quiet voice.'
            
            # I have to beat my slaves.
            
            y `"Maybe we'll meet again... thank you for keeping me company."`
            ym "And she leaves by the road down the hill."
            ym "A winter fairy, totally inappropriate for this autumn hill lit by the setting sun."
            
            hide y with dissolve
            
            ym "And then she disappears into the dark forest."
            ym "I lie there for a little longer..."
            
            scene ldetail with dissolve
            $ renpy.music.play("aud/Appalachian Bird Calls of Camel's Hump State Park (Vermont, USA).ogg", fadein = 3.0)
            
            ym "And then I get up as well and go home."
            
            scene living with dissolve
            stop music
            
            ym "I get home a little while after the sun sets."
            ym "I eat dinner and go to sleep."
            ym "I think about the meeting on the hill."
            ym "And I find out that I wouldn't be against seeing Yukine again."
            ym '"Who knows..."'
            ym "And with that I fall asleep."
            jump konec_dne
            
        label dots:
            
            $ renpy.block_rollback ()
            ym "..."
            ym "... ..."
            ym "... ... ..."
            ym "And I close my mouth again."
            ym "Suddenly I feel like saying nothing will be better."
            
            show y curious with dissolve
            
            ym "And in that moment Yukine looks at me."
            ym "She looks a little surprised that I am looking in her direction."
            
            show y smile with dissolve
            
            ym "And then she smiles."
            ym "I think how lucky I am to see those smiles."
            
            show y watching with dissolve
            
            ym "Then she looks back at the sky."
            
            scene mroll1 with dissolve
            
            ym "And I as well."
            ym "We lie there in the medium height grass on the hill..."
            ym "...under the reddening sun..."
            Takkunyslow "...and even without talking we know we are side by side."
            
            # Someone will want to kill me because of slowfont. Guaranteed.
            
            ym "My eyes get heavy..."
            ym "And I know I will fall asleep in a moment."
            
            menu yukine1_extra:
                
                with dissolve
                "We should go home...":
                    
                    $ yukine_pt -= 1
                    jump proposal
                
                with dissolve
                ".....":
                    $ yukine1 = "extra"
                    jump yukine1_good
            
            label proposal:
                
                $ renpy.block_rollback ()
                ym '"We should go home," I say quietly.'
                ym "Silence..."
                ym "It seems even the wind has stopped."
                y '"You are probably right," I hear.'
                ym "I watch the fading sky."
                ym "Was there a sadness in that voice?"
                
                show y serious with dissolve
                
                ym "Yukine gets up."
                ym "I can't help but follow her now."
                ym "I notice that she keeps her face away from me."
                
                # Suddenly he's sharp enough. Desu/Deus Ex Machina, anyone?
                
                ym "I take my backpack and go down the hill with her."
                ym "There our paths split."
                
                show y thinking with dissolve
                
                y 'I hear her say: "See you around."'
                y '"I hope we will meet again soon.'
                ym "But she's looking at the ground."
                
                hide y with dissolve
                
                ym "Then she turns around and disappears into the forest."
                ym "I turn to the nearest tree and smash my head against it untill I see a being from the fourth dimension."
                
                # Oh, hai there!
                
                $ renpy.music.play("aud/Appalachian Bird Calls of Camel's Hump State Park (Vermont, USA).ogg", fadein = 3.0)
                
                ym `"That wasn't the best thing I could've said!"`
                ym "I speak to another of my illusions..."
                ym "Oh well..."
                ym "What can I do with that now..."
                
                scene ldetail with dissolve
                
                # Besides loading...
                
                ym "I take the backpack from the ground where I dropped it while smashing my head against the tree and I head home."
                
                scene living with dissolve
                stop music
                
                ym "I get home some time after the sun sets."
                ym "I eat dinner and go to sleep early."
                ym "Thinking about the meeting on the hill."
                ym "And I find out that I wouldn't have anything against seeing Yukine again."
                ym "And this time leave her happier."
                ym '"Who knows..."'
                ym "With that thought I fall asleep."
                jump konec_dne
                
            label yukine1_good:
                
                $ renpy.block_rollback ()
                ym '"..."'
                ym "I stay silent."
                ym "I don't have anything to say."
                ym "And even if I had..."
                ym "Would it even matter?"
                
                scene black with dissolvelong
                
                ym "I slowly fall asleep, the second time that day..."
                
                show mroll2 with dissolvelong
                with Pause(2)
                show mroll2 at Pan((0, 600), (0, 0), 5.0)
                
                ym "I wake up."
                ym "The sun is at the very edge of its strength, only a small part of it can be seen now."
                
                scene trava with dissolve
                $ renpy.music.play("aud/Appalachian Bird Calls of Camel's Hump State Park (Vermont, USA).ogg", fadein = 3.0)
                
                ym "I am alone on the hill..."
                ym "I curse my fate."
                
                # and stay and night
                
                ym "And my sleepiness."
                ym "And the sun that had lulled me."
                ym "And tens of other things."
                ym "I get up disgustedly and head home."
                ym "BAD END"
                ym "Or... not?"
                ym "When I got up, a note fell off of me."
                ym "Of course I don't think about its contents and pick it up."
                ym "Natural reflex."
                ym '"For today, I have prepared some Explosive Ru..."'
                ym "I throw the note away."
                ym "No, no, no!"
                ym "I shake my head."
                ym "If anything was clear about Yukine, it was her gender."
                ym "I focus and read the small writing in the fading light."
                
                show y smile at right with dissolve
                
                y '"Thank you for the nice afternoon."'
                y '"It has been a while since I spent some time with someone without having to answer questions..."'
                y `"I hope we'll see each other soon."`
                y '"Yukine"'
                y '"P.S.: Your face looks cute when you are sleeping!"'
                
                hide y with dissolve
                
                ym "The note is written with clean handwriting."
                ym "I feel I am getting red."
                ym "Right now I could challenge the setting sun in a competition to see who is redder."
                ym '"Cute... really, what does she think...?"'
                ym "But I know I am pleased deep in my heart..."
                
                # Tsundere? My hero? UNPOSSIBLE!
                
                scene ldetail with dissolve
                
                ym "I get up, hide the note in my backpack and go home, this time for real."
                
                scene living with dissolve
                stop music
                
                ym "I get home after sunset, but not that late."
                ym "Dinner is already cold..."
                ym "But I don't care."
                ym "I go to sleep with a full stomach and a little stupid smile."
                ym "The latter obviously makes my parents a little nervous."
                ym "But I don't care about that!"
                
                scene room with dissolve
                
                ym "Before falling asleep I read through the note Yukine had left me."
                ym '"Cute..."'
                ym "I fall asleep with that word on lips..."
                jump konec_dne       
        
    label aka:
        
        $ renpy.block_rollback ()

        am "I decide to take the least visible path through the forest growth."
        am "It's probable that I'll bring home few mushrooms."
        am "And probably a few ticks as well..."
        am "But sacrifices have to be made!"
        
        scene podrost
        
        am "With a heroic shout I throw myself into the vegetation."
        am "I look left and right furiously."
        am "Then I stop."
        am 'For a moment I think about how do you "furiously look".'
        am "But then I let it be and look furiously some more."
        am "There have been enough mysteries for today."
        am "And who knows what I'll find further in the forest."
        am "I hope there are at least lots of..."
        
        scene houby with dissolve
        
        am '"MUSHROOMS!"'
        am "I jump to the nearest tree and get out my knife!"
        am "Mushrooms! And not the usual ones! Lots of quality ones!"
        am "Imagine the best types based on where you live!"
        am "(If in Africa, imagine gazelle meat from some prime gazelle.)"
        
        # omnomnom 2
        
        am "There are whole fields of these mushrooms!"
        am "If I had rake and pannier, I'd rake them by the ton!"
        am "If I had scythe, I'd reap them by dozen!"
        am "I try to pick only the best ones."
        am "The weak are saved today!"
        am "I look on the ground to avoid stepping on some extra rare one."
        am "Hah!"
        am "This is one gorgeous!"
        am "I jump to it and clasp it in my hand!"
        am "I wave with it triumphantly for the invisible masses of people around!"
        am "For its size it's surprisingly heavy."
        am "And a little warm."
        am 'And it goes "Funya~"'
        
        # Sorry. Uguu~, desu~, hauauauuu~ and other ones are taken. I tried to be original.
        
        am "..."
        am "I look at the thing I am holding in my hand."
        
        show a fcry with dissolve        
        $ persistent.aka_unlock = True
        $ renpy.music.play("aud/Midday Dance.ogg", fadein = 3.0)
        
        am "I hold a hand in my hand..."
        ao '"Funya~"'
        am "The hand belongs to a girl."
        am "The girl starts to cry."
        am "She is a little shorter than me and so as I hold my hand up it's hard for her to stand, she is tottering on her tiptoes."
        am "I let the hand go and the girl joins the fallen leaves around us."
        ao '"Funya~"'
        am "She's still making those weird noises as she rubs her eyes."
        am "She wears a short skirt and a top of similar length."
        am "It suits her hair."
        am "She has a basket in her hand."
        am "She probably stretched for the mushroom at the same time as me..."
        am "For the mushroom..."
        am '"MUSHROOM!" I let out a cry!'
        
        show a scared
        
        ao '"Funyaaaa~?" the girl shrieks with surprise.'
        am "In her hand I see the remains of the smashed mushroom."
        
        # It was a shiitake ;___;
        
        hide a
        
        am "I fall to my knees and curse all the Japanese gods."
        am "There are a lot of them, so it takes me a while."
        ao '"You..." I hear weakly beside me.'
        am "I desperately fall into the leaves and stare up into the crowns of the trees."
        am '"Yes?" I answer the voice.'
        ao '"You are picking mushrooms here as well?" the voice asks.'
        am '"No, I fell from Mars," I say seriously.'
        ao '"Oh..." says the voice.'
        am "It's silent for a moment..."
        am "Then..."
        ao '"And where do you have tentacles?" it asks.'
        am "I look at the girl."
        
        show a watching with dissolve
        
        am "Her basket is by her side and she's watching me."
        am '"Such opinions about us Martians offend me!" I say a little arrogantly.'
        
        show a shocked
        
        am "The girl looks caught off guard."
        ao `"O- oh, I am sorry, Mr. Martian, I didn't want to offend you!" she says and looks like she'll start crying any moment now.`
        
        show a watching with dissolve
        
        am "She hesitates for a moment..."
        am "...sniffles..."
        am "...and offers me a hand."
        
        show a serious with dissolve
        
        
        a '"Pl- pleased to meet you, Mr. Martian, my name is Aka," she says, little timidly.'
        am "I accept the offered hand."
        
        show a smile with dissolve
        
        am "Aka smiles a little and sniffles."
        am "I don't let go."
        
        show a watching with dissolve
        am "Aka hesitates."
        am "I see that but don't move an inch."
        
        show a frightened with dissolvelong
        
        a '"Ahem... Mr. Martian... could you let go of my hand?" Aka asks in the end.'
        am "She looks a little scared."
        am "Of course I don't let go of her hand and look into her eyes."
        
        # [ x ] Rape the maid!
        
        a '"Eh... ah... M- mr. Martian..." she continues stuttering out.'
        am "I let go of her hand."
        
        show a watching with dissolve
        
        am "Aka looks fairly relieved."
        am '"Oh, sorry, Aka, I forgot to warn you..." I start to say.'
        
        show a scared with dissolve
        
        am "Aka has a suntan, but she still goes pale now and she starts shaking..."
        a '"A- about what?" she asks me desperately.'
        am "This is interesting..."
        am '"Fundamentally, we Martians have sex by touching hands." I tell her with straight face.'
        am `"It looks you'll have to fly with me back to The Mars and become my wife."`
        
        show a bscared with dissolve
        
        am "Aka takes tries to turn red and white after hearing my words."
        am "It seems like she can't choose."
        
        hide a
        
        am "Finally she chooses the third choice and faints."
        am "I would never expect to find someone who takes this seriously."
        am "I don't think she fainted because of the strength and amount of my pheromones..."
        
        show a fainted with dissolve
        
        am "I crawl to her on all four and check her vital signs."
        am "They seem to be normal and so I lean her against a tree, sit next to her and wait for her to wake up."
        am "Seeing her this close I noticed she has rather high forehead."
        am "Uhmmm... I'll rather leave that for myself."
        am "After fifteen minutes the girl slowly wakes up."
        a '"Aaaahh... hummm... funyaaaa~"'
        am "(What does she have with that sound?)"
        a '"Such a weird dream... There was a Martian talking with me and... and..."'
        am "Aka looks at her hand."
        am "I don't see her face but the back of her neck is completely red."
        am "I prepare for the unavoidable and pat on her shoulder."
        
        show a scared
        
        a '"Funyaaaaaaaaaaa~!" screams Aka with surprise, turns around and jumps away.'
        am "I jump to her and catch her before she manages to faint again."
        
        show a bscared with dissolve
        
        a '"M- m- m- martian!" she stutters out, gets red and casts her eyes down.'
        am '"You know," I say to her...'
        a '"N... no... that was... my first time... and I have my mum... and dad... and..." she starts spluttering hastily.'
        am '"You know, Aka, I have to tell you something..." I tell her seriously.'
        
        show a fcry with dissolve
        
        a `"NO! I can't fly to The Mars! What would my cat do without me!" turns Aka towards me and her eyes are full of tears.`
        am '("Maybe you could take her with you. For Martians cats are delicacy," my inner self whispers to me.)'
        am "But I think that it's been enough."
        am '"You know, I am not Martian at all," I confess.'
        
        show a frightened with dissolve
        
        am "Aka freezes."
        am '"I am an ordinary human who lives in a house nearby and is picking mushrooms here."'
        
        show a laugh with dissolve
        
        a '"Ahahahaha..." Aka laughs forcedly.'
        am "I start to fear that I got her in some kind of shock."
        am "Shouldn't she calm herself now?"
        a `"Y- you almost got me there!" laughs the girl further on and wipes tears in her palms.`
        a '"I... I almost thought that... that... that..."'
        
        show a cry with dissolve
        
        am "And I suddenly find out that I have a crying girl in my arms."
        
        # 0.o
        
        am "I wonder what to do with that."
        am "I never enjoyed such heartbreaking scenes."
        am "And I don' like romantic movies."
        am "Maybe the classical ones, but you are more likely to find murders than crying there."
        am "Finally I collect the strength to act and..."
        
        menu aka_day1:
            
            with dissolve
            "...I hug the girl":
                
                $ aka1 = "hug"
                jump hug
                
            with dissolve
            "...flick her on the forehead":
                
                $ aka1 = "flick"
                $ aka_pt += 1
                jump flick
                
                # !ping Aka
                
            with dissolve
            ".....":
                
                $ aka1 = "silence"
                $ aka_pt -= 1
                jump no_response
                
        label hug:
            
            $ renpy.block_rollback ()
            am "I still hold her by shoulders and so I drag her to myself and hug her."
            am "She's still crying but it looks like she's calming down."
            am "After a moment she gently pushes me away."
            
            show a apology with dissolve
            
            a '"I- I am sorry..." she whispers and wipes her reddish eyes.'
            am "I notice their colour again."
            am "Like she was an albino... but she doesn't have white hair and she's tanned well enough."
            am '"No, no, no," I refuse her reservations.'
            am `"It's me who should apologize, that was a little... inappropriate of me."`
            
            show a smile with dissolve
            
            am "Aka smiles a little."
            a '"That is certainly true," she agrees with me.'
            am "We both smile and everything seems to be in good order."
            am "Aka bends down and takes her basket from the ground."
            a '"So... back to the mushroom picking?" she asks.'
            am "She's still shivering a little."
            am "We pick the mushrooms silently."
            am "From time to time we show each other the best samples."
            am 'Aka is either giggling at them or makes her "Funya~"'
            am "After a while I get used to that sound."
            am "I fill my sweatshirt with mushrooms quickly."
            am "I put them in my backpack."
            am "And the rest of the afternoon I help Aka pick."
            am "She seems to appreciate that."
            am "Though, who knows..."
            
            scene black with dissolvelong
            scene houby with dissolvelong
            
            am "The hours run by and the evening slowly comes..."
            
            show a serious with dissolve
            
            a '"I have to go," she says suddenly.'
            a '"I still have to clean up and sweep floors," she gets lost in thought.'
            am "That was unexpected."
            am "She acts more like a natural klutz."
            am "But she has her responsible side too."
            am "Well..."
            am "If after cleaning up there isn't more to clean up than before she had started..."
            am "I smile at her and nod slightly."
            am '"Then go."'
            
            show a smile with dissolve
            
            am "Aka smiles."
            am "It seems she likes to smile."
            
            # Or I don't know what to write >_>;;
            
            am '"Oh, one more thing..." I remember.'
            am "She stops in the middle of leaving and looks at me quizzically."
            am '"Do you pick mushrooms here often?" I dare to ask.'
            a '"From time to time" Aka giggles.'
            
            show a serious with dissolve
            
            a '"Why do you want to know?" she asks me.'
            am "A normal girl would be teasing me."
            am "But I have a suspicion that in Aka's case it's a serious question."
            am '"From time to time I land here with my spaceship, so I should be careful," I stick my tongue at her.'
            
            show a tongue with dissolve
            hide a with dissolvelong
            
            am "She returns me the expression, smiles and takes one of the forest paths away from me."
            am "I stand there for a little longer, but then I go home as well."
            
            scene podrost with dissolve
            $ renpy.music.play("aud/Appalachian Bird Calls of Camel's Hump State Park (Vermont, USA).ogg", fadein = 3.0)
            
            am "I have already picked enough mushrooms and I have nothing to do."
            
            scene living with dissolve
            stop music
            
            am "Mum greets me enthusiastically."
            am "And there are fried mushroom caps covered with breadcrumbs."
            
            # omnomnom 3
            # Considering this script, I think about the food all the time!
            
            scene room with dissolve
            
            am "After a good meal I go to sleep."
            am "I think about today."
            am "When I think about it, I haven't even asked her how come she's so far from the town."
            am "Does she take a train to come pick mushrooms around here?"
            am "I will ask her the next time..."
            am "I fall asleep thinking that I must not forget it..."
            jump konec_dne
            
        label no_response:
            
            $ renpy.block_rollback ()
            am "I hold her by her shoulder and don't say anything."
            am "She cries for a while and so eventually I take my hands off her shoulders."
            
            show a shocked
            
            am "She gets a little startled."
            am "And finally stops crying."
            
            show a serious with dissolve
            
            am "She looks at me with reddish eyes."
            am '"W... what is it?" I ask her.'
            
            # Friday.
            
            am "She looks at me a little longer..."
            am "And then she bends down for her basket."
            
            show a frown with dissolve
            
            a '"I have to pick mushrooms," she says, little stiffly.'
            a '"I have to clean up as well this evening," she adds, seemingly to make a point to her sentence.'
            am "And she really starts picking mushrooms."
            am "I stare at her bewildered for a moment, but then I join her."
            am "I can't avoid noticing she tries to keep her distance from me, though."
            
            hide a with dissolvelong
            
            am "Seems I offended her somehow."
            am "It wasn't that bad a joke..."
            am "I am not responsible for her gullibility, right?"
            
            $ renpy.music.play("aud/Appalachian Bird Calls of Camel's Hump State Park (Vermont, USA).ogg", fadein = 3.0)
            
            am "In this (and similar) ways I think while picking mushrooms into my sweatshirt."
            am "In the end it's full and so I carefully put it in my backpack and look for Aka."
            am "But I can't see Aka anywhere around."
            am "Lost in thoughts, I lost even the reason for those thoughts."
            am '"Tse," I sigh and return home.'
            
            scene trava with dissolve
            
            am "I have the thing I came for."
            am "I get home long before sunset."
            
            scene living with dissolve
            stop music
            
            am "Mum is pleased by the mushrooms but my heart is cloudy."
            am "Where could've she gone to... and was it because of me?"
            am "In the end I decide that I don't know."
            am "It wasn't exactly an afternoon with a nice outcome."
            am "I have fried mushrooms for dinner and I go to sleep early."
            
            scene room with dissolve
            
            am "I fall asleep with the smell of mushrooms."
            jump konec_dne
            
        label flick:
            
            $ renpy.block_rollback ()
            am "I hold her by her shoulders."
            am "And so I raise one of my hands..."
            am "And..."
            
            show a cryquestion with dissolve
            
            a '"Funya~?" she looks at me with a puzzled look in her tearful eyes.'
            
            hide a with vpunch
            
            am "POINK!"
            am "My thumb stopped restraining for my flexed middle finger which, after considerably increasing its velocity, met Aka's forehead."
            
            show a fcry with dissolve
            
            am 'Aka squats, hold both her arms on her forehead and makes those "Funya~" sounds.'
            am "(I start to get used to them.)"
            am "I squat down to her level."
            a `"W- why'd you do that, funyaaaa~?" she asks me in tears.`
            am "I raise my index finder."
            am '"Remember this," I start to say.'
            
            show a cryquestion with dissolve
            
            am "She watches me with fear, but kind of curiously."
            am `"Don't cry, when..." I continue...`
            am "I want to add something, but looking at her, it seems like a useless lecture."
            am `"Just don't cry!" I finish and offer her a hand.`
            
            show a frightened
            
            am "She is startled, but I was prepared for that."
            am "And wipe the tears off her cheek."
            
            show a fainted with dissolve
            
            am `"Martians don't like that..."`
            am '"...and your smile is much nicer," I finish again.'
            
            show a blush with dissolve
            
            a '"Funya~" gets Aka red in answer to this compliment.'
            
            show a bsmile with dissolve
            
            am "And then she looks at me and smiles."
            a '"Okay," she agrees.'
            am "I hand her her basket."
            am `"Let's go pick mushrooms then, right?" I say encouragingly.`
            am "She nods and takes the basket."
            am "And..."
            am "Then we pick mushrooms."
            am "It doesn't sound exactly awesome..."
            am "But after that we really spend few hours only picking mushrooms."
            am "Even though I have to notice..."
            am "She keeps being suspiciously close to me."
            am "A few times I even have to remind her that this close to each other we'll find less."
            am "But I get enough mushrooms sooner than her anyway and then I help her..."
            am "So it's not like I really mind."
            
            # Sound pollution... Feel the fusion... Absolution!
            # </random>
            
            scene black with dissolvelong
            scene lcervene with dissolvelong
            
            am '"Say... are you from around here?"'
            am "Her basket is full."
            am "I put the mushrooms in my sweatshirt and then into the backpack."
            am "We sit next to each other, leaning against a tree and we talk."
            
            show a smile with dissolve
            
            a '"Of course!" she answers without hesitation.'
            a `"I didn't come here by train from town," she giggles.`
            
            show a serious with dissolve
            
            a '"But then... I could do that!" she thinks about it.'
            am "You would have to live there first..."
            am "I think to myself."
            am "But I don't say it out aloud."
            am '"Then we will see each other more often, right?" I ask her.'
            
            show a watching with dissolve
            
            am "She looks at me lost in thoughts..."
            a '"Funyaaa~" she says slowly...'
            a '"Probably yes?" she adds, still wrapped in thoughts.'
            am "It looks like she's thinking about something."
            am "I let her and just watch her."
            am 'She says "Funyaa~" to herself now and then.'
            am "Really quietly, just like that."
            am "I got so used to it by now that it starts to feel charming."
            am "Finally, I move."
            
            show a frightened
            
            a '"Funyaaa~?" Aka looks at me surprised.'
            am "(What did I say?)"
            am '"We should head home," I tell her.'
            am "She gets up from the ground too."
            
            show a sad with dissolve
            
            am "She looks a little sad, though."
            am "It probably wouldn't be best to say good bye like this."
            am "And so..."
            
            # Rape. The. Maid.
            
            menu aka1_extra:
                
                with dissolve
                "... I flick her on the forehead":
                    
                    $ aka1 = "extra"
                    jump aka1_good
                
                with dissolve
                "... I promise her we'll see each other again":
                    
                    $ aka_pt -= 1
                    jump promise
                    
            label promise:
                
                $ renpy.block_rollback ()
                am "I take a breath."
                am `"It will be alright, we'll see each other again!" I assure her with smile.`
                
                show a watching with dissolve
                
                am "She looks at me."
                a '"Really?" she asks me seriously.'
                am '"Really," I say convincingly.'
                
                # Tsuyokiss, kiss!
                
                show a frown with dissolve
                
                am "Against my expectations she frowns."
                a '"How can you be so sure?" she asks out of blue.'
                am '"Well... I simply know it?" I am kind of surprised.'
                a '"What if you die on the way back?" she continues firmly.'
                am "Oh damn..."
                am "I ignore the fact that mentioning my death isn't exactly tactful."
                am "What is way more serious is the direction this conversation is taking."
                a `"You shouldn't promise if you don't know it for certain," Aka says.`
                am "Feeling guilty, I nod."
                am 'It seems that I accidentally found out one of her "get mad" places.'
                am "And so I try to sweep it under the carpet."
                am '"Well... okay, we might never see each other again, then." I deduce logically.'
                
                show a serious
                
                am "Aka is taken aback."
                
                show a frightened with dissolve
                
                a '"R... really?"'
                am "She looks at me with eyes wide open and looks like she'll start crying at any moment."
                am "This is exactly the way the day shouldn't have ended."
                am "Furthermore... what should I pick now?"
                am "Either she'll start crying or she'll get mad."
                am "I put my hand on the top of her head."
                
                show a shocked with dissolve
                
                am '"I hope not."'
                am '"You should be going. You still have to clean up and such..." I encourage her.'
                am "At least I hope it was encouraging."
                am "Anyways it helped."
                
                show a watching with dissolve
                
                am "Aka wipes her tears, nods, turns around and takes one of the forest paths away."
                
                hide a with dissolvelong
                
                am 'I hear her quiet "Funya~" getting further and further away.'
                am "And so I take a path home too."
                am "The end of the day wasn't what I expectated."
                am "Not everything goes smoothly, it seems..."
                am "Especially when one is Martian..."
                
                scene trava with dissolve
                $ renpy.music.play("aud/Appalachian Bird Calls of Camel's Hump State Park (Vermont, USA).ogg", fadein = 3.0)
                
                am "I smile for myself and continue home."
                am "I arrive before sunset..."
                
                scene living with dissolve
                stop music
                
                am "Mum is really taken aback by the mushrooms."
                am "She fries some for me and tomorrow she wants to pickle some."
                am "At dinner I think about my meeting with Aka."
                am "How could I know so surely we'll meet again... was it?"
                
                scene room with dissolve
                
                am "I go to sleep."
                am "I look at the ceiling and think about promises and about Aka..."
                am "...before I am slowly taken to the land of dreams..."
                jump konec_dne
                
            label aka1_good:
                
                $ renpy.block_rollback ()
                am '"Aka..." I call her.'
                
                show a blush with dissolve
                
                am "She dreamingly looks into my eyes."
                am "Her eyes looking only on me..."
                am "Mine on her..."
                am "Our faces getting closer..."
                am "I can see her soft lips..."
                
                hide a with vpunch
                
                am "POINK!"
                
                show a fcry with dissolve
                
                am "Aka squats and holds her forehead with both her hands."
                am "I squat down to her."
                am `"It isn't good to say good bye with a sad face," I tell her with smile.`
                
                show a tongue with dissolve
                
                am "She looks at me and sticks her tongue at me."
                am "But her eyes are smiling."
                
                show a watching with dissolve
                
                a '"I know," she says gloomily.'
                am "She picks up a few mushrooms that are scattered around on the ground."
                am "Then she stands up."
                a `"I hope we'll meet again..." she says.`
                
                show a smile with dissolve
                
                am "She smiles at me..."
                am "And turns around and leaves."
                
                hide a with dissolvelong
                
                Takkunaslow 'I hear quiet "Funya, funyaaa~", as I see her depart.'
                am "She seems to be pleased with something."
                am "I smile for myself and go home too."
                am "I can't do much more here."
                
                scene podrost with dissolve
                $ renpy.music.play("aud/Appalachian Bird Calls of Camel's Hump State Park (Vermont, USA).ogg", fadein = 3.0)
                
                am "I slowly walk through a silent forest."
                am "I sing, not too loud."
                am '"Funyaa, funyaaa, funya, funyaaaaa~"'
                
                scene trava with dissolve
                
                am "It's contagious."
                am "Finally I get home."
                
                scene living with dissolve
                stop music
                
                am "Mum is totally taken aback by the sheer amount of mushrooms."
                am 'Regardless of the fact that her son evidently has a yearning to say "Funyaa~" now and then.'
                am "I have fried mushroom caps for dinner."
                
                scene room with dissolve
                
                am "And I crawl into my bed."
                am "I think about meeting Akou."
                am 'And the pillow is wholly "Funyaa~".'
                am "The dream fairy takes me to her kingdom..."                
                jump konec_dne
                            
label konec_dne:
    
    $ renpy.block_rollback ()
    scene black with dissolvelong
    $ renpy.music.play("aud/Comfortable Mystery.ogg", fadein = 3.0)
        
    m "I sleep restlessly." with dissolvelong
    m "In my dreams a young girl talks to me..."
    if day1 == "Midori":
        
        scene vvoda with dissolve
        
        m "Then she giggles and throws me in the water."
        m "The laughter is strangely familiar to me, but I don't recognize her..."
        
        scene room
    
        m "I wake up with a shock."
        
    elif day1 == "Aka":
        
        scene living with dissolve
        
        m "Then she offers me some fried mushrooms, funyaa~."
        m "I see only poisonous ones."
        m "I look the girl in the face but I don't recognize her."
        m "I take a portion of the mushrooms in my spoon and..."
        
        scene room
    
        m "I wake up."
        
    elif day1 == "Yukine":
        
        scene mroll1 with dissolve
        
        m "But then she gets quiet and I find myself looking at the sky."
        m "I can't turn away and so I just hope that the girl is still with me."
        
        scene black
        
        m "Something covers my eyes."
        
        scene room
        
        m "I wake up frightened."
        
    m "The dream slowly floats out of my mind."
    
    stop music
    
    $ renpy.music.play("aud/Friday Morning.ogg", fadein = 3.0)
    
    m "The first thing I remember after waking up is that I met some girl yesterday on a walk..."
    m "What was her... ah!"
    if day1 == "Midori":
        show m happy with Dissolve(0.3)
        hide m with Dissolve(0.6)
    elif day1 =="Aka":
        show a smile with Dissolve(0.3)
        hide a with Dissolve (0.6)
    else:
        show y cold with Dissolve (0.3)
        hide y with Dissolve (0.6)
    m '"%(day1)s!"'
    ta '"%(day1)s?"'
    m "(Oh damn...)"
    ta '"Who is this %(day1)s you speak of... some dream girl?"'
    m "The light is already out and my dad came into my room to borrow some music."
    m "(From time to time he does that since I collect much more music than him.)"
    m "He looks at the monitor, but his face surely has menacing look about it."
    m "Twisted with a silent threat... and with fears about the decency of his last son."
    m "I don't even have the time to meditate over my life as I do every morning."
    m "I silently crawl out of the bed and change my clothes while maintaining neutral conversation."
    m '"And did you know that the emissions of greenhouse gasses in the last year rose by ten percent?"'
    ta '"Oh, really? Where did you hear that?"'
    m "My father's interest in this (completely made up) information will remain unsatisfied."
    
    scene living with dissolve
    
    m "By that time I am already in the kitchen, taking some bread and my favourite bread rolls and packing them into my backpack."
    if midori1 == "beating":
        m "Luckily for me I didn't lose it after yesterday's argument with Midori... though it still hasn't dried off completely."
    if midori1 == "extra":
        m "It reminds me yesterday's meeting with Midori... it still hasn't dried off..."
    if yukine1 == "hers":
        m "I find one bread roll in my backpack. I left the hill early..."
        m "I feel slight regret."
    if yukine1 == "extra":
        m "In the backpack I find the note from yesterday."
        m "I hold it tightly in my hand and continue packing..."
    if aka1 == "silence":
        m "The backpack smells like mushrooms."
        m "It's a sad smell..."
    if aka1 == "extra":
        m "The backpack smells like mushrooms."
        m "It's a nice and sunny smell..."
    m "I can't be seen in this house anymore!"
    m "(Well, at least 'till lunch...)"
    
    scene trava with dissolve
    $ renpy.music.play("aud/Appalachian Bird Calls of Camel's Hump State Park (Vermont, USA).ogg", fadein = 3.0)
    
    m "I run out of the house armed with knowledge and a supply of bread rolls."
    m "Never underestimate bread rolls!"
    
    scene ldetail with dissolve
    
    m "I run into the forest and slow down."
    m "I don't have to hurry, dad probably won't follow me."
    m "Now I have about half a day before I return."
    m "If not more."
    m "I slowly walk through the thick vegetation."
    m "It's obvious that this place isn't visited much."
    m "Down and up a hill, down and up a hill."
    m "Small valley. Small stream."
    
    scene porost with dissolve
    
    m "The vegetation grows a little thicker."
    m "I wonder whether this thick vegetation is even normal."
    m "I sit down and have some food."
    m "Walking in this tires one out..."
    m "After a while I stand up, wipe my mouth with a sleeve and..."
    m "...and I don't know where I came from."
    m '"Hmmmmm."'
    m "This looks serious."
    m "I could go down the hill."
    m "The town lies in the valley."
    m "And all the water flows into the sea."
    m "At worst I will arrive to some port following the seashore."
    m "But thinking about the distance I decide to do exact right opposite."
    m '"One can see more from the height!" I point myself up the hill and start going up.'
    m "Going up isn't easy."
    m "But imagining the seashore, I clench my teeth..."
    m "I have images of seagulls pecking at my dead body..."
    m "...and I continue ascending."
    
    scene slunce with dissolve
    
    m "The sun is burning even over the tops of the trees."
    m "And so I am pretty tired before I get to the top of the hill."
    m "I climb the nearest tree."
    m '"Mary, I see the light!" I call down.'
    m "Then I realize that the light is the sun..."
    m "...and that no Mary has come along with me."
    m '"Oh, well..."'
    
    scene lesy with dissolve
    
    m "I see forest."
    m "Lots of forest."
    m "So much forest that if someone had told me that I'd see this much forest at once, I wouldn't have had believed them."
    m "And in the vast greenery two things stand out..."
    m "It's the roof of some house."
    m "But I am sure it isn't our house."
    m "Pity."
    m "It looks a little faded and so I wonder it these are the ruins of that other house around..."
    m "But it still has red roofing tiles and so I doubt it."
    m "And even then... that girl I met yesterday has to live somewhere."
    if day1 == "Aka":
        m "Poor Aka if she has to clean that house."
    m "The other interesting thing is a lake."
    m "It isn't that big but it's a lake all right."
    m "Blue and wet..."
    m "It has to belong to that stream."
    if day1 == "Midori":
        m"The one in which I was unvoluntarily bathed yesterday."
    else:
        m "The one by which stands our waterwheel."
    if day1 == "Yukine":
        m "It's interesting, that I don't see the grassy top of the hill from the yesterday anywhere..."
    m "But I have been watching for long enough and I have to decide."
    jump den2
    
label den2:
    
    menu strom:
        
        with dissolve
        "Go towards the mysterious lake":
            
            jump decision_day2
            
        with dissolve
        "Go towards the mysterious house":
            
            $ day2 = "Aka"
            $ aka_pt += 1
            if akamet == 1:
                $ akamet = 2
            else:
                $ akamet = 1
            jump aka2
    
    label decision_day2:
        
        $ renpy.block_rollback ()
        scene slunce with dissolve
        
        m "I climb down the tree and head toward the lake."
        m "I try to go in that direction and I think my effort is not in vain."
        
        scene bhuste with dissolve
        
        m "Finally I come to a bamboo growth that goes across my path..."
        m "And I stop in doubt."
        m "I hadn't noticed the green of the bamboo grove from the tree anywhere."
        m "Am I going the right way?"
        m "I think I should go through..."
        m "But maybe I should follow the grove."
        if day1 == "Midori":
            m "Yesterday they led me to the water."
            m "And to the stuff that followed."
        m "So what now?"
        
        menu decision:
            
            with dissolve
            "Cross the bamboo and continue to the water":
                
                $ day2 = "Yukine"
                $ yukine_pt += 1
                if yukinemet == 1:
                    $ yukinemet = 2
                else:
                    $ yukinemet = 1
                jump yukine2
                
            with dissolve
            "Turn off and follow the bamboo grove":
                
                $ day2 = "Midori"
                $ midori_pt += 1
                if midorimet == 1:
                    $ midorimet = 2
                else:
                    $ midorimet = 1
                jump midori2
                
        label yukine2:
            
            $ renpy.block_rollback ()            
            m "I walk through the bamboo."
            m "And keep navigating using my (non)sense of direction."
            m "The path is drier and drier."
            
            scene slunce with dissolve
            
            m "There are only dried trees around."
            m "And I start thinking I chose wrong."
            m "But then I see a flash of the lake's blue surface shine at me between the trees."
            m "I hear the noise of the water."
            m '"YES!"'
            m "I chose right!"
            m "I know I won't die of dehydration!"
            
            scene jezero with dissolve
            
            m "I start running and stop only at the edge of the lake."
            m "The water is clean and clear."
            
            # >__>
            
            m "From the tree the lake didn't seem that big but from here I see that isn't that small either."
            m "I follow the shore."
            m "The water must flow out of the lake somewhere."
            m "If I am not mistaken, our waterwheel will be powered by the current and so I should follow the stream."
            m "I even hear its bubbling."
            m "Even though I can't see the outlet, because between me and it is a ridge covered in trees..."
            m "(I still can't understand how can they be so dry.)"
            
            scene strom with dissolve
            
            m "...but I start walking towards the noise with a firm pace."
            m "I pass through the trees and see the rest of the lake."
            
            scene kameny with dissolve
            
            m "The surface here starts to be rocky and by the sound of it it seems the outlet will be a waterfall."
            m "I scan the shore of the lake."
            
            scene vpadroll with dissolve
            show y watching with dissolve
            $ persistent.yukine_unlock = True
            
            
            if day1 == "Yukine":
                ym "And I see foamed up water, in the middle of it a rock and on that rock sits Yukine, looking down."
            else:
                ym "And I see foamed up water, in the middle of it a rock and on that rock sits a girl with long blue, looking down."
                
            scene kameny with dissolve
            ym "I start running by the lakeshore."
            ym '"What crazy idea is that, to sit there?" I catch myself saying while running.'
            
            scene vpadroll with dissolve
            scene vpadroll at Pan((0, 600), (0, 0), 5.0)
            $ renpy.music.play("sfx/waterfall1.mp3", fadein = 3.0, channel = 6)
            
            ym "I quickly run up to the waterfall."
            ym "It isn't that high..."
            ym "But considering the loneliness of this place the fall would have grave consequences."
            if day1 == "Yukine":
                ym "I call out to Yukine."
            else:
                ym "I call out to that girl."
            ym '"Hey! What are you doing there?"'
            
            show y watching with dissolve
            
            if day1 == "Yukine":
                ym "Yukine either doesn't hear me or she pretends she doesn't."
            else:
                ym "The girl either doesn't hear me or she pretends she doesn't."
            ym "I call out to her again."
            ym "And again."
            
            show y confused with dissolve
            
            ym "Finally she turns her head to me."
            ym "Exhausted, I lean against my knees."
            
            show y smile with dissolve
            
            if day1 == "Yukine":
                ym "Yukine smiles."
            else:
                ym "The girl smiles."                
            ym "Dear God, what do you punish me for?"
            ym "Then she gets up and..."
            ym "Bends up for something besides her."
            
            show y cold with dissolve
            
            ym "She straightens up and frowns."
            ym "She looks at me again..."
            
            show y curious with dissolve
            show y cold with dissolve
            
            ym "And signs to me to turn around."
            ym "..."
            ym "???"
            ym "I look at her confused."
            
            show y curious with dissolve
            show y cold with dissolve
            
            ym "She repeats the gesture, more widely and I realize she wants me to go around the lake."
            ym "Huh?"
            ym "Go around the lake?"
            ym "I wonder what to do."
            ym "Going around the lake could be a walk for some thirty, forty minutes."
            ym "And I don't even know if the ground is good everywhere."
            ym "It is usually more swampy around the inlet."
            ym "I am not exactly armed for fighting nature..."
            
            # Swweeet kiwi!
            
            ym "I think about it for a while."
            if day1 == "Yukine":
                ym "Yukine watches me the whole time..."
            else:
                ym "The girl watches me the whole time..."
            ym "And so in the end I decide to..."
            
            menu yukine_day2:
                
                with dissolve
                "... go around the lake":
                    
                    $ yukine2 = "lake"
                    jump lake
                
                with dissolve
                "... continue along the stream":
                    
                    jump stream
                    
            label stream:
                
                $ renpy.block_rollback ()
                ym "I go a little further from the waterfall."
                ym "I can feel her eyes on me and so I take my time to disappear among the trees."
                
                hide y with dissolve
                
                ym "And then I continue following the stream."
                ym "I really don't feel like wasting forty-five minutes with going around the lake."
                
                scene kameny with dissolve
                
                ym "The path isn't exactly easy."
                ym "But finally I climb and jump down using the stones."
                ym "And I decide to get back to the stream."
                ym "It's still the best lead I have right now."
                ym "I go that way for a moment."
                ym "Untill I get to the stream."
                
                scene vpadroll
                
                ym "It isn't so steep here as I expected it to be."
                ym "I take a look around..."
                ym "...and gasp for breath."
                if day1 == "Yukine":
                    ym "I totally forgot that Yukine is looking down."
                    ym "I freeze like a mouse in front of rattlesnake's throat."
                    ym "She looks down at me, with her deadly look and..."
                    ym "Just a moment."
                    ym "Something's wrong here."
                    ym "I don't see any reaction from her."
                    if yukine1 == "hers":
                        ym "Not that I would expect some from her after yesterday, but still..."
                    ym "I focus a little..."
                    ym "A little more..."
                    ym "And I notice."
                    ym "Yukine has her eyes closed."
                else:
                    ym "I totally forgot that that girl is looking down."
                    ym "I freeze like a mouse in front of rattlesnake's throat."
                    ym "She looks down at me, with her deadly look and..."
                    ym "Just a moment."
                    ym "Something's wrong here."
                    ym "I don't see any reaction from her."
                    ym "I focus a little..."
                    ym "A little more..."
                    ym "And I notice."
                    ym "That girl has her eyes closed."
                    
                show y thinking with dissolvelong
                    
                ym "Thinking what to do now takes only a second."
                
                menu in_the_stream:
                    
                    with dissolve
                    "I will ford the stream and take the path up":
                        
                        $ yukine2 = "stone"
                        $ yukine_pt += 1
                        jump stone
                        
                    with dissolve
                    "I disappear before she notices me":
                        
                        $ yukine2 = "disappear"
                        $ yukine_pt -= 1
                        jump disappear
                        
                label disappear:
                    
                    $ renpy.block_rollback ()
                    ym "I disappear from the scene silently."
                    
                    hide y with dissolvelong
                    
                    ym "It wouldn't be good to provoke her."
                    if yukine1 == "hers":
                        ym "And she looked rather angry when she was leaving yesterday..."
                    elif yukine1 == "his":
                        ym "Yesterday she left quite fast."
                        ym "She probably doesn't want my company anyways."
                    elif yukine1 == "silence":
                        ym "Yesterday she looked so sad when she was leaving..."
                        ym "I don't want to make her sad even more..."
                    elif yukine1 == "extra":
                        ym "Even though I feel a little sad to leave her alone after yesterday."
                        ym "But maybe she wants to be alone..."
                        ym "I clasp her note in the pocket."
                        ym "And I turn around with a sigh."
                    else:
                        ym "She looks dangerous."
                        ym "And it isn't good to provoke dangerous looking girls you don't know."
                    ym "I follow the current."
                    
                    scene stones with dissolve
                    stop music channel 6
                    
                    ym "About an hour."
                    if day1 == "Midori":
                        ym "I go around the place I met Midori yesterday."
                        
                    scene potok with dissolve
                    
                    ym "And in the end I come to the waterwheel."
                    ym "t doesn't produce six megawatthours at all."
                    ym "But it still isn't bad."
                    ym "Still it's something for our house."
                    ym "Energy."
                    
                    scene les with dissolve
                    
                    ym "I go home following the power lines."
                    ym "I can't shake off the thoughts about blue hair."
                    ym "Thoughts that I have missed something somewhere..."
                    if aka1 == "extra" or midori1 == "extra":
                        ym "But still... there are other girls..."
                        if midori1 =="extra":
                            ym "I remember the evening moments on the stone."
                        else:
                            ym 'I giggle and whisper: "Funyaa~".'
                    ym "And with these thoughts I arrive home."
                    
                    scene living with dissolve
                    stop music
                    
                    ym "It's still early and so I spend the rest of the day by meditating and avoiding dad's meddlesome questions."
                    ym "Then my parents tell me that tomorrow evening there will be fireworks nearby..."
                    ym "But I am not looking forward that."
                    ym "It's getting dark..."
                    
                    scene room with dissolve
                    
                    ym "And so I go to sleep."
                    jump konec_dne2
                    
                label stone:
                    
                    $ renpy.block_rollback ()
                    scene vpad with dissolve
                    
                    ym "I take my shoes off."
                    ym "I really don't want to get these wet..."
                    ym "And unfortunately there aren't that many stones here..."
                    ym "While fording, I sometimes take a peek upwards."
                    if day1 == "Yukine":
                        ym "But Yukine is not looking."
                    else:
                        ym "But the girl still has her eyes closed firmly."
                    ym "It looks like she believes me."
                    ym "Such belief can't be let down."
                    ym "It shouldn't be."
                    
                    scene kameny with dissolve
                    
                    ym "I climb the slope."
                    ym "Paradoxically enough it goes better than the descent."
                    ym '"The human body is probably better equipped for ascending," I think to myself.'
                    ym "And finally I stand up."
                    
                    scene vpadroll
                    show y thinking
                    with dissolve
                    
                    if day1 == "Yukine":
                        ym "I see Yukine on the stone."
                    else:
                        ym "I see that the girl is still sitting on the stone."
                    ym "It would be nice to be able to say her hair was waving around..."
                    ym "..but as it seems, they are so wet from the water spray that they are rather lank."
                    ym "I see what she bent for before."
                    ym "To the bank and to the stone is fastened a rope bridge."
                    ym "It's a rather wobbly device, half hidden in the water, but as it seems, it serves its purpose."
                    if day1 == "Yukine":
                        ym "Yukine has her eyes still closed."
                    else:
                        ym "The girl has her eyes still closed."
                    ym "At most, ten minutes have passed."
                    ym "She probably doesn't expect me at all."
                    ym "Maybe she's sleeping."
                    ym "Though that doesn't seem so probable to me..."
                    ym "I carefully climb to the other side on all fours..."
                    ym "For a moment I feel like simply scaring her."
                    ym "But I fear that she could fall down."
                    ym "And so I simply sit next to her."
                    ym "After a moment she notices me."
                    
                    show y curious with dissolve
                    
                    ym "She is surprised but luckily she doesn't fall down."
                    ym "At least there is that."
                    
                    show y cold with dissolve
                    if yukine1 == "hers":
                        
                        show y angry with dissolve
                        
                        ym "Yukine frowns."
                        ym "What can I do."
                        ym "Yesterday we didn't exactly part in a good mood."
                        
                        show y cold with dissolve
                        
                        ym "But in the end it seems she changes her mind and puts on her usual neutral expression."
                    elif yukine1 == "his" or yukine1 == "silence":
                        ym "Yukine wears a neutral face."
                        ym "Yesterday she left quite fast, I have to admit that."
                        ym "She probably still remembers it."
                    elif yukine1 == "extra":
                        ym "For a moment I had a feeling a smile crossed her face..."
                        ym "But it was probably just an illusion."
                        ym "She wears a neutral expression."
                        ym "Like almost always, if I think about it."
                    else:
                        ym "The girl wears a neutral expression."
                        ym "Almost coldly."
                        ym '"Ahhh... what is your name?" I dare to ask her.'
                        ym "She thinks about it for a moment."
                        ym "Frowns a little..."
                        ym "But then she probably decides that answering that can't hurt her and replies."
                        y '"Yukine."'
                        ym "Nothing more."
                        ym "I reply in a similar way."
                        ym '"Takkun."'
                        
                    ym "I wonder what now."
                    ym "When you think about it..."
                    ym "We sit on a stone for three people at most."
                    ym "Above a waterfall."
                    ym "And I sit here with a girl that obviously doesn't like to speak."
                    ym "Wow."
                    ym "I look down."
                    
                    scene voda4 with dissolve
                    
                    ym "In the corner of my eye I can see the rainbow from the water spray."
                    ym "It is..."
                    ym "...I'd like to say it's nice here."
                    ym "But completely different word comes to mind."
                    ym "Wet."
                    
                    scene vpadroll
                    show y cold
                    with dissolve
                    
                    ym "I turn to Yukine."
                    ym '"How long have you been here?" I ask her.'
                    ym "She tries to ignore me for a moment."
                    ym "But then probably decides I can't be silenced by that."
                    y '"Since this morning..." she says quietly.'
                    ym "It seems she can't talk in other way than quiet."
                    ym "Wait a moment..."
                    ym "Since the morning?"
                    ym '"Like since eight?" I ask her hesitantly.'
                    ym "Yukine nods."
                    ym "I glance at my watch."
                    ym "Half past ten."
                    ym "Two and half hours."
                    ym "Sitting two and half hours in these clothes above a waterfall, in the middle of water spray?"
                    ym `"She's crazy," flashes through my head.`
                    ym '"Oh gosh, why?" I ask her instead.'
                    
                    show y angry with dissolve
                    
                    ym "She looks at me with cold look."
                    ym "And when I say cold, I mean it."
                    ym "There is ice and polar distances in those eyes."
                    y '"Does it matter?" she says quietly, but firmly.'
                    
                    show y cold with dissolve
                    
                    ym "I think over the answer for a moment."
                    ym '"To me yes?" I dare to say in the end.'
                    if not day1 == "Yukine":
                        ym "Even though I don't know her for that long..."
                        
                    show y happy with dissolve
                    
                    ym "Instead of answering me she sneezes and smiles sarcastically."
                    
                    menu yukine_extra2:
                        
                        with dissolve
                        ".....":
                            
                            $ yukine_pt -= 1
                            jump useless_silence
                            
                        with dissolve
                        "Carry her away":
                            
                            $ yukine2 = "extra"
                            jump yukine2_good
                            
                    label useless_silence:
                        
                        $ renpy.block_rollback ()
                        ym "I don't have anything to add..."
                        ym "That smile is something totally unexpected from her."
                        ym "I can only sit there and look at her."
                        ym "How she sadly, even over a smile on her face, looks in the falling water."
                        ym "In the end I can't stand it and get up."
                        ym "No reaction."
                        
                        hide y with dissolve
                        
                        ym "I turn around."
                        y '"Running away?"'
                        ym "I know she didn't move at all saying that."
                        ym "I close my eyes, clench my teeth and..."
                        ym "...and run away."
                        
                        scene kameny with dissolve
                        scene stones with dissolve
                        scene stones2 with dissolve
                        stop music channel 6
                        
                        ym "I turn around just a few hundred metres further along the stream."
                        ym "Not that I was running the whole way..."
                        ym "...but there's no difference."
                        ym "I ran away."
                        ym "I have to admit it."
                        ym "I ran away from her smile."
                        ym "I am a coward."
                        ym "Disappointed by myself, I go on..."
                        
                        scene potok with dissolve
                        
                        ym "And so I come to the waterwheel."
                        ym "And kick it angrily."
                        ym "Then I continue home, a little relieved."
                        
                        scene room with dissolve
                        
                        ym "I go straight to my room and spend the rest of the day there."
                        ym "My parents are a little worried."
                        ym "From what I overhear they wanted to take me to a festival tomorrow."
                        ym "Unfortunatelly I am in no mood for that."
                        ym "I tire myself with useless inactivity."
                        ym "Or rather with my disgust for myself."
                        ym "And so I go to sleep early."
                        ym "Bottomless blackness swallows me fast..."
                        jump konec_dne2
                        
                    label yukine2_good:
                        
                        $ renpy.block_rollback ()
                        ym "I get up."
                        ym "I can't listen to this anymore."
                        ym "I bend to her and take her in my arms."
                        
                        show y cblush with dissolve
                        
                        ym "She freezes and looks at me with bewildered eyes."
                        ym "Just as I thought."
                        ym "She's soaked through and through."
                        y '"W- what are you doing?"'
                        ym "She looks surprised."
                        ym "I turn around with her in arms and stop."
                        ym "Is that bridge strong enough to carry two people?"
                        ym "Will I even manage to keep myself on it?"
                        ym "Well, whatever, I already started it."
                        ym "I crouch a little, press her closer to me and advance forward."
                        ym "I feel coldness even over my clothes."
                        ym "She must be drenched more than I thought."
                        ym "Ups-a-daisy!"
                        ym "I shouldn't be thinking about this now."
                        ym "Carefully, carefully."
                        ym "The bridge keeps swinging too much."
                        ym "Yukine has her eyes open wide."
                        ym "Probably with fear."
                        ym "And probably from the same reason she doesn't move at all."
                        ym "Hahaha, that's me, the one who falls with ladies in waterfalls!"
                        ym "I smile forcedly."
                        ym "Make a step back, to the solid ground."
                        
                        hide y with dissolve
                        
                        ym "And throw her over my shoulder."
                        ym "I wouldn't have ever believed I had that much strength."
                        ym "I bend down, almost falling."
                        ym "And grab the bridge with my hand."
                        ym "I probably wouldn't cross without this support."
                        ym "Yukine on my shoulder is quivering."
                        ym "Sometimes her feet are in water."
                        ym "But I think it doesn't matter that much anymore..."
                        ym "Five steps... four... three..."
                        ym "I slip a little and feel the quivering on my shoulder stop."
                        ym "...two... one..."
                        ym "And finally we are on the ground."
                        ym "I make few more steps..."
                        ym "Getting from the stones to the nearest tree."
                        
                        scene strom with dissolve
                        stop music channel 6
                        
                        ym "There's low grass, moss... and it's a dry place."
                        ym "And I finally take Yukine from my shoulder."
                        ym "Which I follow up with by falling on the ground and watching the ground at a distance of few milimetres for a while."
                        ym "Yukine's weight is pretty low, by my guess."
                        ym "But I am still at exhausted of my physical strength."
                        ym "Not to mention my mental strength."
                        ym "(If she is crazy, what am I, then?)"
                        ym "Speaking of Yukine..."
                        ym "I look up."
                        ym "I see her legs."
                        ym "I don't have exactly the best angle."
                        ym "She's trembling all over her body."
                        ym "Probably with shock and cold."
                        ym "I wonder whether I have a towel with me."
                        ym "And I come to a conclusion that I don't."
                        ym "Hmmm, this could be a little troublesome."
                        y '"...?"'
                        ym '"Hm?"'
                        ym "I heard her say something, but not distinctly."
                        y '"Why...?"'
                        ym '"Why what?" I am a little confused.'
                        ym "I turn a little to see her better."
                        
                        show y cry with dissolve
                        
                        ym "And I understand."
                        ym "Maybe she trembles because of the shock... maybe because of the cold..."
                        ym "...but she surely trembles because of her crying."
                        ym "There are tears on her cheeks and she's looking at the ground."
                        y '"Why..."'
                        ym '"Why did I take you away from there?" I ask her.'
                        ym '"Well, it seemed like a good idea to me."'
                        ym `"You were completely drenched and you don't look like the type that can be talked into something easily and so I simply..."`
                        y '"Why..." she whispers.'
                        ym "I stop in the middle of the sentence."
                        y `"Why can't you treat me badly like everyone else..." she leans her head against her knees desperately.`
                        ym "Silence."
                        ym "So this is what's going on..."
                        if yukine1 == "hers":
                            ym "Nothing as trivial as some nickname..."
                        ym "I sit up and wait..."
                        y `"I... I can't have someone like you... still..." she says incoherently after few minutes.`
                        if yukine1 == "hers":
                            y '"You are awfully nosey and... and..." she continues.'
                            ym "That sincerity hurts a little..."
                            ym "But this is not the topic here."
                        if not day1 == "Yukine":
                            y '"I only know you for just few minutes... and in that time..." she sobs...'
                        ym "I put my hand on her shoulder."
                        
                        show y curious
                        
                        ym "She starts and looks at me with frightened eyes."
                        ym `"It'll be alright. I am here." I tell her.`
                        
                        show y cry with dissolve
                        
                        ym "And she starts crying again."
                        ym "And shakes her head."
                        y `"No... no... it won't be fine... they..."`
                        ym '"Who is they?" I interrupt her quickly.'
                        ym "She goes silent."
                        
                        show y curious
                        
                        ym "Even the crying suddenly stops."
                        ym "I can see she's incredibly scared."
                        if not day1 == "Yukine":
                            ym "Why am I even asking her?"
                            ym "I have only known her for a few minutes."
                            ym "My kindness will one day be my fall..."
                        ym '"Who is they?" I continue insisting.'
                        ym "She casts her eyes down."
                        y '"C- classmates..." she whispers.'
                        
                        show y cry with dissolve
                        
                        ym "And starts crying anew."
                        ym "What?"
                        ym "This sympathetic girl..."
                        ym "...the girl that has no problem to sit for two hours almost in water..."
                        if day1 == "Yukine":
                            ym "...the girl that likes to watch the sky..."
                        ym "...the one that cries in front of me openly..."
                        ym "...has problems with classmates?"
                        if yukine1 == "hers":
                            ym "Furthermore... the one that rebuffed me yesterday in such a way?"
                        ym "So hard to believe."
                        ym "But she wouldn't think it up just like that..."
                        ym "...right?"
                        ym "I find the courage to pat her on her hair."
                        ym "It is still lank."
                        ym "What a pity."
                        ym '"I said it would be fine and so it will be," I say.'
                        ym '"I will protect you."'
                        ym `"I think I'll be going to the same school, it's no problem at all."`
                        if not day1 == "Yukine":
                            ym "I think this is too fast and daring for a moment..."
                            ym "But then I get it out of my head."
                            ym "I continue watching her."
                            
                        show y curious with dissolve
                            
                        ym "She looks at me with those blue eyes."
                        y '"Can I believe you?" she asks me.'
                        ym "And I know this isn't just some question."
                        ym "But I can't back off now."
                        ym '"You can," I say firmly.'
                        
                        show y sad with dissolve
                        
                        y '"In that case..." she starts shyly.'
                        ym "Too shyly considering how she was looking up untill now..."
                        if yukine1 == "hers":
                            ym "Total change compared to yesterday..."
                        ym "I wait for her to finish her sentence."
                        y `"Would you accompany me to tomorrow's festival?" she whispers and I see what I up to now thought would be impossible.`
                        if not day1 == "Yukine":
                            ym "And that's even though I know her for just a moment."
                            
                        show y cblush with dissolve
                        
                        ym "I wouldn't say she went red..."
                        ym "But I can surely say she blushed."
                        ym "I watch that rare natural phenomenon."
                        ym "And then I answer."
                        ym `"Of course, it's no problem.`
                        ym "In the next moment she's hugging me."
                        
                        show y happy with dissolve
                        
                        y '"Thank you..." she whispers.'
                        ym "I can feel her body against mine."
                        ym "And..."
                        ym "I feel I am being soaked."
                        ym "I move her away."
                        ym `"Now it's way more important for you to get changed." I tell her.`
                        ym `"Otherwise there's a possibility you won't even get there!" I emphasize.`
                        
                        show y cblush with dissolve
                        
                        ym "She looks frightened."
                        y `"But I... don't have anything here... and it's a while to home... and..."`
                        ym "Oh, the things that are not thought through."
                        ym `"I can't do anything about your shorts... but I have reserve sweatshirt here with me." I say.`
                        ym "And with those words I take it out and hand it to Yukine."
                        
                        show y smile with dissolve
                        
                        ym "Yukine smiles."
                        y '"Thank you."'
                        
                        hide y with dissolve
                        
                        ym "And I tactfully turn around."
                        ym "I hear the sounds of changing clothes behind me."
                        y '"You can now..."'
                        
                        show y smile with dissolve
                        
                        ym "The sweatshirt is a little large for her but it is better than to this thin, soaked piece of clothing."
                        ym "And it looks a little..."
                        if yukine1 == "extra":
                            ym '"...nice." I breathe out.'
                            
                            show y happy with dissolve
                            
                            ym "And she blushes for the second time."
                            ym "I think I know why."
                        else:
                            ym "...cute."
                            ym "This isn't bad at all."
                            
                        show y smile
                        
                        ym "She gets up from the ground."
                        ym "And I follow her."
                        ym `"It'd be best to go home to change."`
                        ym "She looks at me and nods."
                        ym "I go by her side."
                        
                        show y cold with dissolve
                        
                        ym "I walk slowly so she can keep pace with me."
                        ym "She still trembles from time to time."
                        ym "But it's way better than before."
                        ym "We part at at small, quiet place by the stream."
                        if day1 == "Midori":
                            ym "It's the same place where I met Midori yesterday."
                        ym "We talk about tomorrow for a little longer."
                        ym "And then she goes the other way."
                        ym "I watch her for a while..."
                        
                        hide y with dissolve
                        scene trava with dissolve
                        
                        ym "And I head towards my own home."
                        ym "In half an hour I am home."
                        
                        scene living with dissolve
                        stop music
                        
                        ym "Today turned out well."
                        ym "The rest of the day I spend in a good mood."
                        ym "The only thing I think about from time to time are Yukine's classmates."
                        ym "I think about in what way is Yukine suffering in the school..."
                        ym "But in the end I tell myself that whatever it is, I gave her a promise."
                        
                        scene room with dissolve
                        
                        ym "I lie on the bed and think about tomorrow's festival."
                        ym "My parents told me about it in the afternoon as well and were pleased that I want to go too."
                        ym "I am looking forward to it, a lot."
                        ym "In the end I fall asleep, later then usually."
                        ym "I can't wait for tomorrow."
                        jump konec_dne2
                        
            label lake:
                
                $ renpy.block_rollback ()
                ym "I can't think of anything else and so I start walking around the lake."
                ym "She's further and further away and in the end she disappears behind the bend as before."
                
                scene strom with dissolve
                stop music channel 6
                
                ym "The path isn't that hard but I know better means of spending time."
                ym "And, just as I expected, the place around inlet is quite muddy."
                ym "I go rather go up the current a little and ford the stream there."
                ym "Then I put my shoes back on and continue onward."
                ym "On the way I pass a small landing jetty, but there's no boat at it."
                ym "All in all, the walking really takes me those forty-five minutes."
                
                scene vpadroll with dissolve
                
                ym "Finally I arrive at the other side."
                
                show y thinking with dissolve
                $ renpy.music.play("sfx/waterfall1.mp3", fadein = 3.0, channel = 6)
                
                if day1 == "Yukine":
                    ym "Yukine is still sitting there..."
                else:
                    ym "The girl is still sitting there..."
                ym "Now I can see what she bent down for before."
                ym "There's a rope bridge leading to the stone from the solid ground."
                ym "There is no means to fix it to the other bank."
                
                show y cold with dissolve
                
                ym "When I cross the bridge she looks my way."
                if yukine1 == "hers":
                    
                    show y angry with dissolve
                    
                    ym "And a shadow passes over her face."
                    ym "What can I do."
                    ym "We didn't exactly part on good terms yesterday."
                    
                    show y cold with dissolve
                    
                    ym "In the end she thinks it through, probably, and her usual neutral expression appears."
                elif yukine1 == "his" or yukine1 == "silence":
                    ym "Yukine has a neutral expression on her face."
                    ym "Yesterday she left quite abruptly, I have to admit that."
                    ym "She probably still remembers that."
                    ym "Or she always wears an expression like this."
                elif yukine1 == "extra":
                    ym "For a moment I thought I saw a hint of smile on her face..."
                    ym "But it was probably only dream."
                    ym "She has a neutral look."
                    ym "Like almost always anyway."
                else:
                    ym "The girl wears a neutral expression."
                    ym "She has blue eyes and wears quite light clothes."
                    ym "I admire her because she can sit here just like that."
                ym "I come to her and sit by her side."
                ym "It seems to me that she is trembling a little, probably with coldness."
                if not day1 == "Yukine":
                    y '"My name is Yukine, and yours?" she asks out of blue.'
                    ym '"T... Takkun," I answer her.'
                    
                    show y angry with dissolve
                    
                    ym "She looks at me a little angrily."
                    ym "What for?"
                    
                    show y cold with dissolve
                    
                    y `"Just so you don't have to ask..." she says a little stiffly and her neutral expression appears again.`
                    ym "Great."
                    ym "Touchy one."
                    ym "And furthermore a touchy one that's trembling."
                ym "As I think about that, Yukine gets up."
                
                show y watching with dissolve
                
                y `"It's cold here," she states.`
                ym "I nod."
                ym "I look on her as she crosses the bridge."
                ym "She doesn't even use her hands, just balances."
                ym "I admire that a little."
                ym "Then I get up too and follow her."
                ym "I rather get a grip on the bridge."
                ym "Even though I must look funny on all fours."
                ym "And I am glad to be back on the solid ground."
                ym "I walk to her."
                ym "She found a seat under a tree."
                
                show y thinking with dissolve
                
                ym "And it looks she's thinking about something."
                ym "I sit nearby and look at her."
                ym "Luckily it doesn't look like it bothers her..."
                if yukine1 == "hers":
                    ym "As compared to some things that bothered her yesterday."
                    
                show y cold with dissolve
                
                ym "After a while she looks at me."
                if yukine1 == "hers":
                    y '"You are still here?" she says.'
                else:
                    y `"You haven't left yet?" she asks, surprised.`
                ym "I decide to ignore the question because the answer is obvious."
                ym "Maybe if I was my own double."
                ym "Which I am not."
                ym '"Why... I start a question."'
                if yukine1 == "extra":
                    ym "Then I remember the note in my pocket."
                    ym "And I don't finish it."
                    ym "She looks like she appreciates it."
                    ym "But it's hard to say..."
                    ym "I wait for her words."
                else:
                    ym '"...did you sit there like that?"'
                    
                    show y angry with dissolve
                    
                    ym "She looks at me not too happily."
                    y '"Just because- I like that view," she says and looks away again.'
                    
                    show y watching with dissolve
                    
                    ym "That was a quick exhaustion of the theme."
                    ym "And so I just wait for another impulse."
                    
                show y cold with dissolve
                
                ym "After a while she looks in my direction."
                y '"Say..." she starts.'
                y '"What is a boy like you doing here?"'
                ym "I look for the words for a moment."
                ym '"Well... I... I live here now."'
                
                show y surprised with dissolve
                
                ym "She's looking at me with a surprised look."
                ym "She probably didn't expect this."
                y '"Live?"'
                ym '"Well, yes, somewhere... this way..." I guess.'
                
                show y thinking with dissolve
                
                y '"Mmmm... where the old couple had lived before?" she furrows her eyebrows.'
                ym '"Yep, yep, right there." I smile.'
                if yukine1 == "extra":
                    
                    show y smile with dissolve
                    
                    ym "She smiles a little too."
                else:
                    ym "It doesn't have any effect on her."
                    
                show y thinking with dissolve
                
                ym "It looks like she's thinking now."
                y '"And..." she says again.'
                y '"And would you go to a festival with me tomorrow?"'
                
                show y cold with dissolve
                
                ym "I almost fall."
                ym "At least I am sitting."
                ym "This was like a bolt from the blue."
                ym "A sentence I would've never expected."
                if yukine1 == "extra":
                    ym "That is... I was hoping for it a little... but this soon?"
                if yukine1 == "hers":
                    y '"You are nosey and cheeky but not everyone can be grea..." she continues.'
                    ym "But I don't hear her."
                ym '"Okay!" I agree.'
                
                show y smile with dissolve
                
                ym "She looks pleased."
                y '"Well... I should be heading home," she says.'
                y `"It's cold here."`
                ym "I think that the coldness is probably caused rather by her clothing and the place where she spent the last hour."
                ym "But I won't argue with her."
                
                hide y with dissolve
                
                ym "I follow the current."
                ym "After a while I notice I am walking alone."
                ym "I turn around."
                
                show y cold with dissolve
                
                ym `"You don't go this way?"`
                y '"No, my house is that way," she waves her hand.'
                ym "I didn't know there was a house."
                if day1 =="Midori":
                    ym "Or did I...?"
                ym "I wave to her."
                if yukine1 == "extra":
                    ym "She waves back."
                    ym "She looks pleased."
                    ym "Not exactly happy... but there's enough time for everything."                    
                hide y with dissolve
                
                ym "And then she disappears among the trees."
                ym "I go on."
                
                scene potok with dissolve
                $ renpy.music.play("sfx/river-1.mp3", fadein = 3.0, channel = 6)
                
                ym "After about an hour I come to our waterwheel."
                ym "And follow the power lines towards home."
                
                scene ldetail with dissolve
                stop music channel 6
                
                ym '"Festival, hm?"'
                ym "I wonder why she invited me."
                ym "And I feel like a hundred times manlier."
                
                scene living with dissolve
                stop music
                
                ym "I come home as a six foot tall, muscular and tanned guy."
                ym "It's soumen for lunch."
                ym "Guys don't like that one."
                ym "I am Takkun again before I finish eating it."
                ym "After the lunch my parents tell me that they would like to visit the festival tomorrow."
                ym "And they are pleased when I offer them to accompany them."
                ym "It's not in the town but at the local shrine, two stops away."
                ym "The fireworks could probably be seen from here too, but it's not worth it without the atmosphere."
                ym "The rest of the day I spend by preparing."
                ym "Nothing can beat happy expectations."
                
                scene room with dissolve
                
                ym "I go to sleep early."
                ym "Let it be tomorrow soon!"
                jump konec_dne2
                
        label midori2:
            
            $ renpy.block_rollback ()
            m "I start walking slowly through the bamboo grove."
            m "The path isn't exactly easy but I clench my teeth and walk on."
            m "At least it's more and more humid around which assures me in that I am going the right way."
            
            scene bstare with dissolve
            
            m "I walk for around twenty minutes..."
            m "But the lake doesn't show."
            m "I start to waiver."
            m "Could I have turned wrong somewhere?"
            m "Could the bamboo really be growing randomly around here?"
            m "I stop and scratch my head."
            m "Then I turn around"
            
            scene bsikme with vpunch
            
            m "OUCH!"
            m "Something hits me on the head."
            m "I turn back."
            
            scene bstare with dissolve
            
            m "But I can't see anyone."
            m "A pebble lies on the ground."
            m "I raise my eyebrows and look up."
            m "There isn't anyone there either."
            m "Obviously, who could stay on bamboo?"
            m "Next a pebble flies from my left."
            m "This time it misses me a bit."
            m "It looks like the unknown shooter doesn't have a certain shot!"
            m "I start running that way."
            
            scene blisti with dissolve
            
            m "And I find a girl trying to get lost discreetly."
            
            show m curious with dissolve
            $ persistent.midori_unlock = True
            
            mm "The fact is that she almost succeeded."
            mm "But her giggling gave her away."
            if day1 == "Midori":
                mm '"Midori?" I ask her with a smile while I approach her...'
                
                show m smile with dissolve
                
                i '"Yeeeees?" Midori makes an innocent face.'
                mm "One could say she's a real angel."
                mm "But I don't get confused by that."
                mm "I put my hand on the top of her head."
                mm `"You don't throw stones on people."`
                mm '"And now tell me where the lake is around here so I can throw you into it!"'
            else:
                mm '"Who are you?" I ask menacingly while approaching the girl who is crouching in the fern.'
                
                show m smile with dissolve
                
                i '"Midori," she giggles, "and you?"'
                mm '"Great," I say, "my name is Takkun and you will now tell me where the lake is around here so I can throw you into it!"'
            i '"That way," Midori points, jumps up and starts running.'
            mm "Whether I want to or not, the best thing would be to follow her."
            
            scene bam
            show m smile
            with dissolve
            
            mm "She runs fast, but I can still keep up with her."
            mm "It seems she knows her way around here, since she sometimes avoids things that I wouldn't have even noticed at this speed."
            mm "But in the end the vast blue surface of the lake opens up before us."
            
            scene kameny with dissolve
            
            mm "We come out at a small jetty which I didn't see from the hill."
            mm "The lake is a little larger than I had guessed."
            mm "I run my eyes over it... and notice someone sitting on the other side."
            mm "But he's just getting up and goes away."
            mm "I try to focus..."
            
            show m confused with dissolve
            
            i '"What are you doing?," she pulls me by the sleeve.'
            mm "I wonder about telling her for a second but then I decide it's too silly."
            mm '"I am watching the lake," I stick my tongue out at her.'
            
            show m thinking with dissolve
            
            i '"Beautiful, right?" she answers honestly.'
            mm "It looks she isn't perplexed at all."
            if day1 == "Yukine":
                mm "She reminds me of that girl from yesterday a little..."
                
            show m curious with dissolve
            
            i '"Hey, hey..." she says out of blue.'
            mm "It seems she's full of energy all the time."
            i `"You don't know your way around here, right?" she asks.`
            mm "I nod."
            if day1 == "Midori":
                mm '"I told you that I have just moved here yesterday, remember?"'
                mm "She doesn't pay any attention to that sentence."
                
            show m happy with dissolve
            
            i '"So come with me!" she continues pulling my sleeve.'
            mm "It seems I don't have a choice here."
            
            scene les
            show m happy
            with dissolve
            
            mm "I follow Midori into the forest."
            mm "We walk on the forest paths."
            mm "We ascend a little, but not that much."
            mm `"Where are we going anyway?" I can't help asking her.`
            
            scene strom
            show m tongue
            with dissolve
            
            mm "Midori just giggles."
            i `"That's a secret," she says and hurries on.`
            mm "We walk for a long time."
            
            scene les
            show m happy
            with dissolve
            
            mm "A few hours, in fact."
            mm "We stop for food on the way, Midori takes some from me."
            mm "She admits she hasn't planned this trip, but when it's such nice weather..."
            mm "I start to fear that I am being kidnapped somewhere... somewhere."
            mm "Probably to be sold to slave traders."
            mm "And then, unexpectedly..."
            
            scene sraz
            
            mm "The land ends."
            mm "We stand at the edge of the forest and in front of us are only a few yards of ground and then a precipice."
            mm "Just as if someone had pressed the whole stretch of land from here to the horizon into the ground just like that."
            
            show m smile with dissolve
            
            i `"Beautiful, isn't it?" Midori swirls on the edge.`
            mm "I nod."
            mm "The late evening sun casts a strange spell over the view."
            mm "(I try not to think about when I will get home.)"
            mm "Midori sits on the edge of the precipice."
            i '"This is the highest place," she says.'
            i '"The cliff gets lower on both sides and eventually the forest behind us joins the forest under us."'
            mm "It seems she has really walked thoroughly around here."
            mm "I carefully walk to her."
            
            hide m with dissolve
            
            mm "I look down."
            mm "My head spins from the height."
            mm "And so I rather sit down."
            mm "I hear a giggle."
            if day1 == "Midori":
                mm '"It was similar yesterday, right?" I say randomly.'
                i `"You think so too?" she says quietly...`
                mm "It seems I caught her of guard a little."
            i '"See!" she says out of blue.'
            mm "I look at her."
            
            show m confused with dissolve
            
            mm "She isn't pointing at anything and she's looking at me."
            i '"Would you go to a date with me? Tomorrow?"'
            mm "I almost fall down the cliff."
            
            show m thinking with dissolve
            
            i '"I want to say..."'
            i '"You seem nice..."'
            i '"Not exactly stupid..."'
            if day1 == "Midori":
                
                show m smile with dissolve
                
                i '"And I have thrown you into the water already," she giggles again.'
                if midori1 == "extra":
                    
                    show m thinking with dissolve
                    
                    i '"And that evening was beautiful..." she gets serious and looks into the distance.'
                else:
                    
                    show m tongue with dissolve
                    
                    i `"But you didn't have to run away from me," she sticks her tongue out at me.`
            i '"Like that!" she ends abruptly.'
            
            show m smile with dissolve
            
            mm "I think that I don't have a choice again."
            mm "And so I just nod."
            mm 'Someone else wears the pants in this "relationship", that is clear.'
            mm "And that is true even though she wears a school uniform with a skirt."
            
            show m curious with dissolve
            
            mm "Midori jumps up and smiles."
            i '"Okay then, tomorrow evening at quarter to seven at the train stop!" a smile lights her face.'
            mm "And she whirls round and round."
            mm "On the edge of the precipice which must be sixty feet high."
            mm "It doesn't seem exactly safe to me."
            mm '"Midori..." I say.'
            
            menu na_kraji_srazu:
                
                with dissolve
                "...aren't you afraid of falling?":
                    
                    $ midori_pt += 1
                    $ midori2 = "fall"
                    jump fall
                    
                with dissolve
                "...you look good":
                    
                    $ midori2 = "nice"
                    jump nice
                    
                with dissolve
                "...I should go home already":
                    
                    $ midori_pt -= 1
                    $ midori2 = "home"
                    jump home
                    
            label fall:
                
                $ renpy.block_rollback ()
                mm `"...aren't you afraid of falling?" I ask her.`
                
                show m serious with dissolve
                
                mm "She looks at me and there's a weird look in her eyes."
                
                show m smile with dissolve
                
                i '"Should I be?" she smiles.'
                mm "But this isn't her typical smile."
                mm "This smile looks almost... sad."
                mm "I get up and walk to her."
                mm "I take a look down again."
                mm '"Yes, I think you should be," I say seriously.'
                
                show m curious with dissolve
                mm "She leans over the cliff and laughs nervously."
                i '"You think so...?"'
                mm "I grab her hand."
                mm '"Yes, I do think so," I answer her.'
                mm "She lets me pull her back."
                mm "She sits on the edge of the precipice and just looks down and swings her feet."
                
                show m cry with dissolve
                
                mm "And cries."
                mm "I sit next to her."
                mm "Even though I still don't feel exactly safe at this height."
                mm "She leans against my shoulder and cries."
                mm "I don't say anything."
                mm "And she calms herself after a while."
                mm "It's silent."
                mm "The sun in front of us falls slowly towards the horizon."
                
                show m serious with dissolve
                
                i '"Say... are you happy?" she asks suddenly, still in a little teary voice.'
                mm `"Depends on how you look at it... I'd say, yes?" I answer her.`
                i '"And do you think... do you think that everyone can be happy?"'
                
                menu midori_extra2:
                    
                    with dissolve
                    "Of course they can":
                        
                        $ midori_pt -= 1
                        jump everybody_happy
                        
                    with dissolve
                    "No... that's impossible":
                        
                        $ midori2 = "extra"
                        jump not_everybody_happy
                        
                label everybody_happy:
                    
                    $ renpy.block_rollback ()
                    mm "I give her a confused look."
                    mm '"Of course everyone can be happy, why not?" I say.'
                    mm "Midori looks at me."
                    i `"I don't think you are right," she says silently.`
                    mm '"Why not?" I ask her.'
                    mm `"You don't think that everyone can be happy?"`
                    mm "She shakes her head."
                    
                    show m sad with dissolve
                    
                    i `"I think that's just not right," she says heavily.`
                    mm '"And why? You..." it occurs to me.'
                    mm `"You don't feel happy"`
                    
                    show m smile with dissolve
                    
                    mm "Midori smiles."
                    
                    show m tongue with dissolve
                    
                    i '"Just the opposite... sometimes I feel like I am too happy," she smiles and sticks her tongue at me.'
                    mm "But it feels as though it lacked all her usual energy."
                    mm "Then she jumps up to her feet."
                    
                    show m smile with dissolve
                    
                    i '"But enough about happiness!" she giggles.'
                    mm "She looks perfectly fine but it seems to me that there's something sad in her expression now."
                    i '"What is important is tomorrow," she states, exceptionally seriously, "and our D-A-T-E!" she giggles again.'
                    mm "That seriousness didn't last long."
                    i `"You'd better to plan it carefully, it has to be perfect!"`
                    mm "I wonder how much can one plan when you have to start the date this late."
                    mm "And then I realize..."
                    mm "Tommorrow there should be the festival in the city!"
                    mm "Refined."
                    mm "I smile at Midori."
                    mm '"You can bet on that!" I smile confidently.'
                    
                    show m tongue with dissolve
                    
                    i '"I wonder about that," she sticks her tongue at me.'
                    mm "And turns around."
                    
                    show m smile with dissolve
                    
                    i `"Come on, we can't get home at midnight!"`
                    mm "I want to point out that she took me here but in the end I leave it unsaid."
                    mm "I smile and start walking after her."
                    
                    scene les
                    show m smile
                    with dissolve
                    
                    mm "We talk while walking along."
                    mm "About nothing special, just about the things we see and stuff."
                    mm "Sometimes I tease her and sometimes she teases me."
                    
                    scene strom
                    show m smile
                    with dissolve
                    
                    mm "It isn't bad."
                    
                    scene kameny
                    show m smile with dissolve
                    
                    mm "We make it all the way back to the lake where we have some food."
                    mm "I ran out of bread rolls."
                    mm "I am glad I took so many in the morning."
                    mm "Then we circle the lake and climb down the slope near to the waterfall which serves as the outlet for the lake."
                    
                    scene vpad
                    show m smile
                    with dissolve
                    
                    mm "And Midori takes her leave there."
                    
                    show m tongue with dissolve
                    
                    i `"Don't forget..."she sticks her tongue out.`
                    mm `"I know, our date tomorrow. I won't forget," I promise her.`
                    
                    show m smile with dissolve
                    
                    mm "She smiles and runs away."
                    mm "Literally."
                    
                    hide m with dissolve
                    
                    mm "Sometimes she can surprise me."
                    mm "Maybe that's what is so special about her."
                    mm "I go home."
                    
                    scene stones2 with dissolve
                    
                    mm "I follow the stream."
                    mm "And finally I arrive at the path which leads to my house."
                    
                    scene potok with dissolve
                    
                    mm "I take it."
                    mm "Even then I get home alarmingly late."
                    
                    scene living with dissolve
                    stop music
                    
                    mm "I am lucky that it's not that big problem at least."
                    mm "I quickly eat something and go sleep."
                    
                    scene room with dissolve
                    
                    mm "I have to be prepared one hundred percent for tomorrow!"
                    mm "I fall asleep with a smile."                    
                    jump konec_dne2
                    
                label not_everybody_happy:
                    
                    $ renpy.block_rollback ()
                    mm "I wonder about it for a moment."
                    mm "What does Midori expect me to say anyway?"
                    mm `"No, of course everyone can't be happy," I dare to say in the end.`
                    mm "Midori pulls away from me."
                    i '"I think you are right," she says.'
                    mm '"On the other hand I think that everyone can at least try to be happy," I continue.'
                    i '"Even when that trying comes to nothing?" Midori asks me seriously.'
                    i `"What if you are trying for a long time and then suddenly you'll be happy and the very next morning you won't wake up?"`
                    mm "I muse upon the weirdness of the question."
                    mm `"Still you'd be happy for that day at least and that's what's important, isn't it?"`
                    mm `"The death won't affect anyone except us... and that moment is worth it, at least for me."`
                    mm '"Just like this moment is, for example..."'
                    
                    show m smile with dissolve
                    
                    mm "Midori giggles."
                    i `"Yes, I know, you are happy, I am happy, all's right in the world," she swings her feet.`
                    mm "I hear something different in her voice, though."
                    mm'"Is something wrong?" I ask her.'
                    
                    show m sad with dissolve
                    
                    mm "She doesn't answer."
                    mm "The sun is getting slowly lower and lower."
                    mm "But I only wait."
                    i '"I just... have a fear," she says in the end.'
                    mm '"Fear? Of what?"'
                    
                    show m serious with dissolve
                    
                    i `"I fear that all this will end tomorrow... that I won't wake up tomorrow morning," she says heavily.`
                    mm "I cast away my thoughts about it being inappropriate and I pull her close to me."
                    
                    show m blush with dissolve
                    show m cblush with dissolve
                    
                    mm "She's startled but then she blushes."
                    mm `"I can only hope it won't turn out that way..."`
                    
                    show m sad with dissolve
                    
                    i `"I know... and that's why I fear it."`
                    mm "We sit there for a long time."
                    mm "I am thinking."
                    mm "And I know she is too."
                    mm "In the end she fidgets."
                    
                    show m tongue with dissolve
                    
                    i `"We'll get home late," she sticks her tongue out at me.`
                    mm '"It seems so."'
                    mm "I get up slowly and stretch myself."
                    mm '"Will you find the way in the dark?"'
                    
                    show m smile with dissolve
                    
                    i `"Of course!" Midori doesn't leave me wondering even for the slightest moment.`
                    mm "And she walks confidently into the forest."
                    mm "I don't have any other choice but to follow her."
                    
                    scene les
                    show m smile with dissolve
                    
                    mm "We walk in almost complete darkness but even like that I just about recognize some places."
                    mm "It seems that Midori visits this place often."
                    mm "I remember her leaning over the precipice and my back shivers in a cold fear."
                    mm "I catch up with Midori who has run away a little."
                    mm "And take her hand."
                    
                    show m cblush with dissolve
                    
                    mm "She looks at me with a surprised look."
                    
                    show m smile with dissolve
                    
                    mm "Then she smiles and walks on."
                    mm "I know that I won't get lost..."
                    
                    scene black with dissolvelong
                    scene kameny
                    show m smile
                    with dissolve
                    
                    mm "Even then I am a bit relieved when we come out of the forest by the lake."
                    mm "She turns to me."
                    i '"You are here for the first time, right?" she asks me.'
                    mm "I nod."
                    
                    show m confused with dissolve
                    
                    mm "Midori ponders for a moment."
                    mm "But then she starts walking around the lake."
                    mm "And I walk with her, because she is still holding my hand."
                    
                    show m serious with dissolve
                    
                    i `"There's a waterfall on the other side," she explains.`
                    i '"You could have fallen down there."'
                    mm "We walk slowly around the dark waters of the lake."
                    mm "And there really is a waterfall."
                    mm "We don't really go near it, but I can hear it clearly."
                    mm "We climb down a stony slope."
                    mm "It's clear to me that it took me much less time with Midori than if I had been alone."
                    
                    scene vpad
                    show m smile
                    with dissolve
                    
                    mm "Then we return to the stream under the waterfall."
                    mm "We walk fast, it's already really late."
                    
                    scene stones
                    show m smile
                    with dissolve
                    
                    if day1 == "Midori":
                        
                        mm "On the way we pass by the place where we met yesterday."
                        
                        show m happy with dissolve
                        
                        mm "I remind Midori about it and she giggles."
                        
                    scene potok
                    show m smile
                    with dissolve
                    
                    mm "Finally we come to the path which leads to my home."
                    mm "And Midori bids me farewell there."
                    i '"I hope I will see you tomorrow," she smiles once more.'
                    mm '"Me too," I answer her.'
                    
                    hide m with dissolve
                    
                    mm "And then I watch how she disappears into the darkness."
                    mm "I hurry home."
                    
                    scene strom with dissolve
                    
                    mm "The path is dark but I can still walk it."
                    if day1 == "Midori":
                        mm "And I have walked it before too."
                    mm "And finally I arrive home."
                    
                    scene living with dissolve
                    stop music
                    
                    mm "My parents are already asleep."
                    mm "And so, trying not to make any noise, I get something for dinner and go to sleep too."
                    
                    scene room with dissolve
                    
                    mm "It's already pretty late and I have to have lots of energy tomorrow."
                    jump konec_dne2
                
            label nice:
                
                $ renpy.block_rollback ()
                mm '"You look really good."'
                mm "She looks at me."
                
                show m confused with dissolve
                
                i '"Seriously?" she asks.'
                mm "I nod."
                if day1 == "Midori":
                    
                    show m smile with dissolve
                    
                    i '"But I had these clothes on yesterday too," she giggles.'
                    mm '"You looked nice yesterday too!" I argue.'
                    
                    show m tongue with dissolve
                    
                    i "She sticks her tongue at me."
                mm '"It looks good against the sunset," I say seriously.'
                mm "Because it really does."
                
                show m smile with dissolve
                
                i '"But I like green better than red" she smiles.'
                if midori1 == "extra":
                    mm "I want to say something about how she came for the evening sun both yesterday and today..."
                    mm "But I keep it for myself."
                    mm "I am sure she knows it too."
                mm "We watch the sun for a little longer."
                
                scene sraz at Pan((0, 600), (0, 0), 5.0)
                show m smile with dissolve
                
                mm "The trees below us have green crowns."
                mm "Theoretically they should display a range of colours at this time of the year, but it seems they are keeping it up somehow."
                i '"Shall we go?" Midori gets up.'
                i '"It will take us few hours to get back too..."'
                mm "I get up too."
                mm '"Why not," I agree with her.'
                mm "I just stand there for a moment."
                
                show m happy with dissolve
                
                mm "And then she giggles nervously and takes the forest path back."
                
                scene les with dissolve
                
                mm "I follow her, watching her back."
                mm "She's weird."
                mm "Forthright, but she still has her her silent moments."
                mm "There's something weird about her..."
                
                scene strom with dissolve
                
                mm "I follow her silently."
                mm "We walk for a long time with a pause for food and we arrive at the lake in the dark."
                
                scene kameny with dissolve
                
                mm "We circle it, she helps me climb down the slope by the side of the waterfall and says goodbye to me there."
                
                scene vpad
                show m smile
                with dissolve
                
                i `"So don't forget, tomorrow evening, quarter to seven!" she smiles at me and disappears into the darkness.`
                
                hide m with dissolve
                
                mm "I smile absentmindedly and follow the stream."
                
                scene potok with dissolve
                
                mm "I come home pretty late."
                
                scene living with dissolve
                stop music
                
                mm "My parents don't mind, luckily."
                mm "I think that as long as I am back by morning, it's alright."
                mm "And they are already asleep anyway."
                mm "I take something from the fridge for a late dinner and go to sleep too."
                
                scene room with dissolve
                
                mm "I have to sleep well for tomorrow."
                jump konec_dne2
            
            label home:
                
                $ renpy.block_rollback () 
                mm '"...I should go home already."'
                
                show m sad with dissolve
                
                i '"Aaaaalready?" Midori looks a little disappointed.'
                mm `"Yep, yep, already. I have to prepare for tomorrow's date and it's a lot of walking to get home," I say in a light tone.`
                
                show m tongue with dissolve
                
                mm "Midori sticks her tongue out at me - so typical."
                i '"Well, go already," she says and looks in the sunset.'
                mm `"You aren't coming?"`
                
                show m smile with dissolve
                
                i '"No, I am not, I live closer... hurry up," she turns towards me with a smile, "and I hope that tomorrow it will be worth it!"'
                mm `"That's guranteed!" I promise her, wave my hand, turn around and start walking home.`
                
                hide m with dissolve
                
                mm "Fortune favours the prepared."
                
                scene les with dissolve
                
                mm "I try to tell myself that I am not completely taken aback by Midori."
                if yukine1 == "extra" or aka1 == "extra":
                    mm "Somehow I succeed a little..."
                    if yukine1 == "extra":
                        mm "I hold the note from Yukine with my hand in my pocket..."
                    else:
                        mm '"Funya~" I whisper into the silence randomly...'
                elif midori1 == "extra":
                    mm "But I completely fail at it."
                    mm "Oh, damn."
                    
                scene strom with dissolve
                
                mm "I continue walking through the dark forest."
                
                scene kameny with dissolve
                
                mm "Untill I come to the lake."
                mm "I swiftly walk around it."
                mm "Though even swiftly it takes me some twenty minutes."
                
                scene vpadroll with dissolve
                
                mm "On the other side I find a waterfall."
                mm "I walk away from it a little and climb down the stones."
                mm "Then I walk by the stream."
                
                scene stones with dissolve
                
                if day1 == "Midori":
                    mm "On the way I pass by the place where I met Midori yesterday."
                    mm "It seems I have luck in meeting her."
                    
                scene potok with dissolve
                
                mm "I come to the path."
                mm "One of its branches follows the stream further."
                if day1 == "Midori":
                    mm "But I choose to go home."
                    mm "There will be enough time for the waterwheel later."
                else:
                    mm "I choose the path leading away from the stream."
                    mm "There should be that waterwheel somewhere downstream, but it's almost dark."
                    
                scene strom with dissolve
                
                mm "I see fireflies in the forest."
                mm "And then I get home."
                
                scene living with dissolve
                stop music
                
                mm "I have something for dinner and I go to sleep."
                mm "My parents are asleep already, I should sleep too."
                
                scene room with dissolve
                
                mm "I have a date tomorrow after all."
                mm "I fall asleep full of expectations."                    
                jump konec_dne2
            
        label aka2:
            
            $ renpy.block_rollback ()
            scene listy with dissolve
            
            m "I choose to follow the path to the mysterious house."
            m "Telling myself that this house shouldn't even be here."
            m "It's a real mystery."
            m "Here and there I see it through the trees as I go down the hill."
            m "It disappears from view when I reach the bottom of the hill, but I can still guess the direction."
            m "I make my way through the bushes and avoid the trees."
            
            scene strom with dissolve
            
            m "Sometimes I find something like a path and follow it for a while."
            m "But it usually changes directions quickly and I have to leave it."
            m "Could that house have no paths leading to it?"
            m "In the end I arrive at a small shrine which is home to some local god."
            m "A small path through the forest leads away from it."
            
            scene schody with dissolve
            scene schody at Pan((0, 600), (0, 0), 5.0)
            
            m "And following it I come to some stone steps."
            m "There is a wall by them."
            m "And on the steps a maid sweeps leaves."
            m "Wait a moment..."
            m "Since when is maid's uniform red?"
            m "Well, there's no accounting for tastes, but..."

            $ persistent.aka_unlock = True
            
            if day1 == "Aka":
                am '"Aka?"'
                
                show am shocked
                
                a '"Funyaaa~!"'
                am "She turns to me."
                
                show am shocked2 with dissolve
                a '"Ohhhhhh, Mister Ma-"'
                
                show am thinking with dissolve
                
                am "She stops in the middle of the word."
                a '"I- I want to say... Hmmmm..." she starts thinking.'
                am "..."
                
                show am victorious with dissolve
                
                a '"Oh!" she cries victoriously in the end.'
                
                show am smile with dissolve
                
                a '"Yamada, right?" she smiles.'
                am "I feel like breaking the wall by which we stand with my head."
                am '"Takkun," I correct her with a smile.'
                
                show am shocked with dissolve
                
                a '"Funyaaaa~, sorry!" she puts on a frightened face.'
                am "I brush my hair with my hand casually."
                am `"There is nothing to be sorry for," I say.`
                
                show am smile with dissolve
                
                am "And she smiles again."
                am "This fits her better."
                am "I sit on the ground."
                
            else:
                am '"Hello?" I call at her.'
                
                show am shocked
                
                ao '"Funyaa~?" she shrieks and turns around.'
                am "What was that sound?"
                am "Did she make it?"
                am "I watch her curiously."
                
                show am shocked2 with dissolve
                
                if not day1 == "Aka":
                    
                    if day1 == "Midori":
                        
                        am "She looks a little like that girl from yesterday."
                        am "But her appearance is on the other side of the light spectrum."
                        
                    else:
                        
                        am "She reminds me of that girl from yesterday"
                        am "But she's acting way differently so far."
                
                am "She watches me curiously."
                am "So we watch each other curiously for a while."
                ao '"Say... who are you?" she asks first in the end.'
                am '"After you!" I answer her.'
                am "I don't know why, but I have a feeling that teasing this girl might be pretty interesting."
                
                show am confused with dissolve
                
                am "She's confused."
                ao '"B- but I... that..."'
                am "Wait, she's confused just because of that?"
                ao '"But you..."'
                am "I wait."
                
                show am confused2 with dissolve
                
                a '"Aka!" she gushes out.'
                am "She's completely red, God knows why."
                
                show am question with dissolve
                
                a '"And what is your name?" she asks, breathing heavily.'
                am "That was all?"
                am "After such a show I expected at least a five page essay including all of her life's intimacies up to this day."
                am "Though, when I think about that..."
                am "There probably weren't many of those."
                am '"That is a government secret," I say seriously.'
                
                show am shocked with dissolve
                
                am "She opens her eyes wide."
                a '"Funyaaa~?"'
                am "So it really was her who made that sound."
                am "I come close to her."
                am "And poke her with my finger."
                a '"Funyaaaaaa~?" she shrieks again and jumps away.'
                
                show am fcry with dissolve
                
                a '"Why did you do that?" she asks me with tears in her eyes.'
                am '"Government secret."'
                
                # :<
                
                show am shocked2 with dissolve
                
                a '"And... and..."'
                am "It seems she wants to add something."
                am "I wait for her decision."
                
                show am fear with dissolve
                
                am "She closes her eyes."
                a '"And now you will have to kill me, then?" she asks me.'
                am "Her voice is shaking."
                
                show am shocked2 with dissolve
                
                am "She opens her eyes."
                am "I put my hand behind me, on my belt."
                
                show am confused with dissolve
                
                a '"No! No! I... I... I will resist!"'
                am "She raises her broom."
                am "Rather than threatening, it looks cute."
                am '"Weeeell..." I draw out," there is a possibility that I might not kill you."'
                am "She waits for my wordse eagerly, the broom still in the air."
                am '"But you would have to get my name out of me and that..."'
                
                scene schody
                with vpunch
                show am confused
                with dissolve
                
                am "BAM!"
                am "Hello, is that headquarters?"
                am "I was attacked by a maid with a broom, send new instructions!"
                
                scene schody
                with vpunch
                show am confused
                with dissolve
                
                am "I avoid certain death."
                am "I am being showered with attacks from all sides."
                am "It seems that the broom is a lethal weapon indeed."
                
                scene schody
                with vpunch
                show am confused
                with dissolve
                
                am "In the end I avoid one really excellent combo and jump close to her."
                
                show am shocked with dissolve
                
                am "She stops."
                am '"Excellent, you passed the test with one hundred percent!" I tell her seriously.'
                am '"My name is Takkun¨."'
                
                show am smile with dissolve
                
                a '"Funya~?"'
                am "She looks pleased."
                am "I sigh and sit on the ground."
                am "A little longer and I would have been dead."
            am "I concentrate for a moment."
            am "And then I look at her."
            
            show am question with dissolve
            
            am "She stands above me, leaning against the broom."
            am "And watches me."
            am '"Why are you wearing that uniform?" I ask her finally.'
            
            show am smile with dissolve
            
            am "Aka turns around and almost trips."
            a `"It's nice, right?" she says when she gets her balance again.`
            am "I nod."
            am "But I wasn't asking her that."
            am "It seems that Aka lives in her very own world."
            
            hide am with dissolve
            
            am "When she feels I won't ask her anything else, she starts sweeping the steps again."
            am '"Why are you sweeping here anyway?"'
            
            show am victorious with dissolve
            
            a `"Because it's our house," she answers honestly.`
            am "I look at the wall by which we stand."
            am "Well, she stands."
            am "Because I am still on the ground."
            am "The wall is long."
            am "Seriously long."
            am '"That seems like a lot of work," I tell her.'
            
            show am smile with dissolve
            
            a `"Well, it isn't exactly easy," she smiles at me, "but sometimes my sisters help me and..."`
            am '"Wait, you have sisters?"'
            am "I am surprised."
            am "There's always some unexpected discovery in the air!"
            a '"Well, we are three sisters, to tell the truth, triplets," Aka adds.'
            am "Triplets?"
            am "I catch myself being swept off my feet and staring at Aka."
            
            hide am with dissolve
            
            am "She watches me curiously for a while, but then she starts sweeping again."
            am "Sisters..."
            am "I realize I am thinking about how they look when they are all side by side."
            am "Probably not like one imagines your usual triplets..."
            am "¨Lost in thoughts, I don't even notice that Aka finished her sweeping."
            
            show am question with dissolve
            
            am "She sits by me and watches."
            am "I notice after some time."
            am "It seems that Aka likes to watch."
            am '"Uhmmm... do i have something on my face?" I ask her.'
            am "She tilts her head quizzically."
            a `"Hmmm, it doesn't seem that you have something on it, no," she answers seriously.`
            am "Now it seems inappropriate to me to ask her why she was staring at me."
            am "I wait for her words."
            
            show am victorious with dissolve
            
            am "And after a while she jumps up and claps."
            a `"That's it!" she exclaims.`
            am "I got startled a little."
            am "But I don't let it show on myself."
            am '"What is it?" I raise my eyebrows.'
            
            show am smile with dissolve
            
            a '"Say, are you free tomorrow?" she asks.'
            am "I recall my plans for the next day."
            am "Sleeping, eating, doing nothing."
            am "And so I nod."
            am '"Of course."'
            a '"In that case," she turns around again.'
            am "And after she gets her balance again, continues."
            a '"Would you marry me tomorrow?"'
            am "I feel my jaw drop."
            am '"W-w-w-w-what?"'
            am "To say I am surprised is an understatement."
            am "Probably no-one has ever surprised me this much in my life."
            am "Aka smiles at me simple-heartedly."
            am "It looks like she waits for my answer."
            am "But... how can I answer such a question?"
            
            menu svatba:
                
                with dissolve
                "I categorically refuse":
                    
                    $ aka_pt -= 1
                    $ aka2 = "decline"
                    jump decline
                    
                with dissolve
                "I accept as a proper man":
                    
                    $ aka_pt += 1
                    $ aka2 = "agree"
                    jump agree
                    
                with dissolve
                "adfsdsdsfds???":
                    
                    $ aka2 = "confused"
                    jump confused
                    
            label decline:
                
                $ renpy.block_rollback ()
                am `"Y-You didn't say that seriously, right?" I ask her in a frightened voice.`
                
                show am thinking with dissolve
                
                am "She tilts her head and puts her index finger to her mouth."
                am "In other circumstances I would find it cute, but not right now."
                a '"Oh... and why not?" she asks me a little sadly.'
                if day1 == "Aka":
                    am '"Well, we only know each other for a little over a day!"'
                    if aka1 == "silence":
                        am '"And you even disappeared all of sudden yesterday!"'
                else:
                    am '"We only know each other for a moment!"'
                    
                show am shocked2 with dissolve
                
                a '"And that matters?"'
                am "Who have I met?"
                am "This isn't normal thinking!"
                am "I feel anger growing inside of me."
                am '"Of course it matters!" I shout at her.'
                
                show am fear with dissolve
                
                am "I notice how she clutches the handle of the broom tighter."
                am "Tears appear in her eyes."
                am `"Oh... I... sorry, I shouldn't have shouted," I apologize.`
                am `"It's just... you surprised me and..."`
                am `"And it just isn't a question you should ask when we barely know each other."`
                am "Aka whines a little."
                am `"Hey there, it'll be alright," I put my hand on her shoulder.`
                am '"I might marry you in five, ten years!"'
                
                show am cquestion with dissolve
                
                a '"So why not tomorrow?" Aka gives me a teary look.'
                am `"Mainly because I will know you much better after that time, I'd say," I answer her.`
                a '"You would say..."'
                
                show am cry with dissolve
                
                am "Aka hangs her head."
                am `"Oh, wait, the sad look isn't good for ladies!"`
                am "No reply."
                am "Hmmmm."
                am "I might have saddened her."
                am "I scratch my head."
                a '"Say..." I can hear.'
                am "I look at her."
                
                # She has a cleaver in her hand.
                # Nice boat end (yes, again!)
                
                am "She still looks in the ground."
                a '"No..."'
                am "Huh?"
                am "This doesn't make sense."
                
                show am smile with dissolve
                
                am "Aka looks up."
                am "She smiles unconvincingly."
                a '"I should... probably go home... I have to cook the dinner too."'
                a '"If you change your mind, you know where to find me..."'
                am "She turns around and before I can stop her, starts running by the wall."
                
                hide am with dissolve
                
                am "In just a moment she disappears behind a corner."
                am "If I change my mind?"
                am "How could I change my mind over something like this?"
                am "I kick a nearby step angrily."
                am "I don't have anything but a sore toe from that, though."
                am "I follow the path Aka retreated along and find a forest path leading past the entrance of the house."
                
                scene brana with dissolve
                
                am "The gate is closed."
                am "I can see through it, I see a house in a classical style."
                am "But I don't find the courage to press the doorbell, let alone entering just like that."
                am "And so I walk along the path."
                
                scene potok with dissolve
                
                am "After a moment I find a narrow footbridge over a stream."
                if day1 == "Midori":
                    am "It's probably the same stream as yesterday..."
                am "I cross it and continue walking."
                am "From the sun I guess it is around noon."
                
                scene zastavka with dissolve
                
                am "In the end I leave the forest next to the train stop."
                am "The path is almost invisible from the stop itself."
                am "No wonder I haven't noticed it before."
                am "I take the other path to our house."
                
                scene living with dissolve
                stop music
                
                am "In about twenty minutes I am home."
                am "Just in time for lunch."
                
                scene room with dissolve
                
                am "After lunch I go to my room."
                am "I lie on the bed."
                am "And I think."
                am "Why did I get so angry at Aka anyway?"
                am "Maybe she didn't even mean it that way."
                am "Maybe she didn't mean marriage like that."
                am "I should have let her explain it to me."
                am "I growl and turn around."
                am "And bury my face in a pillow."
                am "Tomorrow I should go there and apologize to her."
                am "And let her explain this marriage to me."
                am 'And maybe even "marry her".'
                am "The rest of the day I spend mainly thinking about what to do tomorrow."
                am "And I go to sleep soon after dinner."
                am "I hope Aka will be at home tomorrow."                
                jump konec_dne2
                
            label agree:
                
                $ renpy.block_rollback ()
                am "You should seize the opportunity while you can!"
                am '"Of course, it has always been my dream to have someone like you as a wife!"'
                
                show am question with dissolve
                
                am "Aka gets red."
                am "She doesn't look like she was expecting such a reaction."
                am '"What is it?" I jump to her, "Are you sick?"'
                am "A shining example of a husband-to-be."
                am "See, ladies, his name is Takkun!"
                am "I catch Aka in my arms."
                am "Just in time."
                am "Considering how her legs gave up under her, I guess that in the very next moment she would have collapsed if I haven't caught her."
                
                scene zed with dissolve
                
                am "I rest her against the wall."
                
                show am smile with dissolve
                
                am "She smiles at me weakly."
                a `"Isn't that great?" she whispers.`
                am "There's something wrong here."
                am '"Are you okay?" I ask her.'
                am '"Of course, I have never felt better!" Aka answers me.'
                am `"It doesn't seem exactly that way, you know?"`
                a `"It's from the shock, I'll be alright in a moment," she tries to argue.`
                am `"You asked me, I should be in shock!" I don't let her win.`
                
                show am thinking with dissolve
                
                am "She thinks about it."
                
                show am smile with dissolve
                
                a '"You know, you are right!" she answers after a brief moment.'
                am "She's weird."
                am "And by that I mean damn weird."
                if not day1 == "Aka":
                    am "And I only know her for just a few moments."
                am "I watch her how she sits there, resting against the wall."
                am "In the maid dress."
                am "The handle of her broom lies in her lap and she has both her hands on it."
                am "A picture of peace."
                am "Her heavy breathing contrasts sharply with it."
                am "I sit next to her."
                am '"Are you really alright?"'
                am "She clears her throat."
                
                show am sad with dissolve
                
                a `"Funyaaa~, you don't believe me?" she gives me a sad look.`
                am "I give up."
                am "Even if she was dying, she wouldn't have admitted it."
                am `"Okay, so we'll pretend you're alright."`
                am "She scowls at me."
                
                show am smile with dissolve
                
                am "But that face is gone in the very next moment."
                a '"So... will you really come tomorrow?"'
                am '"Of course."'
                
                show am question with dissolve
                
                a '"And..." she hesitates.'
                a '"And will you really marry me as your wife?"'
                am `"That's what I said."`
                am "She grabs my sleeve and leans against my shoulder."
                
                show am smile with dissolve
                
                a `"That's great," she whispers.`
                am "It seems she has calmed down."
                am "I listen to her breathing for a while."
                
                show am asleep with dissolve
                
                am "And then I realize she has fallen asleep."
                am "I smile for myself."
                am "Can't be helped."
                
                menu aka_extra2:
                    
                    with dissolve
                    "I walk away silently":
                        
                        $ aka_pt -= 1
                        jump leave_aka
                        
                    with dissolve
                    "I wait until she wakes up":
                        
                        $ aka2 = "extra"
                        jump aka2_good
                        
                label leave_aka:
                    
                    $ renpy.block_rollback ()
                    am "I get up silently."
                    a '"Funyaa~" Aka says from her sleep.'
                    am "I smile to myself and watch her for a moment."
                    am "She looks so peaceful in her sleep."
                    
                    scene schody with dissolve
                    
                    am "Finally, I turn and walk away, following the wall."
                    
                    scene brana with dissolve
                    
                    am "Around the corner I find an entrance to a garden."
                    am "And besides that even a path away from the house."
                    am "It gets lost in the forest almost instantly."
                    am "Ideal."
                    am "I push the doorbell and run away following the path."
                    
                    scene ldetail with dissolve
                    
                    am "I don't think anyone who will come out to find out who rang will follow the path."
                    am "But he will probably check around the corner and find Aka."
                    am "I slow down after a while."
                    am "I follow the path and whistle."
                    
                    scene zastavka with dissolve
                    
                    am "I cross the stream and come to a train stop from which I continue home."
                    
                    scene living with dissolve
                    stop music
                    
                    am "I come home a little after the lunch, but it isn't cold yet."
                    am "I warm it a little more and eat it."
                    
                    scene room with dissolve
                    
                    am "And spend the rest of the day by writing some stories."
                    am "During that, I wonder what will happen tomorrow."
                    am "And what could Aka be doing right now."
                    am "In the end I finish one of the stories and yawn."
                    am "I should get a good night's sleep for tomorrow."
                    am "And so I go to sleep early."
                    jump konec_dne2
                    
                label aka2_good:
                    
                    $ renpy.block_rollback ()
                    am "I rest myself against the wall just like her."
                    a '"Funya-nya~" she says from her sleep.'
                    am "I smile to myself."
                    am "And resign myself to the realm of sleep, just like her..."
                    
                    scene black with dissolvelong
                    scene zed
                    show am asleep
                    with dissolvelong
                    
                    am "When I wake up, Aka still sleeps."
                    am "I take a guess by the sun that it's around late afternoon."
                    am "It occurs to me that it's interesting that no-one has found us here by the house."
                    
                    # They did, but they let them sleep. 
                    
                    am "But it's true that this doesn't exactly seem like a frequented path."
                    am "I move away from Aka carefully."
                    am "And stretch myself."
                    am "My shoulder hurts a little, but it isn't that bad as I would have expected."
                    am "She is pretty light."
                    am "I lean to Aka."
                    am "Hmmm..."
                    am "I hesitate."
                    am "It seems a little inappropriate to me to wake her up."
                    am "But it will probably be better that way."
                    am `"Wake up, it's morning!" I shake her a little.`
                    am "Well, rather afternoon, but anyway."
                    am "She doesn't respond in any way."
                    am "She hasn't died, has she?"
                    am "I take her hand and check her pulse."
                    am "Well, that seems okay."
                    am "I look around for a bucket of water."
                    am "And only by a pure coincidence I don't see any."
                    
                    # They be stealin' mah bakkit!
                    
                    am "I shake her a little stronger."
                    a '"Funya~?"'
                    am "Interesting."
                    am "It seems that our subject makes the given sound completely unconsciously."
                    am "Aka opens her eyes a little."
                    am "Sees me."
                    
                    show am question with dissolve
                    
                    am "And blushes."
                    a '"Oh no!"'
                    am "I look around."
                    am "Nothing. It seems that her reaction really is to me."
                    am "I look back."
                    
                    show am shocked with dissolve
                    
                    am "Aka examines herself."
                    am '"What... what are you doing?" I ask her.'
                    
                    show am question with dissolve
                    
                    a '"I... I am trying to remember what it was like," she answers me, blushing deeply.'
                    am "I have a premonition."
                    am "Though I don't want to ask her at all."
                    am "But there's no other way."
                    am '"What exactly was what like?"'
                    am "Aka blushes even more."
                    am "She really justifies her name."
                    
                    show am thinking with dissolve
                    
                    a '"Well, you... you know..." she casts her eyes aside.'
                    am "I think about it."
                    am '"Oh!"'
                    
                    show am sad with dissolve
                    
                    am "She looks at me."
                    am '"First time..."'
                    am "She shivers slightly."
                    am '"...that a girl slept on my shoulder?"'
                    am `"Well, it's a little uncomfortable, but that feeling is worth a little sacrifice!"`
                    
                    show am confused with dissolve
                    
                    am "Aka's eyes get wide."
                    a `"T- that's all?"`
                    am "Hmmm... does she have memory problems?"
                    
                    # You don't know how CORRECT you are, Takkun.
                    
                    am `"Yes, that's all," I nod seriously.`
                    
                    show am smile with dissolve
                    
                    am "Aka breathes a sigh of relief."
                    
                    show am confused with dissolve
                    
                    a '"Oh no!"'
                    am "What happened now?"
                    am "Did she find out she's a robot after all this time?"
                    
                    # Robot and meido? I call win!
                    
                    a '"I should have cooked the dinner!"'
                    am "It seems that even she has some normal problems."
                    am "Sometimes."
                    am '"It will be alright, just this once," I calm her down.'
                    am "But even so, she gets up from the ground."
                    am "(Funya~)"
                    
                    show am smile with dissolve
                    
                    a '"No way, I have to go," she says, smiling.'
                    a `"But thanks for today! And... and..." she hesitates and looks a little sideways, "..and don't forget to come tomorrow!"`
                    am "She waves at me, turns around and runs ahead."
                    am "I follow her leisurely."
                    
                    scene schody with dissolve
                    
                    am "She disappears behind the corner and when I get there, I spot her walking through a gate to the yard of her house."
                    
                    scene brana
                    show am smile
                    with dissolve
                    
                    am "She notices me and waves at me."
                    am "I wave at her too."
                    
                    hide am with dissolve
                    
                    am "And then she disappears."
                    am "I look around."
                    am "There's a path leading to the forest from the gate."
                    
                    scene les with dissolve
                    
                    am "I hope it heads in the right direction and take it."
                    am "And it doesn't let me down."
                    
                    scene zastavka with dissolve
                    
                    am "I walk for around an hour and come to a train stop."
                    am "It seems that she takes the same train as me."
                    am "I go home."
                    
                    scene living with dissolve
                    stop music
                    
                    am "And in another twenty minutes I am finally home."
                    am "I am quite hungry and so I am pleased with some late lunch."
                    am "Or early dinner?"
                    am "Well, that doesn't matter anyway."
                    am "I refill my nutrients, take a bath and go to sleep."
                    
                    scene room with dissolve
                    
                    am "Today tired me and, more importantly, I want to be fresh for tomorrow."
                    am "I fall asleep the moment my head touches the pillow."
                    jump konec_dne2
                
            label confused:
                
                $ renpy.block_rollback ()
                am "Adfsdsdsfds?"
                am "I am so perplexed that I can't get a meaningful sentence out."
                a '"Ghkjgkhjgkj!"'
                
                show am victorious with dissolve
                
                a '"Is that some cipher?" Aka smiles.'
                am "No, not a chance."
                am "This girl is so guileless that if I told her that there's a bear on her head, she would want to tame him."
                
                # Pedobear?
                
                am '"And what marriage should that be?" I finally manage to get out.'
                
                show am victorious with dissolve
                
                a '"Our marriage, ours!" Aka smiles, as if it was the brightest thing under the sun.'
                a '"You and me! Marriage kimonos! Families! Feast! Best friends!"'
                am "This is the same girl from just a moment ago?"
                am "She seems totally different."
                a `"Well, say, isn't that wonderful?" she ends her speech and casts her eyes at me.`
                
                show am smile with dissolve
                
                am "Her eyes are shining, probably with enthusiasm."
                
                # He's wrong here, by the way. Maybe you know already, maybe you'll understand later on.
                
                am "I realize that I am backing away slowly."
                am '"And... why the one and only me?" I ask her.'
                am "A meaningful question."
                
                show am question with dissolve
                
                a '"Because you are here and you seem to be bored!" she answers me right away and blushes.'
                am "A meaningful ans..."
                am "Wait, wait wait!"
                am "That was anything but meaningful answer!"
                am "She has to be from a different planet!"
                am "Otherwise this is impossible!"
                if day1 == "Aka":
                    am "So instead of me, she is a Martian!"
                am "I feel like crying."
                am "What have I done to anyone?"
                
                show am smile with dissolve
                
                a `"So you'll be coming tomorrow, right!"`
                am "Nani mai hani?"
                am "I am being pushed into the corner."
                am '"C-can I think it through over the night?" I ask her carefully.'
                
                show am thinking with dissolve
                
                am "Aka frowns."
                am "It looks like she's thinking."
                am "Though..."
                am "Is something like thinking in her vocabulary anyway?"
                
                show am smile with dissolve
                
                am "But finally she smiles."
                am "It seems she has decided."
                a '"Of course!" she nods.'
                am "I am incredibly relieved."
                am "It is probably visible because Aka giggles out of nowhere."
                a '"So come here tomorrow morning" she tells me.'
                am "I can do nothing but nod."
                am "Is she really serious?"
                a '"Okay!"'
                a '"I have to go cook now, so see you tomorrow!"'
                
                hide am with dissolve
                
                am "Unable to say anything I just watch her wave at me and run away."
                am "What should all this have meant?"
                am "Dazed, I walk around the house."
                
                scene brana with dissolve
                
                am "I come to a gate but I am totally not in the mood to enter now."
                am "After all, I will enter it tomorrow."
                
                scene les with dissolve
                
                am "So I take the path that leads away from the house."
                am "After a while I get home."
                
                scene living with dissolve
                stop music
                
                am "I don't even exactly know how I got there."
                am "I eat lunch as if dreaming, then all of sudden it's dinner and night..."
                
                scene room with dissolve
                
                am "It doesn't seem like a dream."
                am "I should decide what to do tomorrow now."
                am "I think about it for a while."
                am "In the end I decide to accept it."
                am "It will probably be just some game, considering her nature."
                am "And even if not, I can always back out of it."
                am "Content with my decision, I fall asleep."                
                jump konec_dne2
            
        
label konec_dne2:
    
    $ renpy.block_rollback ()
    scene black with dissolvelong
    $ renpy.music.play("aud/Comfortable Mystery.ogg", fadein = 3.0)
       
    if midori_pt >= 3:
        jump midori_edream
    elif aka_pt >= 3:
        jump aka_edream
    elif yukine_pt >=3 :
        jump yukine_edream
    elif day2 == "Midori":
        jump midori_dream
    elif day2 == "Yukine":
        jump yukine_dream
    else:
        jump aka_dream
        
label konec_snu:
    
    $ renpy.block_rollback ()
    stop music fadeout 3.0
    scene room with dissolvelong
    
    $ renpy.music.play("aud/Friday Morning.ogg", fadein = 3.0)
    
    if day2 == "Midori":
        mm "I slowly wake up from sleep." with dissolvelong
        mm "I think I had a dream last night..."
        mm "But I can't remember it clearly."
        mm "I try remembering it for a while but then I let it be."
        mm "It's all fuzzy in my memory."
        mm "Anyway, today is an important day!"
    elif day2 == "Aka":
        am "I slowly wake up from sleep." with dissolvelong
        am "I think I had a dream last night..."
        am "But I can't remember it clearly."
        am "I try remembering it for a while but then I let it be."
        am "It's all fuzzy in my memory."
        am "Anyway, today is an important day!"
    else:
        ym "I slowly wake up from sleep." with dissolvelong
        ym "I think I had a dream last night..."
        ym "But I can't remember it clearly."
        ym "I try remembering it for a while but then I let it be."
        ym "It's all fuzzy in my memory."
        ym "Anyway, today is an important day!"
    if yukinemet == 2:
        jump yukine_route
    elif akamet == 2:
        jump aka_route
    elif midorimet == 2:
        jump midori_route
    elif day2 == "Yukine":
        
        menu final_selection1:
           
            with dissolve
            "Today I will visit the festival with Yukine" if yukine2 == "lake" or yukine2 == "extra":
                jump yukine_route

            with dissolve
            "Today I will visit the festival nearby with my parents" if not yukine2 == "lake" and not yukine2 == "extra":
                jump yukine_route
                    
            with dissolve
            "Today I will visit a festival without my parents" if day1 == "Midori":
                jump midori_route
                
            with dissolve
            "Today I will go and take a look around again" if not day1 == "Midori":
                jump aka_route
                    
    elif day2 == "Aka":
        
        menu final_selection2:
           
            with dissolve
            "Today I will marry Aka":
                jump aka_route
                    
            with dissolve
            "Today I will visit the festival nearby with my parents" if day1 == "Yukine":
                jump yukine_route
                
            with dissolve
            "Today I will visit a festival without my parents" if not day1 == "Yukine":
                jump midori_route
                    
    else:
        
        menu final_selection3:
           
            with dissolve
            "Today I have a date with Midori":
                jump midori_route
                    
            with dissolve
            "Today I will visit the festival nearby with my parents" if day1 == "Yukine":
                jump yukine_route
                
            with dissolve
            "Today I will go and take a look around again" if not day1 == "Yukine":
                jump aka_route

label credits:
    
    $ renpy.block_rollback ()
    $ renpy.music.play("aud/Atlantean_Twilight.ogg", fadein = 3.0)
    scene black
    with dissolvelong
    with Pause(2)
    
    centered "{size=30}autumn{/size}{fast}" with dissolvelong
    
    centered "{size=22}Script:\nNya-chan Production{/size}{fast}" with dissolvelong
    
    centered "{size=22}Character graphics:\nDeji{/size}{fast}" with dissolvelong
    
    centered "{size=22}Backgrounds:\nhttp://www.beiz.jp\nhttp://www.morguefile.com\nyu_eriyama\nkikai_saigono (even though she hasn't sent anything on time){/size}{fast}" with dissolvelong
    
    centered "{size=22}Alteration of sources and effects:\nNya-chan Production{/size}{fast}" with dissolvelong
    
    centered "{size=22}Music:\nKevin MacLeod{/size}{fast}" with dissolvelong
    
    centered "{size=22}Sounds:\nhttp://www.bladeengine.com\nhttp://www.pacdv.com\nhttp://hwiki.laptop.org\nhttp://simplythebest.net\nhttp://www.soundjay.com\nhttp://www.freesound.org (Splash by duckboy80){/size}{fast}" with dissolvelong
    
    centered "{size=22}Programming and video:\nNya-chan Production{/size}{fast}" with dissolvelong
    
    centered "{size=22}Ren'Py engine:\nPyTom{/size}{fast}" with dissolvelong
    
    centered "{size=22}Czech betatesting:\ndenzil\nLeški\nTinme-chan\nVaan{/size}{fast}" with dissolvelong
    
    centered "{size=22}English betatesting:\nJasper (I am sorry I forgot your nickname! >.>;; )\n8-bit samurai{/size}{fast}" with dissolvelong
    
    centered '{size=22}Special thanks:\nTo PyTom and the others from LemmaSoft forums\nTo anyone who finished "autumn"{/size}{fast}' with dissolvelong
    
    centered "{size=22}Extra special thanks:\nTo DanQ, without whom this game would probably have never been made in the first place ^_~{/size}{fast}" with dissolvelong

    centered "{size=22}'autumn' was created for the Ren'Ai contest of Czech AnimeFest 2009{/size}{fast}" with dissolvelong

    scene logo
    with None
    show text "{size=14}(C) 2009 Astra9{/size}{fast}" at Position(yalign=0.95)
    with Dissolve(5)
