label yukine_route:
    
    $ renpy.block_rollback ()
    $ yukine_pt += 1

    if yukine2 == "lake" or yukine2 == "extra":
        ym "I can't wait and so I prepare breakfast, do the laundry, darn socks and decorate the kitchen."
        ym "Not to mention digging up the garden."
        ym "The evening comes before I even realize."
    else:
        ym "As it comes, my parents decide that I will go to the festival with them no matter what and so I spend the rest of the day choosing a kimono."
        ym "How I hate that."
        ym 'My dad has a heap of them and so I have to try on at least twenty before I can say, "Yes, I like this one!", which is good enough.'
        ym "Then I spend the rest of the day waiting for the evening..."
        
    $ renpy.music.play("aud/Appalachian Bird Calls of Camel's Hump State Park (Vermont, USA).ogg", fadein = 3.0)
    
    ym "I go to the train stop with my parents."
    if yukine2 == "lake" or yukine2 == "extra":
        ym "Yukine should be waiting there."
        
    scene zastavka with dissolve
   
    ym "We're there in a mere twenty minutes."
    if yukine2 == "lake" or yukine2 == "extra":
        ym "But I can't see Yukine anywhere."
        ym "Has she been held up?"
    ym "We wait for the train."
    ym "It will be quarter to seven in a minute."
    
    $ renpy.sound.play("sfx/metro-passing-1.mp3")
        
    ym "Then we hear the train's horn as it comes round the bend."
    ym "Today it will probably stop everywhere."
    ym "The festival is a big event for local people."
    if yukine2 == "lake" or yukine2 == "extra":
        ym "I look around nervously."
        ym "Yukine still isn't coming."
        ym "In the end I console myself with the fact that she couldn't make it..."
        ym "My mood drops to below absolute zero."
    ym "And the train is here."
    ym "We enter the half-full carriage."
    ym "It's fairly full, given the time of day."
    ym "At least three quarters of people in it are wearing a kimono."
    if yukine2 == "lake" or yukine2 == "extra":
        ym "None of the girls in the carriage are Yukine, though..."
    else:
        ym "I am a bit down."
        ym "I don't exactly like crowds."
    ym "We set off."
    if yukine2 == "lake" or yukine2 == "extra":
        ym "On the way I wonder what could have held Yukine up."
        ym "The next train comes in four hours."
        ym "That's late."
    ym "The train rumbles on the rails."
    ym "The typical tudum-tudum lulls me a little."
    
    # Ummm, what is the english term for the rumbling sounds of train?
    
    ym "I must have napped a little because we're there sooner than I expected us to be."
    
    $ renpy.music.play("aud/Hindu Temple in the Batu Caves (Kuala Lampur, Malaysia).ogg", fadein = 3.0)
    
    ym "A small provincial platform."
    ym "Better than our train stop."
    ym "Though it's a fact that even there we at least have a shelter."
    ym "I stand on the platform and don't really know where to go."
    ym "My dad waves at me."
    ym "He says something but he's rather far away and I can't hear him over the crowd."
    ym "Probably to not forget to catch the last train back."
    ym "The last one leaves at eleven."
    ym "Mum simpers and giggles."
    ym "She just loves festivals."
    ym "And with that they disappear."
    ym "That was the plan, to split up for the festival."
    if yukine2 == "lake" or yukine2 == "extra":
        ym "But I didn't expect to end up by myself."
    ym "I sigh."
    yo `"It's sad to be alone during a festival..."`
    ym '"Exactly," I nod along.'
    ym "Wait..."
    ym "I didn't say that!"
    ym "I turn around in a flash."
    if yukine2 == "disappear":
        ym "And behind me stands the mysterious girl from the waterfall."
    else:
        ym "And behind me stands Yukine."
    if yukine2 == "lake" or yukine2 == "extra":
        
        show yk smile with dissolve
        
        ym `Her hand is in the "Sorry" position and she's smiling.`
        y '"We had to sort out something and I had to take the earlier train," she apologizes.'
        ym "I grab her hand."
        ym '"Come, we have to enjoy all we can!"'
        ym `"It's the festival after all!"`
        ym "I try to hide my happiness, but I think that my efforts are completely in vain."
        ym "At least that is what I judge from her expression."
    elif yukine2 == "disappear":
        
        show yk sad with dissolve
        
        y '"Sorry," she says humbly.'
        ym "I don't understand why she's apologizing."
        ym "And so I ask her."
        ym '"What for, if I may ask?"'
        y '"As you went round the lake yesterday... sorry that I left..."'
        y `"You aren't angry at me, right?"`
        ym "I recall it for a moment."
        ym "Hmmm, if she knew that I didn't even go there..."
        ym `"Oh no, that's fine!" I wave my hand nonchalantly.`
        
        show yk question with dissolve
        
        y '"You think you could accompany me for today?" she asks me.'
        ym '"Why not! What?"'
        ym "Did I hear that right?"
        
        show yk smile with dissolve
        
        y '"Come on, we have to enjoy all we can," she drags me by the sleeve.'
        if not day1 == "Yukine":
            
            show yk tongue with dissolve
            
            y '"Oh, by the way, my name is Yukine," she sticks her tongue out at me.'
        ym "Well, if I am not lucky!"
    else:
        
        show yk question with dissolve
        
        y '"Say, would you accompany me for the festival?" she asks me.'
        if yukine1 == "extra":
            ym "She smiles at me as she says it."
        if yukine1 == "hers":
            ym "She doesn't look exactly happy."
        ym `"Oh... hmmm... well... why not?" I can't hide my surprise.`
        y `"Well, okay, that's a deal!"`
        if yukine1 == "extra":
            ym "She looks pleased that I accepted."
        ym "Today won't end so easily, it seems."
        ym "The last few days are full of surprises."
        
    scene festival2
    show yk smile
    with dissolve
    $ renpy.music.play("aud/Sensoji Buddhist Temple (Tokyo, Japan).ogg", fadein = 3.0)
    
    ym "We set off for the festival."
    ym "Yukine and me are both in kimonos."
    ym "She wears a simple yukata with a nice pattern."
    ym "It seems Yukine enjoys festivals as much as mum."
    
    scene festival
    show yk smile
    with dissolve
    
    ym "I almost can't keep up with her."
    ym "We split some takoyakis' price and she eats most of it."
    
    show yk angry with dissolve
    
    ym "Then we spend at least ten minutes arguing whether she ate more or not."
    ym "She tries to scoop goldfish."
    
    show yk sad with dissolve
    
    ym "It seems she's not good at that."
    ym "One would have guessed that with her patience she would have more success."
    
    scene festival3
    show yk sad
    with dissolve
    
    ym "Then she stands by the shooting range for a while."
    ym "She stands there long enough for me to understand and I ask her whether she would like to have a go at shooting."
    
    show yk smile with dissolve
    
    ym "She accepts and so we spend some time shooting."
    ym "She's almost too good at this."
    ym "I get one of the masks she wins from her as a consolation prize."
    ym "I can't let it go just like that and so I let her have one of the two pendants that I managed to win."
    ym "She adds it to her pile."
    ym "And she looks pleased."
    ym "It goes well with her hair..."
    
    scene festival
    show yk smile
    with dissolve
    
    ym "The evening slowly passes by."
    ym "And we enjoy ourselves."
    ym "Maybe too much..."
    ym "We buy some candy floss and just walk around."
    
    show yk serious with dissolve
    
    ym "I sometimes note something and she stays silent or nods."
    ym "We slowly arrived at this compromise."
    ym "And then..."
    
    stop music fadeout 3.0
    
    yo '"Murderer!"'
    
    hide yk
    
    ym "I turn around."
    ym "One of the girls that were passing us by had made the remark..."
    ym "They disappear in the crowd, with an evil giggle."
    ym "I look at Yukine..."
    
    show yk ncry with dissolve
    
    ym "She's frozen on the spot, looking at her candy floss and tears flow from her eyes."
    ym "I put my hand on her shoulder."
    
    show yk csmile with dissolve
    
    ym "She smiles a little..."
    y '"I was naive to think that it would end..." she whispers.'
    ym "And turns to me."
    
    show yk crush with dissolve
    
    y '"Oh..."'
    y `"W- would you hold it for me, please? I'll be right back!" she hands me her candy floss.`
    
    hide yk with dissolve
    
    $ renpy.music.play("aud/Sensoji Buddhist Temple (Tokyo, Japan).ogg", fadein = 3.0)
    
    ym "She walks away and takes paper tissues out of her handbag."
    ym "I just stand there while holding two wads of candy floss."
    ym "What did that mean?"
    ym "Murderer...?"
    if yukine1 == "hers":
        ym "Some her looks are deadly indeed, but this looked like something more serious..."
    ym "I slowly start walking in the direction she left in."
    ym "There is a lake and a jetty behind the stands on this side."
    ym "I think I'll find her there."
    
    scene black with dissolvelong
    stop music fadeout 5.0
    
    ym "I leave the noise and lights of the festival behind me and enter the darkness."
    ym "I walk through a narrow belt of the forest and come out at its edge."
    
    scene jezero with dissolve
    
    ym "I can see the outline of the jetty against the dark blue surface and so I start walking towards it."
    ym "There's someone on it."
    ym "But Yukine isn't there alone."
    ym "There are at least two or three people with her there."
    ym "I stop."
    ym '"Could it be...?" I wonder in spirit.'
    ym "The candy floss in my hands feels inappropriate all of sudden."
    ym "But what if they are just some of her friends?"
    ym "Or she'll manage by herself..."
    ym "I don't know what to do now."
    
    menu  yukine_final_choice:
        
        with dissolve
        "Go check the situation out":
            $ yukine_pt += 1
            $ yukine3 = "good"
            jump yukine_final_good
            
        with dissolve
        "Wait for the outcome":
            $ yukine_pt -= 1
            $ yukine3 = "bad"
            jump yukine_final_bad
            
    label yukine_final_good:
        
        $ renpy.block_rollback ()
        ym "The candy floss falls out of my hands."
        ym "No, this can't be good."
        ym "I walk to the jetty..."
        ym "But I increase my speed of my own accord and then almost immediately break into a run."
        ym "I catch myself unconsciously wishing for it to be something trivial."
        ym "Then I can see one of the silhouettes on the jetty raise its hand and I know that it won't be that easy."
        ym "I am almost there."
        
        scene lavka with dissolve
        
        ym "The wood resounds under my feet."
        ym "I see one of the figures - no, girls, they are girls - turn to me."
        ym "She pulls one of her companions' sleeves."
        ym '"Blue-eyes," I cry desperately.'
        
        show yk fear with dissolve
        hide yk with dissolve
        
        ym "But I can only see her fall into the water after a strong push."
        ym "The girls stand in my way."
        ym "Two of them look a little scared, the third one has a wide grin on her face."
        ym "I don't care about them at all as I push the grinning one out of my way and jump into the water."
        
        scene voda2 with dissolve
        $ renpy.sound.play("sfx/42142__duckboy80__SplashEdit.wav")
        
        ym "Luckily the water isn't that cold."
        
        # Warm autumn indeed.
        
        ym "With quick strokes I aim for the place where Blue-eyes... Yukine... disappeared under the water."
        ym "I swim there and find her struggling to stay afloat."
        
        show yk drown with dissolve
        
        ym "Her kimono is clearly dragging her down."
        ym "I support her by her waist and she calms down."
        ym "I help her swim to the jetty."
        ym "Two of the girls ran away but the one that I shoved aside waits for us there."
        jump final_yukine_dialogue
        
    label yukine_final_bad:
        
        $ renpy.block_rollback ()
        ym "I stand there, watching the silhouettes and waiting for Yukine's return."
        ym "But then I see someone there raise their hand and in the very next moment one of them falls into the water."
        ym "The candy floss falls out of my hands and I start running."
        ym "Two of the silhouettes run away from the jetty, one stays there."
        
        scene voda2 with dissolve
        
        ym "I run the jetty, pass the girl - now I can see her better - that stayed there, and jump into the water."
        ym "I swim to the place where Yukine disappeared under the water."
        
        show yk drown with dissolve
        
        ym "When I get there I plunge."
        ym "Luckily I guessed the place right and I can see her kimono and hand."
        ym "I grab her and pull her to the surface."
        ym "Her kimono is soaked and pulls us down."
        ym "But I slowly swim with her to the jetty where that girl with a catty smile waits for us."
        jump final_yukine_dialogue
        
label final_yukine_dialogue:
    
    $ renpy.block_rollback ()
    if yukine_pt >= 6:
        $ yukineend = "good"
    elif yukine_pt >= 3:
        $ yukineend = "normal"
    else:
        $ yukineend = "bad"
        
    $ renpy.music.play("aud/Touching Moments Five - Circle.ogg", fadein = 3.0)
    
    ym "Yukine casts her glance aside after looking at her."
    if yukine3 == "good":
        ym "The girl flashes her eyes at me."
        ym "She's soaked too."
        ym "I shoved her into the water, it seems."
        ym "But I don't feel guilty at all."
        
    scene jezero
    show yk side
    with dissolve
    
    ym "I climb onto the jetty and help Yukine up."
    ym "She looks anywhere but into that girl's face."
    yo '"The murderers saving the murderers?" the girl says spitefully.'
    yo '"It seems that birds of a feather flock together," she continues.'
    yo '"Tell me, who did you kill?"'
    ym "This was obviously meant for me."
    ym "I breathe in to give her an answer, but Yukine answers first."
    y `"He didn't kill anyone," she whispers.`
    ym "The girl laughs."
    yo '"Anyone, you say?" she laughs, "So what does he see in you?"'
    
    show yk scry with dissolve
    
    y `"I didn't kill anyone either... it was... an accident..." Yukine whispers in a quieter and quieter voice and I can see she's crying.`
    yo '"Tsk, like I would believe that!" the unnamed girl says.'
    yo '"They found her dead under the waterfall, and you by her body," she spits out.'
    if day2 == "Yukine":
        
        scene vpadroll with dissolve
        scene jezero
        scene yk scry
        with dissolve
        
        ym '"Under the waterfall?", flashes through my head...'
        ym "So there... what happened there?"
        ym "The girl continues."
    yo '"Everyone knows you were jealous of her!"'
    ym "Yukine just shakes her head."
    y `"T- that's not true... she was my friend... she slipped on... on..."`
    
    show yk cry
    
    ym "Yukine hides her face with her sleeves and starts crying openly."
    if yukineend == "good":
        
        ym "I finally decide to say something."
        ym `"Look there, missy... I don't even know your name...`
        ym `"But if Yukine says she didn't do it, I believe her!"`
        
        show yk clook with dissolve
        
        ym "Yukine looks at me."
        ym "And the girl hisses."
        ym '"Remember," I say firmly.'
        ym '"Never try again what you tried here today."'
        y '"You..." I hear Yukine say.'
        
        show yk cry with dissolve
        
        y '"You idiot," she starts crying anew and hugs me.'
        ym "It's the first time I heard such words from her."
        ym "In such a tone."
        ym "The girl watches us spitefully for a little longer, then swears, turns around and leaves."
        ym "I sit on the edge of the jetty with a crying girl in my embrace."
        ym '"Blue-eyes?" I whisper.'
        ym "She looks at me."
        
        show yk csmile with dissolve
        
        y '"Do you know, no-one has ever called me that?" she smiles over her tears.'
        ym "And kisses me..."
        jump yukine_good_end
        
    elif yukineend == "normal":
        
        ym "Finally, I take a breath to say something."
        ym '"Honestly," I start, "I hate girls like you.'
        ym '"Pushy and troublesome."'
        ym '"What does it matter?"'
        ym `"Don't you feel that if she had done it, she has already suffered enough for it and that she feels really sorry?"`
        ym "The girl looks at me, her face twisted."
        yo '"It will never be enough..." she says.'
        ym "It looks like it has exhausted her."
        ym "She hesitates for a moment, but then she leaves."
        ym "The jetty creaks under her footsteps."
        
        show yk sad with dissolve
        
        ym "I want to follow her, but Yukine's hand on my shoulder stops me."
        y `"Don't go... it's her right..."`
        ym '"Right? No-one has the right to..." I start getting worked up...'
        
        show yk slook with dissolve
        
        y '"It was her sister," Yukine says and looks aside.'
        ym "I don't have an answer to that."
        ym `"I... didn't know that..." I say.`
        
        show yk serious with dissolve
        
        y '"No-one blames you," Yukine whispers and gets up.'
        y '"Shall we go?"'
        ym "I follow her slowly."
        ym "The jetty creaks under our feet, the same as under the shoes of that girl."
        jump yukine_normal_end
        
    else:
        
        ym `"Let it go!" I shout at the girl, "can't you see that she's as sorry for that as you are?"`
        
        show yk scry with dissolve
        
        y '"No..." I hear from an unexpected direction.'
        y '"She has a right to feel this way..."'
        ym "I can't believe my ears."
        ym "Right?"
        ym "What right could anyone have for such behaviour?"
        ym "Yukine gets up..."
        ym "And passes the unnamed girl, walking away from the jetty."
        
        hide yk with dissolve
        
        ym "I want to call out to her but it's as if I went mute."
        ym "The girl watches me victoriously."
        if yukine3 == "bad":
            yo "A protector that just stands by the lake...?"
            yo "As if."
        ym "I feel like strangling her to death."
        ym "But in the end I just hang my head and leave as well."
        ym "I don't see Yukine at the festival anymore."
        jump yukine_bad_end
    
label yukine_bad_end:
    
    $ renpy.block_rollback ()
    stop music fadeout 1.0
    
    scene black with dissolvelong
    centered "Yukine bad end{fast}" with dissolvelong
    centered "{size=30}Murderer{/size}{fast}" with dissolvelong
   
    scene black
    with Pause(2)
    centered "One year later...{fast}" with dissolvelong
    
    scene mroll1 with dissolve
    $ renpy.music.play("aud/Cryptic Sorrow.ogg", fadein = 3.0)
    
    yo '"Hey, Takkun!"'
    ym "One of my classmates calls out to me."
    ym "I continue staring out of the window absent-mindedly."
    ym "He gives up after few tries."
    ym "It has been half a year since Yukine moved away."
    ym "From what I've heard it got worse and worse at school and in the end she decided to change schools because of personal reasons."
    ym "I wonder what was the problem."
    ym "Was it something in the moment when one girl went over the waterfall using just a wobbly ladder?"
    ym "I went there afterwards."
    if day2 == "Yukine":
        ym "I had been there before, but I just had to."
    ym "I imagine a scene of a dead girl and Yukine crying next to her..."
    ym "Or did it go wrong somewhere further on?"
    ym "Could I have prevented it?"
    if yukinemet == 2:
        ym "I wonder whether I could have helped Yukine."
        ym "I hadn't known her for that long."
    if yukine3 == "good":
        ym "She strictly refused the nickname I gave to her."
        ym "And said that we don't know each other so well and that I have annoyed her all the time she's known me."
        ym "That festival evening was irretrievably lost..."
    else:
        ym "Maybe if I just hadn't stood there but instead went to help her."
    ym "I think about it."
    ym "But you can't play what ifs."
    ym "The school bell pulls me out of my thoughts."
    ym "Before I go to my seat, I take one last glance on the sky behind the window."
    
    scene mrak with dissolve
    
    ym "There's a lonely cloud in it."
    ym "But the wind scatters it after a while..."
    $ persistent.yukine_bad = True
    jump credits    

label yukine_normal_end:
    
    $ renpy.block_rollback ()
    stop music fadeout 1.0
    
    scene black with dissolvelong
    centered "Yukine normal end{fast}" with dissolvelong
    centered "{size=30}Observer{/size}{fast}" with dissolvelong
    
    scene black
    with Pause(2)
    centered "One month later...{fast}" with dissolvelong
    
    scene trava with dissolve
    $ renpy.music.play("aud/Cryptic Sorrow.ogg", fadein = 3.0)
    
    ym '"What do you have for lunch today?" I ask.'
    if day1 == "Yukine":
        ym "We sit on that hill where I met her for the first time."
    else:
        ym "¨We sit on a grassy hill near our houses."
        
    show y watching with dissolve
    
    ym "Yukine looks at the sky and thinks about it."
    y '"Who knows...?"'
    ym "An interesting reply regarding lunch."
    
    hide y with dissolve
    
    ym "I look myself."
    ym "She has some rice, sausages, vegetables."
    ym "Classical lunch."
    ym "..."
    ym "A month passed by since our first meeting."
    ym "And we two became friends."
    ym "I can't shake off the feeling that it's not enough but I force myself to think that I have to be grateful for even this much."
    if yukinemet == 1:
        ym "Maybe I haven't spent enough time with her... who knows..."
    else:
        if yukine1 == "hers" or yukine1 == "his":
            ym "But if I think about it, our first meeting wasn't exactly great."
            ym "I probably caused it myself."
        else:
            ym "Our first meeting wasn't that bad, was it?"
            if yukine1 == "extra":
                ym "I remember her note."
                ym "I don't even know where it ended up."
            ym "I think about where I made a mistake..."
            ym "But I can't think of anything and so I lie back and watch the sky."
    ym "That time on the jetty..."
    if yukine3 == "good":
        ym "Maybe she didn't like that nickname..."
        ym "A few days after that she asked me to not use it anymore."
        ym "And I didn't have a reason to continue using it after that..."
        ym "And so she's just Yukine to me."
    else:
        ym "Maybe I shouldn't have waited for so long."
        ym "Who knows..."
        
    scene mroll1 with dissolve
    
    ym "The clouds above us flow further and further on."
    ym "When I think about it."
    ym "Yukine looks happy and that's what's important."
    ym "Her bullying practically stopped a few days later, after a few more arguments with that girl..."
    ym "I can't be selfish..."
    
    show y cold with dissolve
    
    y '"What are you thinking about?" Yukine asks me.'
    ym "She speaks to me a little more often now."
    if day1 == "extra":
        ym "I want to say that I was thinking about how we were watching clouds here just a few weeks ago..."
        ym 'But the only things I say is: "About how watching clouds is similar to watching people."'
    else:
        ym '"About how watching clouds is similar to watching people," I say.'
    
    show y smile with dissolve
    hide y with dissolvelong
    
    ym "She smiles and lies on the grass."
    ym "Yes, it's so similar."
    ym "We see the clouds and we think we understand them, but when we get closer, we find out that they are much more complicated then we thought, made out of many small details."
    ym "And before we know it, they disappear."
    ym "Details..."
    ym "Like the sister that Yukine has which I didn't even known about."
    if yukinemet == 1:
        if akamet == 1:
            ym "Like that one of them is Aka, of all people."
        else:
            ym "Like that one of them is Midori, of all people."
    ym "Like that a girl died nearby Yukine and her contemporaries blamed her for that."
    ym "Like that one of the people who blamed Yukine for the death was a sister of the dead girl."
    ym `Where does "we know each other a little" end and "we don't know each other" start?`
    ym "I think about it and watch the sky in which clouds flow slowly..."
    ym "Yukine lies by my side and watches it as well."
    ym "Maybe I'll get to know her better in the future..."
    
    scene mroll1 at Pan((0, 600), (0, 0), 3.0)
    
    ym "But as of now we are just two people who have met in life and now watch clouds together."
    
    scene trava with dissolve
    
    ym "On that grassy hill..."
    $ persistent.yukine_normal = True
    jump credits

label yukine_good_end:
    
    $ renpy.block_rollback ()
    stop music fadeout 1.0
    
    scene black with dissolvelong
    centered "Yukine good end{fast}" with dissolvelong
    centered "{size=30}Blue-eye{/size}{fast}" with dissolvelong
        
    scene black
    with Pause(2)
    centered "Two months later...{fast}" with dissolvelong
    
    scene slunce with dissolve
    $ renpy.music.play("aud/Touching Moments Two - Higher.ogg", fadein = 3.0)
    
    ym '"Blue-eyes!" I call out.'
    ym "A few girls around me giggle."
    ym "A girl with long, light blue hair runs out to the schoolyard."
    
    show ys frown with dissolve
    
    y '"I told you not to call me that at school!" she frowns.'
    
    show ys smile with dissolve
    
    ym "But I know she's secretly pleased by it."
    ym "I get lunch out of the bag."
    ym "Yukine usually doesn't eat much."
    ym "Today is no different, she only has some bread and from time to time she takes something from me with a giggle."
    
    show ys eating with dissolve
    
    ym "It's unbelievable how much she has changed."
    ym "She still has moments when she's glum and touchy..."
    ym "And she has more of them than other people."
    ym "But in moments like this one wouldn't expect it of her."
    ym "Maybe it's because the blaming from that girl stopped."
    ym "Well, not completely."
    ym "But it's much better than before."
    ym "At least that's what Yukine told me."
    ym "And I beliveve her..."
    ym '"Say... why me anyway?" I ask her suddenly.'
    ym "The wind messes her hair up."
    
    show ys smile with dissolve
    
    ym "She turns to me and smiles."
    if yukine1 == "nickname":
        y `"Because you asked me for my nickname... and then gave me one of my own," she explains simply.`
    elif yukine1 == "extra":
        y '"Because you look cute when sleeping," she giggles.'
    else:
        y '"Because I missed you when I ran away from you when we first met."'
        y '"I realized it the day after... by that waterfall..."'
    ym "And she steals one of my omelettes."
    ym '"Hey! My favourite" I pretend to get angry and try to steal it back.'
    ym "But Blue-eyes is faster and my omelette is irretrievably lost."
    
    hide ys with dissolve
    
    ym "I quickly kiss Yukine."
    ym `"That's the price!" I say and try not to blush.`
    
    show ys blush with dissolve
    
    ym "And overlook how she blushes."
    ym "We finish lunch and walk slowly back to class."
    ym "Hand in hand..."
    Takkunyslow "Together."
    $ persistent.yukine_good = True
    jump credits
